#if HAVE_CONFIG_H
 #include <config.h>
#endif

#include "bytes.h"
#include "sym.h"
#include "fmt.h"

struct sym_table sym_asn[] = { 

{"BBNPLANET",  1},
{"DCN-AS",  2},
{"MIT-GATEWAYS",  3},
{"ISI-AS",  4},
{"SYMBOLICS",  5},
{"BULL-HN",  6},
{"UK-MOD",  7},
{"RICE-AS",  8},
{"CMU-ROUTER",  9},
{"CSNET-EXT-AS",  10},
{"HARVARD",  11},
{"NYU-DOMAIN",  12},
{"BRL-AS",  13},
{"COLUMBIA-GW",  14},
{"NET-DYNAMICS-EXP",  15},
{"LBL",  16},
{"PURDUE",  17},
{"UTEXAS",  18},
{"CSS-DOMAIN",  19},
{"UR",  20},
{"RAND",  21},
{"NOSC",  22},
{"RIACS-AS",  23},
{"AMES-NAS-GW",  24},
{"UCB",  25},
{"CORNELL",  26},
{"UMDNET",  27},
{"DFVLR-SYS",  28},
{"YALE-AS",  29},
{"SRI-AICNET",  30},
{"CIT",  31},
{"STANFORD",  32},
{"DEC-WRL-AS",  33},
{"UDELNET",  34},
{"MICATON",  35},
{"EGP-TESTOR",  36},
{"NSWC",  37},
{"UIUC",  38},
{"NRL-ITD",  39},
{"MIT-TEST",  40},
{"AMES",  41},
{"BNL-AS",  43},
{"S1-DOMAIN",  44},
{"LLL-TIS-AS",  45},
{"RUTGERS",  46},
{"USC-OBERON",  47},
{"NRL-AS",  48},
{"ICST-AS",  49},
{"ORNL-MSRNET",  50},
{"USAREUR-EM-AS",  51},
{"UCLA",  52},
{"NORTHROP-AS",  53},
{"COA-FIN-NET-AS",  54},
{"UPENN-CIS",  55},
{"OPTIMIS-P",  56},
{"UMN-REI-UC",  57},
{"DREA-AS",  58},
{"WISC-MADISON-AS",  59},
{"DARPA-BFLY",  60},
{"DEC-MARLBORO-AS",  61},
{"TEKVAXC",  62},
{"LL-MI",  63},
{"MITRE-B-AS",  64},
{"LOGNET-AS",  65},
{"ETL-AI",  66},
{"SDC-PRC-AS",  67},
{"LANL-INET-AS",  68},
{"WHARTON-AS",  69},
{"NLM-GW",  70},
{"HP-INTERNET-AS",  71},
{"SCHLUMBERGER-AS",  72},
{"WASHINGTON-AS",  73},
{"XDRENET-AS",  74},
{"ANL-AS",  75},
{"SDC-CAM-AS",  76},
{"JHUAPL-AS",  77},
{"SYNTEGRA",  78},
{"DSPO-HC-AS",  79},
{"GE-CRD",  80},
{"CONCERT",  81},
{"TWG-DEMO-AS",  82},
{"PICANET-AS",  83},
{"DTNSRDC-AS1",  84},
{"AERO-NET",  85},
{"SURANET-AS",  86},
{"INDIANA-AS",  87},
{"PRINCETON-AS",  88},
{"NUSC-CSTLNET-AS",  89},
{"SUN-AS",  90},
{"RPI-AS",  91},
{"CLARKSON-AS",  92},
{"VRIO-93",  93},
{"BELVOIR-NET",  94},
{"NUSCLSB1",  95},
{"JTELS-BEN1-AS",  96},
{"VERIO-EC",  97},
{"ROCKEFELLER-AS",  98},
{"INTEL-IWARP",  99},
{"FMC-CTC",  100},
{"WASH-NSF-AS",  101},
{"NSF-HQ-AS",  102},
{"NWU-AS",  103},
{"COLORADO-AS",  104},
{"MOT-MCD-AS",  105},
{"GTEGSC-WLO",  106},
{"ECSNET-AS",  107},
{"XEROX-AS",  108},
{"CISCOSYSTEMS",  109},
{"XAIT-AS",  110},
{"BOSTONU-AS",  111},
{"SCCNET-AS",  113},
{"VRIO-114",  114},
{"PBAS-BEN2-GW-AS",  115},
{"TELCORDIA",  116},
{"ALBM-NET-AS",  117},
{"NSWSES-NAVY-AS",  118},
{"AMS-AS",  119},
{"MITRE-OMAHA",  120},
{"IH-POE-AS",  121},
{"U-PGH-NET-AS",  122},
{"LOGAIRCOMNET-AS",  123},
{"ENCORE-GW-AS",  124},
{"HI-NET-AS",  125},
{"MINSY-POE-AS",  126},
{"JPL-AS",  127},
{"ADS-AS",  128},
{"CDA-AS",  129},
{"CSOCNET-AS",  130},
{"UCSB-NET-AS",  131},
{"WPAFB-CSD-NET-AS",  132},
{"AFIT-AS",  133},
{"CORONA-GW-AS",  134},
{"BRL-CDCNET-GW-AS",  135},
{"ECONET-AS",  136},
{"ITALY-AS",  137},
{"BRL-CMCGW-AS",  138},
{"NUWESNET-AS",  139},
{"DAITC-NET-AS",  140},
{"NWCNET-AS",  141},
{"WESTPOINT",  142},
{"OOG1-AS",  143},
{"ATT-INTERNET",  144},
{"VBNS",  145},
{"HQEIS-AS",  146},
{"NAVCAMS-LAN-AS",  147},
{"NWSC-GW-AS",  148},
{"ADEL-AS",  149},
{"SEANET-AS",  150},
{"IND-NTC-AS",  151},
{"SRI-ACCATT-AS",  152},
{"SAAD-ARPA-AS",  153},
{"USACEC-NET-AS",  154},
{"CACNET-AS",  155},
{"NORTHEASTERN-GW-AS",  156},
{"INTELLIAUTON",  157},
{"ACC-AS",  158},
{"SONNET-AS",  159},
{"U-CHICAGO-AS",  160},
{"TI-AS",  161},
{"NOSL-POE-AS",  162},
{"IBM-RESEARCH-AS",  163},
{"DDN-MB-AS",  164},
{"NESEA-DDN-GW-AS",  165},
{"IDA-AS",  166},
{"WESLEYAN-AS",  167},
{"UMASS-AMHERST",  168},
{"HANSCOM-NET-AS",  169},
{"YKTNPOE-GW-AS",  170},
{"NORTHWESTNET-AS",  171},
{"CSDA-AS",  172},
{"ECLNET",  173},
{"PSINET",  174},
{"AFWL-AS",  175},
{"BCN-AS",  176},
{"MERIT-AS",  177},
{"IBMYORKTOWN-AS",  178},
{"IBMMILFORD-AS",  179},
{"MCIRESTON-AS",  180},
{"NSFNETTEST1-AS",  181},
{"NSFNETTEST2-AS",  182},
{"NSFNETTEST3-AS",  183},
{"NSFNETTEST4-AS",  184},
{"NSFNETTEST5-AS",  185},
{"CUA-AS",  186},
{"SAIC-AS",  188},
{"BARRNET-189",  189},
{"NSYPTSMH-POE-AS",  190},
{"NORDA-AS",  191},
{"ROCHINSTTECH",  192},
{"FORD-ASN",  193},
{"USAN-AS",  194},
{"SDSC-AS",  195},
{"RISC-SYSTEM",  196},
{"HAC-ENET-AS",  197},
{"ARL-SNI-AS",  198},
{"BARRNET-BLK",  199-203},
{"PSCNET-AS",  204},
{"MONTCLAIR-AS",  205},
{"CSC-LONS-GW-AS",  206},
{"CLI-GW-AS",  207},
{"LBNS-POE-AS",  208},
{"ASN-QWEST",  209},
{"WEST-NET-WEST",  210},
{"RADC-LONS-GW-AS",  211},
{"HQAFSC-LONS-GW-AS",  212},
{"APGEA-NET1-AS",  213},
{"USNA-AS",  214},
{"RIA-2-AUTO-AS",  215},
{"LMSC-HOSTNET-AS",  216},
{"UMN-AGS-NET-AS",  217},
{"AFOTECPCNET-AS",  218},
{"PUGET-POE-AS",  219},
{"OOALC-HOSTNET-AS",  220},
{"WRALC-HOSTNET-AS",  221},
{"SMALC-HOSTNET-AS",  222},
{"TISW-AS",  223},
{"UNINETT-AS",  224},
{"VIRGINIA-AS",  225},
{"LOS-NETTOS-AS",  226},
{"SHAFTER-AS",  227},
{"DC-SUN-NET-AS",  228},
{"NSFNETTEST6-AS",  229},
{"NSFNETTEST7-AS",  230},
{"NSFNETTEST8-AS",  231},
{"NSFNETTEST9-AS",  232},
{"NSFNETTEST10-AS",  233},
{"BLACKROSE-1",  234},
{"NSFNETTEST12-AS",  235},
{"NSFNETTEST13-AS",  236},
{"NSFNETTEST14-AS",  237},
{"NSFNETTEST15-AS",  238},
{"UTORONTO-AS",  239},
{"SAALC-HOSTNET-AS",  240},
{"OCALC-HOSTNET-AS",  241},
{"SSSD-AS",  242},
{"HARRIS-ATD-AS",  243},
{"ITT-FEC-AS",  244},
{"PRC-AS",  245},
{"ASIFICS-GW-AS",  246},
{"ROMENET-AS",  247},
{"OBL-LINK-AS",  248},
{"RDM-LINK-AS",  249},
{"LON-LINK-AS",  250},
{"CPO-LINK-AS",  251},
{"CECOM-A-TACT",  252},
{"VRIO253",  253},
{"TWG-NET-AS",  254},
{"PAFB-GW",  255},
{"NCSC-NET-AS",  256},
{"NPS-GATOR-AS",  257},
{"BRAGGSRI-EGP-AS",  258},
{"SCUBED-AS",  259},
{"DSI-WR-15",  260},
{"EASINET-AS",  261},
{"VRIO-262-3",  262-263},
{"SRINET-AS",  264},
{"DSI-WR-16",  265},
{"NETHER-NET",  267},
{"USUHSNET-AS",  268},
{"INCSYS-AS",  269},
{"PSCNI-AS",  270},
{"BCNET-AS",  271},
{"FTLEENET-AS",  272},
{"DARPA-CISCO-AS",  273},
{"SOFT-CON-NTS-AS",  274},
{"VRIO-275",  275},
{"MCC-NET-AS",  276},
{"BBNSTC-KNOX-AS",  277},
{"RAM-AS",  278},
{"SURANET-AS-2",  279},
{"VRIO-280",  280},
{"NEARNET-AS",  281},
{"MERIT-AUX-AS",  282},
{"UUNET-AS",  284},
{"AVTROS-AS",  285},
{"EUNET-AS",  286},
{"CNSYD-POE-AS",  287},
{"ESA-AS",  288},
{"APGNET-AS",  289},
{"SHOWNET-AS",  290},
{"ESNET-EAST291",  291},
{"ESNET-CENTRAL292",  292},
{"ESNET-WEST293",  293},
{"FRANCE-IP-NET-AS",  294},
{"OSI-GW-AS",  295},
{"ACFP-NET-TST-AS",  296},
{"NSN-UMD-AS",  297},
{"RADC-LONEX-AS",  298},
{"UCINET-AS",  299},
{"GUNTER-LAN-AS",  300},
{"C3PO-AS",  301},
{"BCM-INFO-NET-AS",  302},
{"NPRDC-AS",  303},
{"SRIEXPRIGNET-AS",  304},
{"WALTER-REED-AS",  305},
{"NGNET-AS",  306-371},
{"NSN-AMES-AS",  372},
{"IE-TESTBED-AS",  373},
{"BROOKS-AS",  374},
{"TIETOTIE-AS",  375},
{"RISQ-AS",  376},
{"SNLA-NET-AS",  377},
{"ILAN-AS",  378},
{"AFCONC-BLOCK1-AS",  379-508},
{"WORMS-GW1-AS",  509},
{"CSNET-INT-AS",  510},
{"CSNET-MIS-AS",  511},
{"NAVDEC-NET1",  512},
{"EDMICS-POE",  514},
{"PMS312GATE-ASN",  515},
{"KODAK-BTC",  516},
{"XLINK-UKA",  517},
{"CONCORD-POE-AS",  518},
{"ISCNET",  519},
{"COINSDISNET3",  520},
{"FORD-SRL-AS",  521},
{"AFSC-SSD-AS",  522},
{"REDSTONE-AS",  523},
{"BBN-PCNETSIM-AS",  524},
{"WUERZBURG-GW1-AS",  525},
{"ASCHAFFENBURG-GW1-AS",  526},
{"ANSBACH-GW1-AS",  527},
{"AUGSBURG-GW1-AS",  528},
{"BURTONWOOD-GW1-AS",  529},
{"GEOPPINGEN-GW1-AS",  530},
{"GRAFENWOEHR-GW1-AS",  531},
{"HEIDELBERG-GW1-AS",  532},
{"HEILBRONN-GW1-AS",  533},
{"KARLSRUHE-GW1-AS",  534},
{"MUNICH-GW1-AS",  535},
{"NUERNBERG-GW1-AS",  536},
{"ULM-GW1-AS",  537},
{"SCHWEINFURT-GW1-AS",  538},
{"STUTTGART-GW1-AS",  539},
{"BAMBERG-GW1-AS",  540},
{"IGAUTON",  541},
{"ARNET",  542},
{"CONVEX",  543},
{"PTN-FINLAND",  544},
{"NRI",  545},
{"SPARTA-AS",  546},
{"TST-RGN-47-AS",  547},
{"HQUSAF-AS",  548},
{"ONET-AS",  549},
{"CORNETT-AS",  550},
{"TIS-AS",  551},
{"PATCH-AS",  552},
{"BELWUE-AS",  553},
{"CALINET-AS",  554},
{"NETWORKCS",  555},
{"CALREN-AS",  556},
{"UMAINE-SYS-AS",  557},
{"OLIVETTI-AS1",  558},
{"SWITCH-AS",  559},
{"NEARNET-EXT-AS",  560},
{"3COM-A",  561},
{"3COM-B",  562},
{"3COM-C",  563},
{"OPSNET",  564},
{"VTTNET-AS",  565},
{"CSSP-ASN",  566},
{"ASN-DART-AS",  567},
{"SUMNET-AS",  568},
{"DIMNET-AS",  569},
{"SSD-NET-AS",  570},
{"CENTCOM-AS",  571},
{"NAVDEC-NET3-AS",  573},
{"PSC-TEST-AS",  574},
{"WIESBADDN-GW1",  575},
{"NAVDAC-NET3-AS",  576},
{"BACOM",  577},
{"MAINZ-GW1-AS",  580},
{"GDSS-XRSNET-AS",  581},
{"GDSS-21AF-AS",  582},
{"GDSS-22AF-AS",  583},
{"GDSS-23AF-AS",  584},
{"GDSS-322ALD-AS",  585},
{"GDSS-834ALD-AS",  586},
{"GDSS-ANG-AS",  587},
{"FRANKFRT-GW1-AS",  588},
{"UNT-CAMPUS-AS",  589},
{"EASINET-AS1",  590},
{"NSTN-AS",  591},
{"USNA-NADN-AS",  592},
{"EASINET-AS1",  593},
{"BARRNET-BNOC",  594-598},
{"NISC-AS",  599},
{"OARNET-AS",  600},
{"BACOM4-AS",  601},
{"BACOM3-AS",  602},
{"BACOM2-AS",  603},
{"CANET10-AS",  610},
{"CANET11-AS",  611},
{"CANET12-AS",  612},
{"ARCO-AS",  613},
{"CSUNET-AS",  614},
{"AS-RITCHIE-GW1",  615},
{"PENS-NET-AS",  616-665},
{"CSTA-CISCO-AS",  666},
{"FSTC-MIL-AS",  667},
{"ASN-ASNET-NET-AS",  668},
{"OFRIR-IP-INTERNET-AS",  669},
{"DARMSTADT-GW1-AS",  670},
{"BAUMHOLDER-GW1-AS",  671},
{"FULDA-GW1-AS",  672},
{"HANAU-GW1-AS",  673},
{"BBN-DSI",  674},
{"MSUS-AS",  675},
{"ARNET-AS",  676},
{"ASU-AS",  677},
{"NTSC-IELN-AS",  678},
{"TUNET-AS",  679},
{"DFN-WIN-AS",  680},
{"KAWAIHIKO-1",  681},
{"AS-ORNL-IGRP1-AS",  682},
{"ARGONNE-AS",  683},
{"MBNET-AS",  684},
{"VRIO-685",  685},
{"OSD-GW-AS",  686},
{"NATC-CSDRD-AS",  687},
{"RECNET-AS",  688},
{"AS-NSFNET-T3-BB-AS",  689},
{"NSFNET-T3-RT-AS",  690},
{"PEINET-AS",  691},
{"SEMATECH-AS",  692},
{"NOTRE-DAME-AS",  693},
{"UTACCS-ASN",  694},
{"SWITCH-R1-AS",  695},
{"SWITCH-R2-AS",  696},
{"EASINET-AS2",  697},
{"ASN-UIUC-REGION-AS",  698},
{"ROKNET-AS",  700},
{"ALTERNET-AS",  701-705},
{"TEST-AUSTIN-IBM-AS",  706},
{"ELAN-AS",  707},
{"SB-COMM-AS",  708},
{"UHEY-NET-AS",  709},
{"BENT-NET-AS",  710},
{"SB-COMM-AS",  711},
{"ALCON-NET-AS",  712},
{"AFMPCGW-AS",  713},
{"APPLE-ENGINEERING",  714},
{"ZOCALO-AS",  715},
{"ZAMA-AS",  716},
{"PEOCU-NET-AS",  717},
{"SEABAT-AS",  718},
{"LANLINK-AS",  719},
{"WR-LOGDIS-AS",  720},
{"DLA-ASNBLOCK-AS",  721-726},
{"AFCONC-BLOCK2-AS",  727-746},
{"TAEGU-AS",  747},
{"USCAPAC-AS",  748},
{"ANAD-AS",  749},
{"NSFNETTEST16-AS",  750},
{"NSFNETTEST17-AS",  751},
{"NSFNETTEST18-AS",  752},
{"NSFNETTEST19-AS",  753},
{"NSFNETTEST20-AS",  754},
{"NSFNETTEST21-AS",  755},
{"NSFNETTEST22-AS",  756},
{"NSFNETTEST23-AS",  757},
{"NSFNETTEST24-AS",  758},
{"NSFNETTEST25-AS",  759},
{"UNIVIE-AS",  760},
{"TIETORAITTI-AS",  761},
{"WELLFLEET-AS",  762},
{"SQNT-TEAMNET-AS",  763},
{"VN-VERKKO-AS",  764},
{"DCA-JDSSC",  765},
{"IRIS-AS",  766},
{"NTSC-PEN-AS",  767},
{"NCCS-A-AS",  768},
{"NTSC-LANT-AS",  769},
{"NTSC-PAC-AS",  770},
{"NSN-RICE-AS",  771},
{"WALTER-REED1-AS",  772},
{"SPARTA-MD-AS",  773},
{"OFRIR-IP-ASNBLOCK-AS",  774-783},
{"ARAMIS",  780},
{"HJFNET-AS",  784},
{"ASN-ETLASN-AS",  785},
{"JANET",  786},
{"CRCASN-AS",  787},
{"SUBMEPP-ASN",  788},
{"IN2P3-LYON-AS",  789},
{"FUUG-NET-AS-AS",  790},
{"DWS-ASN",  791},
{"ORACLE-ASNBLOCK-ASN",  792-794},
{"AMERITECH-AS",  795-797},
{"BERLIN-ASN-AS",  798},
{"HDLBRG-ASN-AS",  799},
{"CABLEATLANTIC",  800},
{"MFRC1-AS",  801},
{"YORKU-AS",  802},
{"SASK-NET-AS",  803},
{"ISTS-AS-AS",  804},
{"CANET1-ASN",  805-836},
{"ALCIDE-AS",  806},
{"SSCWEST",  810},
{"SSCEAST",  811},
{"ROGERS-AS",  812},
{"UUNETCA-AS1",  813},
{"UUNETCA-AS2",  814},
{"UUNETCA-AS3",  815},
{"UUNETCA-AS4",  816},
{"ALTERNET-CA",  817},
{"DOC-AS",  818},
{"LARG*NET",  819},
{"ISTC-AS",  820},
{"DISC",  821},
{"STJOSEPHS-AS",  822},
{"UWO-AS",  823},
{"GLAXOCA-AS",  824},
{"CFWS-NET",  825},
{"CRTC-GC-AS",  826},
{"ALCAN-AS",  827},
{"NLC-BNC-GC-AS",  828},
{"SYGMA-INT-OR",  829},
{"SYGMA-INT-QR",  830},
{"SYGMA-EXT-OR",  831},
{"SYGMA-EXT-QR",  832},
{"ATTCLDS-MIS",  834},
{"RCMP",  837},
{"CANET2-ASN",  838-842},
{"REPTILIAN-ASN",  843},
{"CANET3-ASN",  844-851},
{"RISQ-QIX",  851},
{"ASN852",  852},
{"CANET-ASN",  853-1100},
{"NBIX4",  856},
{"SURFNET-AS",  1101-1200},
{"ASN-ODU-AS-AS",  1201},
{"JSC-JIN-AS",  1202},
{"ITALTEL-AS",  1203},
{"SUNYNET-ASN-AS",  1204},
{"JKU-LAN-ASN-AS",  1205},
{"PSCNET-HS-AS",  1206},
{"PSCNET-HS-TEST-AS",  1207},
{"ONREUR-ASN",  1208},
{"SOSGNET-ASN",  1209},
{"ASN-NET-AS",  1210},
{"TOBY-GW1-AS",  1211},
{"WILDFLCKN-GW1-AS",  1212},
{"ORACLE-NA-AS",  1215},
{"ORACLE-EUROPE-AS",  1216},
{"ORACLE-PACRIM-AS",  1217},
{"NCUBE-BELMONT-AS",  1218},
{"NCUBE-OREGON-AS",  1219},
{"INFOASN-AS",  1220},
{"EPCC-AS",  1222},
{"DSI-WR-17",  1223},
{"NCSA-AS",  1224},
{"VRIO1225",  1225},
{"TEALE-AS",  1226},
{"SDSC-TEST1-AS",  1227},
{"UNINET-ASNBLOCK",  1228-1232},
{"NASDA-ASN",  1233},
{"IVOWAN-AS",  1234},
{"CICB-AS-AS",  1235},
{"GTEGSC",  1236},
{"KREONET",  1237},
{"ICM-MALAYSIA",  1238},
{"SprintLink",  1239},
{"ICM-Pacific",  1240},
{"GR-AUTO-AS",  1241},
{"PLH-AS",  1242},
{"APG-GW1-AS",  1243},
{"AMOCO-AS",  1244},
{"DET4LAN-AS",  1245},
{"BBN-WACOM-AS",  1246},
{"AFTERLIFE-GW-AS",  1247},
{"NOKIA-AS",  1248},
{"FIVE-COLLEGES-AS",  1249},
{"SINGAPORE-AS",  1250},
{"ANBR-AS",  1251},
{"UNMC-AS",  1252},
{"VEROAUTOSYS-AS",  1253},
{"NASA-LARC-AS",  1254},
{"SMITHCOLLEGE-AS",  1255},
{"MASSNET-AS",  1256},
{"SWIPNET-AS",  1257},
{"XKL-NET-AS",  1258},
{"CAC-GW2-AS",  1259},
{"PLE",  1260},
{"NATINST-AS-AS",  1261},
{"NSN-NCAR-AS-AS",  1262},
{"NSN-NCAR-AS-AS",  1263},
{"USACESPK-AS",  1264},
{"SAINT-MARYS-AS",  1265},
{"NAVPGSCOL-AS",  1266},
{"IUNET-AS",  1267},
{"IUNET1-AS",  1268},
{"IUNET2-AS",  1269},
{"UNIDO-AS",  1270-1275},
{"DSI-WR-18",  1276},
{"UNIONCARBIDE-AS",  1278},
{"MCDOUGLAS-AS",  1279},
{"CIX-AS1",  1280},
{"CIX-AS2",  1281},
{"CIX-AS3",  1282},
{"CIX-AS4",  1283},
{"CIX-AS5",  1284},
{"CMC-AS",  1285},
{"UKNET-AS1290",  1290},
{"NAVSWC-WOASN-AS",  1291},
{"ITESM-AS",  1292},
{"GM-EDS-AS",  1293},
{"PS-NETPLEX-AS",  1294},
{"GE-AEROSPACE-AS",  1295},
{"CHILI-AS-AS",  1296},
{"CERN1-AS",  1297},
{"SEA06-NET-AS",  1298},
{"TCN-AS",  1299},
{"FRANCE-ASNBLOCK-AS",  1300-1309},
{"DIIS-NIC-AS",  1310},
{"BARRA-NET-AS",  1311},
{"VA-TECH-AS",  1312},
{"ADOBE1-AS-AS",  1313},
{"NWSCHS-AS",  1314},
{"SURANET-AS-3-AS",  1315},
{"LERC-AS-AS",  1316},
{"BUMED-SDIEGO-AS",  1317},
{"ICRFNET-AS",  1318},
{"BUMED-CPEND-AS",  1319},
{"BUMED-LBEACH-AS",  1320},
{"ANSBB-ASNNET-1",  1321-1340},
{"AB-AS",  1341},
{"NOKIA-DATA-AS",  1342},
{"CISCO-SHONET-AS-AS",  1343},
{"BUMED-ORLANDO-AS",  1344},
{"BUMED-JAX-AS",  1345},
{"BUMED-PENSA-AS",  1346},
{"MRNET-AS",  1347},
{"CA-DOTNET-AS",  1348},
{"QUOTRON-AS-AS",  1349},
{"SEARSNET-AS",  1350},
{"UVM-EDU-AS",  1351},
{"SISSA-AS1-AS",  1352},
{"SISSA-AS2-AS",  1353},
{"NEXT-ASN-AS",  1354},
{"SURASTH-FDDI-AS",  1355},
{"FIXEAST-FDDI-AS",  1356},
{"ORYX-ENERGY-AS",  1357},
{"HNSNET-AS",  1358},
{"BUMEDMILLTON-AS",  1361},
{"BUMEDLEMOORE-AS",  1362},
{"BUMEDLEJEUNE-AS",  1363},
{"BUMEDGROTON-AS",  1364},
{"BUMEDGLAKES-AS",  1365},
{"BUMEDCORPUS-AS",  1366},
{"BUMEDCHERRYP-AS",  1367},
{"BUMEDCHARLES-AS",  1368},
{"BUMEDBEAUFORT-AS",  1369},
{"BUMEDNEWPORT-AS",  1370},
{"BUMEDRROADS-AS",  1371},
{"BUMEDBREMTON-AS",  1372},
{"BUMEDSEATTLE-AS",  1373},
{"BUMEDNHPORTS-AS",  1374},
{"BUMEDPHIL-AS",  1375},
{"BUMEDOAKHARB-AS",  1376},
{"BUMEDOAKLAND-AS",  1377},
{"ANSBB-ASNNET-2",  1381-1395},
{"NCCS-STI-GW",  1450},
{"TACOM-AS-ASN",  1485},
{"STRICOM-NET1",  1528},
{"SUNET",  1653},
{"SWEDEN",  1654},
{"SPAWAR-GW-AS",  1655},
{"PAGENET",  1656},
{"LOUISVILLE",  1657},
{"NMI-NET",  1658},
{"TANET-ASN1",  1659},
{"ANS-CORP-NY",  1660},
{"ANS-ATLANTA",  1661},
{"ANS-1662-AS",  1662},
{"BERTELSMANN",  1663},
{"AOL-CORP",  1664},
{"ANS-NY",  1665},
{"ANS-DC",  1666},
{"ANS-DC2",  1667},
{"AOL-PRIMEHOST",  1668},
{"ANS-BB2",  1669},
{"ANS-UK",  1670},
{"ANS-1671-AS",  1671},
{"ANS-CHICAGO",  1672},
{"ANS-BB",  1673},
{"ANS-SANFRAN",  1674},
{"ANS-NY2-AS",  1675},
{"TRANE",  1676},
{"ANS-NY3-AS",  1677},
{"DOW",  1678},
{"RMTECH",  1679},
{"NETVISION",  1680},
{"ANS-CORP-MI",  1681},
{"AOL-1682-AS",  1682},
{"ANS-NY4-AS",  1683},
{"ANS-1684-AS",  1684},
{"ANS-JAPAN",  1685},
{"ANS-1686-AS",  1686},
{"ANS-1687-AS",  1687},
{"ANS-AT-PACBELL-NAP",  1688},
{"ANS-1689-AS",  1689},
{"BOCES",  1690},
{"TELUS",  1691},
{"ANS-1692-AS",  1692},
{"ANS-1693-AS",  1693},
{"ANS-SANFRAN2-AS",  1694},
{"ANS-1695-AS",  1695},
{"SMITH-BARNEY",  1696},
{"ANS-1697-AS",  1697},
{"PRODIGY",  1698},
{"ANS-1699-AS",  1699},
{"SESQUI-3",  1700},
{"EOSDIS-V0",  1701},
{"MIX",  1703},
{"KAIST-NET",  1704},
{"GM-INDY-NET",  1705},
{"UNIV-ARIZ",  1706},
{"RENATER-ASNBLOCKA",  1707},
{"MRMS-WEST",  1727},
{"SRI-TPA-GW1",  1728},
{"TIPNET1",  1729},
{"THIOKOL",  1731},
{"MIKROK-AS",  1732},
{"CENTAF-SWA",  1733},
{"ROP-COCA-AS01",  1734},
{"FISHER-AS",  1735},
{"MU-AS",  1736},
{"HAC-EDEN",  1737},
{"OKOBANK-AS",  1738},
{"TAMNET",  1739},
{"CERFNET",  1740},
{"FUNET",  1741},
{"HARVARD-UNIV",  1742},
{"MCI-SF-AS",  1743},
{"LOCKHEED",  1744},
{"CRT-AS",  1745},
{"DRANET-AS",  1746},
{"IBMWATSON-AS",  1747},
{"FINNAIR-AS",  1748},
{"NASA-GSFC-AS",  1749},
{"GURU",  1750},
{"LEXMARK-AS",  1751},
{"BT-MH",  1752},
{"OBT-ESCOM",  1753},
{"DESY-HAMBURG",  1754},
{"EBONE-INTERNAL",  1755},
{"EBONE-EXTERNAL",  1756},
{"LEXIS-AS",  1757},
{"AFMPCGW1-AS",  1758},
{"DATANET",  1759},
{"INTELNET",  1760},
{"TGSCNET",  1761},
{"DMIS-VAX",  1762},
{"ITTHARTFORD",  1763},
{"EUNET-CH-AS1",  1764},
{"PM-NAWC",  1765},
{"MOBIL-CORP",  1766},
{"IHETSDATANET",  1767},
{"SEEDNET-ASN1",  1768},
{"IIINET-ASN1",  1769},
{"NORTELE-A",  1770},
{"NORTELE-T",  1771},
{"SENTRY",  1772},
{"HEANET-IE",  1774},
{"FMCC-1",  1775},
{"ASN-WU-WIEN",  1776},
{"DMSSC-GATEWAY",  1778},
{"PSTAR-AS",  1779},
{"VALNET",  1780},
{"KAIST-NET1",  1781},
{"GNAPS",  1784},
{"APPLIED",  1785},
{"AIXSERV-AS",  1786},
{"EJV-ALPHA",  1787},
{"SONAMNET",  1788},
{"SPRINTLINK1",  1789},
{"SPRINTLINK2",  1790},
{"SPRINTLINK3",  1791},
{"SPRINTLINK4",  1792},
{"SPRINTLINK5",  1793},
{"SPRINTLINK6",  1794},
{"SPRINTLINK7",  1795},
{"AS1797",  1797},
{"AS1798",  1798},
{"ICMNET-1",  1799},
{"ICM-Atlantic",  1800},
{"ICMNET-3",  1801},
{"ICMNET-4",  1802},
{"ICMNET-5",  1803},
{"ICMNET-6",  1804},
{"ICMNET-7",  1805},
{"ICMNET-8",  1806},
{"ICMNET-9",  1807},
{"ICMNET-10",  1808},
{"NEARNET-1",  1809-1828},
{"NOTES",  1829},
{"IACNET2",  1830},
{"ITESO-GWY",  1831},
{"SMU",  1832},
{"TELIANET",  1833},
{"NCTAMS-ETHER",  1834},
{"DENET",  1835},
{"EUNET-CH-AS2",  1836},
{"NC3A",  1837},
{"CERFNET-2",  1838},
{"DNA-SCN",  1839},
{"UDLAP-NET",  1840},
{"NETCS-AS1",  1841},
{"USGS-AS",  1842},
{"NASA-KSC-AS",  1843-1848},
{"PIPEX-AS",  1849},
{"SURIS",  1850},
{"ADELAIDE-UNI",  1851},
{"UCDLA-AS",  1852},
{"AT-BONE",  1853},
{"KTT",  1854},
{"DISN-PILOTNET1",  1855},
{"DISN-PILOTNET2",  1856},
{"DISN-PILOTNET3",  1857},
{"DISN-PILOTNET4",  1858},
{"DISN-PILOTNET5",  1859},
{"DISN-PILOTNET6",  1860},
{"DISN-PILOTNET7",  1861},
{"DISN-PILOTNET8",  1862},
{"DISN-PILOTNET9",  1863},
{"DISN-PILOTNET10",  1864},
{"DISN-PILOTNET11",  1865},
{"DISN-PILOTNET12",  1866},
{"DISN-PILOTNET13",  1867},
{"DISN-PILOTNET14",  1868},
{"DISN-PILOTNET15",  1869},
{"3COM-EUR",  1870},
{"3COM-USA",  1871},
{"3COM-HDQ",  1872},
{"DMSSCA-AS",  1873},
{"DMSSCH-AS",  1874},
{"CIS",  1875},
{"SEAS",  1876},
{"ASNBLK-RIPE",  1877-1901},
{"AS1889",  1889},
{"DKRZ-HAMBURG",  1893},
{"ERLANGEN-VFR",  1895},
{"FESNET-L",  1902},
{"CHEMNET-FES",  1903},
{"JITC-TESTBED",  1904},
{"DRC",  1905},
{"INRI-AS",  1906},
{"IPSERV-AS",  1907},
{"NAWC-AD-INDY",  1908},
{"ALPHA-NAP-AS",  1909},
{"DLA1",  1910},
{"DLA2",  1911},
{"DLA3",  1912},
{"DLA4",  1913},
{"DLA5",  1914},
{"SEQUOIA-AS",  1915},
{"RNP-AS",  1916},
{"CTCSERV-AS",  1917},
{"CNAP-INTRANET",  1918},
{"UMASS-AMHERST1",  1919},
{"QUOTRON-WAN",  1920},
{"UDNVIE",  1921},
{"UAKOM-DAMIS",  1922},
{"TAYS",  1923},
{"DAFFY",  1924},
{"DISA-EUROPE",  1925},
{"UTANET-AS",  1926},
{"NADC-LAN-AS",  1927},
{"WRNL-PDVS",  1928},
{"UMASSNET-NET",  1929},
{"RCCNET",  1930},
{"GM-EDS-EURO",  1931},
{"CONED",  1932},
{"NAVAIRHQ",  1933},
{"ANS-RESTON-AS",  1934},
{"RENATER-ASNBLOCK",  1935-1954},
{"HBONE",  1955},
{"IBMEVS-AS",  1956},
{"ANSCIX-AS",  1957},
{"NCRWIN1958",  1958},
{"DMSLABNET",  1959},
{"MARS-EUROPE",  1960},
{"MARS-AMERICAS",  1961},
{"MARS-ASIA-PACIFIC",  1962},
{"PENRIL-AS",  1963},
{"MCI-NETCS",  1964},
{"TUELECTRIC",  1965},
{"MASSO-GW",  1966},
{"TR-NET",  1967},
{"UMASSP-DOM",  1968},
{"TELEDYNE-AS",  1969},
{"TAMUS-NET",  1970},
{"GITN-JITC",  1971},
{"HPC-NET",  1972},
{"PHNSY-POEGW",  1973},
{"GSI-DISNNT",  1974},
{"UMI-AS",  1975},
{"BUMEDPORTSNH",  1976},
{"BUMED29PALMS",  1977},
{"BUMEDLONDON",  1978},
{"BUMEDKINGSBY",  1979},
{"BUMEDKEFLAVK",  1980},
{"BUMEDADAK",  1981},
{"ASN-NWNEXUS",  1982},
{"BERNALILLO",  1983},
{"BUMEDSIGONEL",  1984},
{"BUMEDYOKOSUKA",  1985},
{"BUMEDROTA",  1986},
{"BUMEDPHARBOR",  1987},
{"BUMEDPAXRVER",  1988},
{"BUMEDOKINAWA",  1989},
{"BUMEDORLEANS",  1990},
{"BUMEDNAPLES",  1991},
{"BUMEDKEYWEST",  1992},
{"BUMEDHUENEME",  1993},
{"BUMEDGBAY",  1994},
{"BUMEDGUAM",  1995},
{"IBMDES-AS",  1997},
{"STATE-OF-MN",  1998},
{"HOUSE-AS-1",  1999},
{"IBM-PV-AS",  2002},
{"EPRI-PA",  2003},
{"TNO-HDO",  2004},
{"INFONET1",  2005},
{"INFONET2",  2006},
{"INFONET3",  2007},
{"INFONET4",  2008},
{"INFONET5",  2009},
{"INFONET6",  2010},
{"WACHOVIA",  2011},
{"UNINET1",  2012},
{"PACIFIC-GAS",  2013},
{"SPRINT-INTL",  2014},
{"MSEN-SYSTEM",  2015},
{"OTANET",  2016},
{"KRPNET",  2017},
{"UNINET-ZA",  2018},
{"MORGAN-AS",  2019},
{"HWWILSON-AS",  2020},
{"UNISYS-INT",  2021},
{"SIEMENS-AS",  2022},
{"RUTYC",  2023},
{"NU",  2024},
{"UTOLEDO",  2025},
{"HELSINKI",  2026},
{"NORTEL-HARLOW",  2028},
{"GGR-AS",  2029},
{"RDYNE",  2030},
{"COWACONET",  2031},
{"CSC-TMD-CC",  2032},
{"Panix",  2033},
{"ATK-AS1",  2034},
{"ATK-AS2",  2035},
{"JOANNEUM",  2036},
{"CSUFRESNO",  2037},
{"INFN-AS1",  2038},
{"INFN-AS2",  2039},
{"INFN-AS3",  2040},
{"CRL-GATE",  2041},
{"JARING",  2042},
{"EMPB-AS",  2043},
{"WORLDNET-AS",  2044},
{"FACILITIES",  2045},
{"DECCO-AS",  2046},
{"LANET-1",  2048},
{"AVL-GRAZ",  2049},
{"SPRINTCORP",  2050},
{"CISCO-EXT",  2051},
{"RJRNI-NFGI",  2052},
{"SPRINTCORP1",  2053},
{"PAC-DISA",  2054},
{"LSU-1",  2055},
{"AOL-AS",  2056},
{"RENATER_ASNBLOCK1",  2057-2106},
{"RIPE-ASNBLOCK2",  2107-2136},
{"DISA-PAC",  2137},
{"DOW2-AS",  2138},
{"DOW1-AS",  2139},
{"ISSC-AS",  2140},
{"BUMEDQUANTIC",  2141},
{"NSI-FFIX-E",  2142},
{"NSN-FFIX-W",  2143},
{"ETAFE",  2144},
{"QUADRALAY-AS",  2145},
{"CRNET",  2146},
{"COMPNEWS-AS",  2147},
{"ITEP-MOSCOW",  2148},
{"PSINET-2",  2149},
{"CSUNET-SW",  2150},
{"CSUNET-SE",  2151},
{"CSUNET-NW",  2152},
{"CSUNET-NE",  2153},
{"EDS",  2154-2173},
{"FR-ASNBLOCK",  2174-2273},
{"CBO",  2274},
{"EUR-DISA",  2275},
{"OCS-AS1",  2276},
{"ECUANET",  2277},
{"FRANCE-TELECOM-AS",  2278-2377},
{"DOI-BIA",  2378},
{"UNIT-TEL-FLA",  2379},
{"ESTNET",  2380},
{"WISCNET1-AS",  2381},
{"WISCNET2-AS",  2382},
{"OTA",  2383},
{"AOCNET",  2384},
{"STARNET",  2385},
{"INS-AS",  2386},
{"FR-ASNBLOCK2",  2387-2486},
{"MOSCOW-HEP",  2487},
{"IIASA-NET",  2488},
{"NETIOWA-AS",  2489},
{"MILNET-T20",  2490},
{"FONOROLA-CENTRAL",  2491},
{"FONOROLA-WEST",  2492},
{"FONOROLA-EAST",  2493},
{"AKHNET",  2494},
{"KANREN",  2495},
{"UKANS",  2496},
{"JNIC-ASN",  2497-2528},
{"DEMON-SYS",  2529},
{"CIBA-AS",  2530},
{"EUCOM-GW",  2531},
{"LOC",  2532},
{"HOU-METRO-AS",  2533},
{"SYNTEX",  2534},
{"BP",  2535},
{"TCADA",  2536},
{"STATS-GOVTNZ",  2537},
{"IBM-KINGS-AS",  2538},
{"SMITHKLINE-AS",  2539},
{"INGRES-AS",  2540},
{"WM-NET",  2541},
{"VOUGHT",  2542},
{"UCIMC-AS",  2543},
{"METRO-AS",  2544},
{"STRATHOST",  2545},
{"ARIADNE",  2546},
{"BMENET-AS",  2547},
{"ICIX-MD-AS",  2548},
{"REDUDG",  2549},
{"STRATS",  2550},
{"ICG",  2551},
{"WUSTL-ASN",  2552},
{"FSU-AS",  2553},
{"INTER-GRP-A",  2554},
{"INTER-GRP-B",  2555},
{"INTER-GRP-C",  2556},
{"INTER-GRP-D",  2557},
{"CIWMBNET",  2558},
{"VISANET",  2559},
{"BOCA-AS",  2560},
{"FRCU-EUN",  2561},
{"TI-US/INTL",  2562},
{"KREN-GATEWAY",  2563},
{"GLO",  2564},
{"TX-REHAB",  2565},
{"ISINM",  2566},
{"WAII-AS",  2567},
{"CTSNET",  2568},
{"NETWAY-0",  2569},
{"NETWAY-1",  2570},
{"DHLNET",  2571},
{"MORENET",  2572},
{"QED-SYS",  2573},
{"TRS",  2574},
{"SRPNET",  2575},
{"DOT-AS",  2576},
{"AFIP-OSD",  2577},
{"RELCOM-DEMOS",  2578},
{"NEWBRIDGE-AS",  2579},
{"ASSEMBLY",  2580},
{"GAO",  2581},
{"CDE",  2582},
{"CDI",  2583},
{"CUMMINS",  2584},
{"ASNBLK-RIPE-NCC",  2585-2614},
{"BECHTEL",  2615},
{"NAVNET-BLOCK2",  2616-2620},
{"STDN4-AS1",  2621},
{"STDN4-AS2",  2622},
{"JWICS",  2623},
{"TECNET-EXP",  2624},
{"DSIBBN",  2625},
{"STDN4-AS3",  2626},
{"STDN4-AS4",  2627},
{"STDN4-AS5",  2628},
{"DMSSCE",  2629},
{"NUWCDETHINET",  2630},
{"DISCOVERY-AS",  2631},
{"NCTSLNDN-AS",  2632},
{"NAS1-AS",  2633},
{"CENTEL-VA",  2634},
{"CENTEL-NV",  2635},
{"NCR-FT-COL",  2636},
{"GEORGIA-TECH",  2637},
{"RAIN",  2638},
{"CENTEL",  2639},
{"AMESLAB-AS",  2640},
{"TSRI-AS",  2641},
{"LEG-CA-GOV",  2642},
{"SU-IHEP",  2643},
{"SMARTS-AS",  2644},
{"ASN-CAVENET",  2645},
{"CONEXANT",  2646},
{"SITA",  2647},
{"NIST-BOULDER",  2648},
{"NAS2-AS",  2649},
{"EOP_GATEKEEPER",  2650},
{"CDAGOVN",  2651-2682},
{"RADIO-MSU",  2683},
{"NET-ASSEMBLY-CA-GOV",  2684},
{"IBM-MMD-AS",  2685-2694},
{"RJRT01-TOB1",  2695},
{"IREN-AS",  2696},
{"ERNET-AS",  2697},
{"IASTATE-AS",  2698},
{"BBN-DSI1",  2699},
{"CLARIS-CORP",  2700},
{"KSU-NET",  2701},
{"INTERSERVE",  2702},
{"NCR-FRMRELAY",  2703},
{"HOOKUP-NET-A",  2704},
{"CARENET",  2705},
{"HKSUPER",  2706},
{"WEC",  2707},
{"REDUGTO",  2708},
{"AOS-AS",  2709},
{"AMSINC-NET",  2710},
{"SUNBELT-AS",  2711},
{"LGC",  2712},
{"INTERSPIN-AS",  2713},
{"GSA_GOV",  2714},
{"REDERIO-AS",  2715},
{"TCHE-AS",  2716},
{"CUMMINS-AS1",  2717},
{"APSCN-AR",  2718},
{"DISA-CLIENTS",  2719-2738},
{"RUTYC-ASN",  2739},
{"ATTCLDS",  2740},
{"DSMC",  2741},
{"TASDAC-LAFB",  2742},
{"AFIWC01",  2743},
{"DECCO-EUROPE",  2744},
{"NAPC",  2745},
{"DDN-WEATHER",  2746},
{"AF-PROTEUS",  2747},
{"CASC-NET",  2748},
{"CNET-AS",  2749},
{"CIO",  2750},
{"ATT-PARADYNE",  2751},
{"THOMSONCA-AS",  2752},
{"LARSECOM",  2753},
{"EPNG-AS",  2754},
{"SJHMC_CHW",  2755},
{"EYNZ-O",  2756},
{"MCI-NETA",  2757},
{"MCI-NETB",  2758},
{"MCI-NETC",  2759},
{"MCI-NETD",  2760},
{"MCI-NETE",  2761},
{"BBN-DSI2",  2762},
{"BBN-DSI3",  2763},
{"CONNECT-NET",  2764},
{"CONNECTED",  2765},
{"GLASNET",  2766},
{"ATTCLDS-CBMS",  2767},
{"ATTCLDS-DVPN",  2768},
{"NEBRASKA",  2769},
{"TDHS-WEL-NET",  2770},
{"TRW-HSV",  2771},
{"HKIGS",  2772},
{"ASN-BLKRIPE2",  2773-2822},
{"BT-AU-1",  2823},
{"BT-EU-1",  2824},
{"BT-NA-1",  2825},
{"GTE-PACIFIC",  2826},
{"KH-AS",  2827},
{"CNCX-AS1",  2828},
{"I-LINK",  2829},
{"ASN-BLKRIPE3",  2830-2879},
{"NIIT",  2880},
{"RHGC-AS",  2881},
{"RSNG-PACBELL",  2882},
{"NAP-AADS",  2883},
{"NAP-THREE",  2884},
{"NAP-MAEEAST",  2885},
{"EPO-TEST-0",  2886},
{"RRM-ASN",  2887},
{"MCI-AREA-1",  2888},
{"MCI-AREA-2",  2889},
{"MCI-AREA-3",  2890},
{"MCI-AREA-4",  2891},
{"MCI-AREA-5",  2892},
{"CLI-NET",  2893},
{"CALIF-DWR",  2894},
{"FREE-NET-AS",  2895},
{"GEORGIA-1",  2897},
{"GEORGIA-2",  2898},
{"WN-ID-AS",  2899},
{"WN-AZ-AS",  2900},
{"WN-NM-AS",  2901},
{"WN-WY-AS",  2902},
{"ENCOMPASS",  2903},
{"RED-UACJ",  2904},
{"TICSA-ASN",  2905},
{"NCR-CANADA",  2906},
{"SINET-AS",  2907},
{"CITI1",  2908},
{"CITI2",  2909},
{"CITI3",  2910},
{"CITI4",  2911},
{"CITI5",  2912},
{"CITI6",  2913},
{"VERIO",  2914},
{"SPIN-NET",  2915},
{"CYBER-AS",  2916},
{"OLEANE",  2917},
{"ERCNET",  2918},
{"DIRECTV",  2919},
{"LACOE",  2920},
{"SAS-SDD",  2921},
{"CRSS",  2922},
{"AS-TIAA-NET",  2923},
{"EQUIFAX-NS",  2924},
{"FIS",  2925},
{"DB-2",  2926},
{"ZONE-NET1",  2927},
{"COAT",  2928},
{"SUN-RM",  2929},
{"NASCA-AS",  2930},
{"BIS",  2931},
{"NEDI-GIS",  2932},
{"REALTIME",  2933},
{"TXASHLTH",  2934},
{"CDOLNET-GOV",  2935},
{"NERSC",  2936-2937},
{"SPRINT-MRN",  2938},
{"SCAROLINA-AS",  2939},
{"NET-UEN-UTAH",  2940},
{"FW-CNS",  2941},
{"SPRINT-MRN-BLOCK",  2942-3041},
{"LACHMAN-ASN",  3042},
{"AMPHIB-AS",  3043},
{"SNAP-01",  3044},
{"SNAP-02",  3045},
{"SNAP-03",  3046},
{"SNAP-04",  3047},
{"SNAP-05",  3048},
{"SNAP-06",  3049},
{"SNAP-07",  3050},
{"SNAP-08",  3051},
{"SNAP-09",  3052},
{"SNAP-10",  3053},
{"FIRST-FLOOR",  3054},
{"SHL",  3055},
{"AB-ASN",  3056},
{"3COM-BGPTEST",  3057},
{"EMNET",  3058},
{"IBMCANAS",  3059},
{"SC-YORKTECH",  3060},
{"NCR-AUGSBURG",  3061},
{"CBIS-NET",  3062},
{"TIS-BA-NET",  3063},
{"CYBER-ASN",  3064},
{"NYCENET-AS",  3065},
{"RS-AS",  3066},
{"DENINF-IPLAN",  3067},
{"DENINF-IVAN",  3068},
{"DSI-WR-1",  3069},
{"DSI-WR-2",  3070},
{"DSI-WR-3",  3071},
{"DSI-WR-4",  3072},
{"CITI7",  3073},
{"CITI8",  3074},
{"CITI9",  3075},
{"CITI10",  3076},
{"CITI11",  3077},
{"CITI12",  3078},
{"CITI13",  3079},
{"CITI14",  3080},
{"CITI15",  3081},
{"ADVANTIS",  3082},
{"LINK1",  3083-3109},
{"HOLONET",  3110},
{"DIRECT",  3111},
{"OARNET-AS-1",  3112},
{"DOC-ESA-ASN",  3113},
{"DOJ-CRT-ASN",  3114},
{"DSMNET",  3115},
{"PPCI",  3116},
{"TXMHMR",  3117},
{"NCR-UK",  3118},
{"DATAPOINT",  3119},
{"MAGIC-INTRNL",  3120-3126},
{"CAPRICA-AS",  3127},
{"WISC1-AS",  3128},
{"WISC2-AS",  3129},
{"RG-BIWA",  3130},
{"DIALNET",  3131},
{"RCP-AS",  3132},
{"DHHS-NET-ASN",  3133},
{"USAID-ASN",  3134},
{"MITC",  3135},
{"STATE1-AS",  3136},
{"STATE2-AS",  3137},
{"GSA-DDN",  3138},
{"ASEE",  3139},
{"TJHSST-AS",  3140},
{"BUAP-MEX",  3141},
{"DORSAI",  3142},
{"VANET",  3143},
{"PINNACLE",  3144},
{"WESTPUB-AS",  3145},
{"DMSSC",  3146},
{"FIRSTBANK",  3147},
{"WISC-CS",  3148},
{"SOSI-AS",  3149},
{"VRIO-3150",  3150},
{"CEDEL-MRS",  3151},
{"FERMILAB",  3152},
{"FEMANET",  3153},
{"RIPE-ASNBLOCK4",  3154-3353},
{"THENET-AS-1",  3354},
{"LITC",  3355},
{"LEVEL3",  3356},
{"SEC",  3357},
{"UCIA-AS",  3358},
{"U-ALBERTA",  3359},
{"CSC-ASN",  3360},
{"GROUP-NAMES",  3362},
{"HKUST",  3363},
{"CSDCO-AS",  3364},
{"MCSNET",  3365},
{"A2I-WEST",  3366},
{"RHS-ROP",  3367},
{"CHARMNET",  3368},
{"MCI-ASN",  3369-3378},
{"KAISER-NCAL",  3379},
{"PPPL-AS1",  3380},
{"MHPCC-AS",  3381},
{"JUITA-UINET",  3382},
{"REDBRICK-HQ",  3383},
{"NEW-YORK-NET",  3384},
{"LIII-0001",  3385},
{"USNET-AS",  3386},
{"USIA",  3387},
{"UNM-AS",  3388},
{"FORDSRL-AS",  3389},
{"UMKCNET",  3390},
{"ASCII-NET",  3391},
{"INFINET",  3392},
{"WWANET",  3393},
{"ELPRESS-AS",  3394},
{"HUMAN-HEALTH",  3395},
{"EGG",  3396},
{"EMI-AS",  3397},
{"SAND-NET",  3398},
{"ITSKR",  3399},
{"POWERDOG",  3400},
{"SEATTLE",  3401},
{"TERRANET",  3402},
{"TIAC",  3403},
{"COLORADOCOOP",  3404},
{"QNSNET",  3405},
{"UUN",  3406},
{"INTERPATH-NC",  3407},
{"INET-1-AS",  3408-3411},
{"LINK2",  3412-3415},
{"SIPR-NETWORK1",  3416},
{"SIPR-NETWORK2",  3417},
{"SIPR-NETWORK3",  3418},
{"SIPR-NETWORK4",  3419},
{"AADS-DETROIT",  3420},
{"AADS-CHICAGO",  3421},
{"AADS-GRAPIDS",  3422},
{"AADS-LANSING",  3423},
{"SATURN",  3424},
{"ESNET-AS",  3425-3445},
{"KANSAS",  3446},
{"CENTEL-CMDS",  3447},
{"MCCAW-AS",  3448},
{"REDUBA",  3449},
{"UTK",  3450},
{"DTD-AS",  3451},
{"UAB-AS",  3452},
{"COMMNET",  3453},
{"UANL",  3454},
{"WAUSAU-INS",  3455},
{"TW-CABLE",  3456},
{"PORTAL-COM",  3457},
{"VWNA-AS",  3458},
{"PRIMENET2",  3459},
{"HEPCAS-AS",  3460},
{"GONZAGA-ASN",  3461},
{"HINET-AS",  3462},
{"ACES-AS",  3463},
{"ASC-NET",  3464},
{"JBHUNT",  3465},
{"ITSDN-ASN1",  3466},
{"ITSDN-ASN2",  3467},
{"ITSDN-ASN3",  3468},
{"ITSDN-ASN4",  3469},
{"DODEA-ODE",  3470},
{"JCSE01",  3471},
{"JCSE02",  3472},
{"JCSE03",  3473},
{"JCSE04",  3474},
{"LANT-AFLOAT",  3475},
{"JIEO-ITSI-BB",  3476},
{"NOAA-BOULDER",  3477},
{"IGC-BACKBONE",  3478},
{"PEACHNET-AS1",  3479},
{"PEACHNET-AS2",  3480},
{"STOFCTDAS",  3481},
{"MTSTGOV",  3482},
{"RECKITT-MRS",  3483},
{"IPN-MX",  3484},
{"FCMCNET",  3485},
{"JPMORGAN-ASN",  3486},
{"LAGOVEN-ASN",  3487},
{"SPACENETJP",  3488},
{"UNIFYNET",  3489},
{"CDINET",  3490},
{"CAIS-ASN",  3491},
{"ATLANTA",  3492},
{"INTERLINK",  3493},
{"INS-COM",  3494},
{"SENATE-AS",  3495},
{"MRVNET",  3496},
{"NET-DPA-CA-GOV",  3497},
{"NET-SEN-CA-GOV",  3498},
{"NET-DMV-CA-GOV",  3499},
{"BLACK-STAR",  3500},
{"ES-USDA",  3501},
{"INTNET",  3502},
{"SMSNET",  3503},
{"MWDSOCA",  3504},
{"VNET-GA",  3505},
{"FSU-SCRI",  3506},
{"CAPASSOC-AS",  3507},
{"CALL-AMERICA",  3508},
{"NET-CALPUC",  3509},
{"RWC-NET",  3510},
{"INFONET",  3511},
{"EUSHC",  3512},
{"INET-ON-RAMP",  3513},
{"INS-INFOSERVICES",  3514},
{"DSI-WR",  3515-3524},
{"ALBERTSONS",  3525},
{"SCCS1",  3526},
{"NIH-NET",  3527},
{"ITSDN-S1",  3528},
{"ITSDN-S2",  3529},
{"ITSDN-S3",  3530},
{"ITSDN-S8",  3535},
{"ITSDN-S9",  3536},
{"ITSDN-S10",  3537},
{"ITSDN-U1",  3538},
{"ITSDN-U2",  3539},
{"ITSDN-U3",  3540},
{"ITSDN-U4",  3541},
{"ITSDN-U5",  3542},
{"ITSDN-U6",  3543},
{"ITSDN-U7",  3544},
{"ITSDN-U8",  3545},
{"ITSDN-U9",  3546},
{"ITSDN-U10",  3547},
{"CINVESRED",  3548},
{"GBLX",  3549},
{"PHILNET",  3550},
{"PANNET",  3551},
{"UMI-AS2",  3552},
{"COVANET",  3553},
{"USIT-ASN",  3554},
{"GRCI-WAN",  3555},
{"INTEVEP",  3556},
{"VIX",  3557},
{"MRWA",  3558},
{"KORNET",  3559},
{"GDSAS",  3560},
{"CWUSA",  3561},
{"SNLB-NET-AS",  3562},
{"PILOT-ASN",  3563},
{"MICROSERVE-ASN",  3564},
{"GHS-ASN",  3565},
{"JRIVER-LINK",  3566},
{"AGATE",  3567},
{"WAIS-AS",  3568},
{"ANDERSEN",  3569},
{"FMC-1",  3570},
{"EY-AS",  3571},
{"TEXAS-TYC",  3572},
{"AC-PALO-ALTO",  3573},
{"ICTV-NET",  3574},
{"SEANET-ASN",  3575},
{"MV-1",  3578},
{"DATABANK",  3579},
{"ACCESSCOOP",  3580},
{"OBS-NET",  3581},
{"UONET",  3582},
{"IPTEK-ASN",  3583},
{"PUBNIX2-ASN",  3584},
{"AMPNET-AS",  3585},
{"JAMNET",  3586},
{"TWA",  3587},
{"EVERGREEN-AS",  3588},
{"DIALCORP",  3589},
{"C-TEC",  3590},
{"EMORY",  3591},
{"TRINCOLL-AS",  3592},
{"EPIX",  3593},
{"RAIN1",  3594},
{"NETDEPO-AS",  3595},
{"TELEAUM",  3596},
{"NET-RETINA",  3597},
{"AS-BABOON",  3598},
{"BINCNET",  3599},
{"SUNNET-AS",  3600},
{"IXA-NET",  3601},
{"INSINC",  3602},
{"NET-INTERCOL",  3603},
{"CPBX",  3604},
{"KUENTOS-AS",  3605},
{"CONNCOLL-AS",  3606},
{"EDS-PLANO-AS",  3607},
{"NBNIC-NCA",  3608},
{"CYBER-NET",  3609},
{"MHV-NET",  3610},
{"PIC",  3611},
{"DELL-BLK",  3612-3615},
{"IP-NET-AS",  3616},
{"MCIASN-BLK",  3617-3623},
{"CONCERTMANSER",  3624},
{"MCIASN-2-BLK",  3625-3626},
{"NRAO-VLBA",  3627},
{"NYSERNET-BLK",  3628-3630},
{"MRECIC",  3631},
{"CONACYT",  3632},
{"BC-SYSTEMS",  3633},
{"SFASU-AS",  3634},
{"BEA",  3635},
{"CPVNET",  3636},
{"ASN-NWNEXUS2",  3637},
{"DASH",  3638},
{"AS-BIZNET",  3639},
{"RED-CICESE",  3640},
{"NETHEAVEN",  3641},
{"GSA-PAN-DDN",  3642},
{"SPRINT-BB-NETBLK",  3643-3652},
{"SKYMALL",  3653},
{"AMSTD-NET",  3654},
{"GE-IPS",  3655},
{"CITYPHX1",  3656},
{"TSS-NET",  3657},
{"LIGHTLINK",  3658},
{"CLAREMONT",  3659},
{"CENTEL-OMAN",  3660},
{"CUHKNET",  3661},
{"HARNET",  3662},
{"NETNET-NET",  3663},
{"JWID-AS",  3664-3667},
{"GNP-DCN",  3668},
{"IQUEST",  3669},
{"OPTIMUM-AS",  3670},
{"SLAC",  3671},
{"WINCOM-AS",  3672},
{"SYNERGYNET",  3673},
{"INTERPORT",  3674},
{"IS-NET",  3675},
{"UIOWA-AS",  3676},
{"UIOWA-EXTERNAL",  3677},
{"GLOBAL-ASN",  3678},
{"SKYPOINT-NET",  3679},
{"NOVELL",  3680},
{"FIU",  3681},
{"RACIN",  3682},
{"AMERICAN-NET",  3683},
{"DDI",  3684},
{"BUFFALO-ASN",  3685},
{"BBSSYS-ASN",  3686},
{"GLOBALCOM-1",  3687},
{"PING-INC",  3688},
{"HKIGS-BLCK",  3689-3693},
{"NOAA-SUITLAND",  3694},
{"OSD-CPMS",  3696},
{"FOXMEYER",  3697},
{"RJRNI-INTL1",  3698},
{"SENSE",  3699},
{"CLOUD9",  3700},
{"NERONET",  3701},
{"ICSI-NET",  3702},
{"EARTHLINK",  3703},
{"INTERMIND-ASN",  3704},
{"GPO-NET",  3705},
{"DIGEX-AS2",  3706-3707},
{"FF-ASN",  3708},
{"NET-CITY-SA",  3709},
{"REALM-AS",  3710},
{"ISIS-NZ-0",  3711},
{"CHASE-US",  3712},
{"ICFKAISER",  3713},
{"KEC-NET",  3714},
{"ECS2",  3715},
{"DATAWAVE",  3716},
{"BUCT-NET",  3717},
{"TCD-CONNECT",  3718},
{"CT-JIS",  3719},
{"TIMS-AS",  3720},
{"ASN-MIKUNI",  3721},
{"SCSN",  3722},
{"ELECPRESS-AS",  3723},
{"ALASKA-ANET",  3724},
{"ASN-SONY",  3725},
{"JCALS-NET",  3726},
{"SHRUBB",  3727},
{"ONR-ADDR",  3728},
{"CARE-AS",  3729},
{"CVCORP",  3732},
{"GULF-COAST",  3733},
{"SJEN",  3734},
{"CONNECTION",  3735},
{"RABBITNET",  3736},
{"PTD-AS",  3737},
{"SSB-ASN",  3738},
{"SLPO",  3739},
{"CHICAGO-REN",  3740},
{"IS",  3741},
{"SEMAPHORE-1",  3742},
{"SIERRA-NET",  3743},
{"CAN-NET",  3744},
{"VWAG-AS",  3745},
{"IPAC-WORLD",  3746},
{"WANG-1",  3747},
{"ETRINET",  3748},
{"TECNET",  3749},
{"NETPOINT1-NET",  3750},
{"SNET-AS",  3751},
{"ELIZA-NETAXIS",  3752},
{"NSCEE",  3753},
{"NYSERNET3-AS",  3754-3756},
{"TRAN",  3757},
{"SINGNET",  3758},
{"CALTEX-AS",  3759},
{"TX-DEPT-AGR",  3760},
{"INSTINET-AS",  3762},
{"NEONET",  3764},
{"DNDCFNET1",  3765},
{"DNDCFNET2",  3766},
{"SOSCORP-AS",  3767},
{"DIALOG-AS",  3768},
{"HEARST-AS",  3769},
{"MONADNET",  3770},
{"SPERRY-AS",  3771},
{"CETYS-AS",  3772},
{"TGE-1",  3773},
{"SECARDNEON",  3774},
{"IBMAP-MPN",  3775},
{"ALOHANET",  3776},
{"HAVERFORD",  3777},
{"TEMPLE",  3778},
{"CRISIS-WORLD",  3779},
{"ASN-ADVANTIS2",  3780},
{"USBM-PGH",  3781},
{"SWARTHMORE",  3782},
{"AIU-GATEWAY",  3783},
{"POSTECHNET",  3784},
{"TPOINT",  3785},
{"DACOMNET",  3786},
{"MOBILE-1",  3787},
{"TEXAS-DOT",  3788},
{"INTERACCESS2",  3789},
{"RACSANET",  3790},
{"ACCESSONE",  3791},
{"CIS2",  3792},
{"TIC",  3793},
{"TAMU",  3794},
{"BRYNMAWR",  3795},
{"OUTERNET",  3796},
{"METASYS-VNET",  3797},
{"LAW-SERVICES",  3798},
{"IDS",  3799},
{"NMC",  3800},
{"MISNET",  3801},
{"LGHS",  3802},
{"ULTRA-MA",  3803},
{"WORLDLINX",  3804},
{"ASN-LAMB",  3805},
{"SCOOP",  3806},
{"UMTNET-ASN",  3807},
{"CYBERGATE-AS",  3808},
{"NWCORP1",  3809},
{"VWMX-AS",  3810},
{"INTAC-AS",  3811},
{"LTVIAS",  3812},
{"SOGANGNET",  3813},
{"IMS-INTERCOM",  3814},
{"AQUILA",  3815},
{"SAITEL-CO",  3816},
{"FREESIDE-NET",  3817},
{"STEP2-AS",  3818},
{"ACP",  3820},
{"ABLECOM",  3821},
{"ITSNET",  3822},
{"CIMTG",  3823},
{"WLN",  3824},
{"HANANET",  3825},
{"REDLION",  3826},
{"ELECTRICITI",  3827},
{"CIRRUS",  3828},
{"METROBBS",  3829},
{"NET99",  3830},
{"FIBRNET-B1",  3831},
{"CINE-NET",  3832},
{"WYOMING",  3833},
{"PERFTECH",  3834},
{"STATIS-AS",  3835},
{"THAISARN",  3836},
{"FW-IE",  3837},
{"SVJAVA",  3838},
{"CHULANET",  3839},
{"LABTAM",  3840},
{"BIHS-NET",  3841},
{"INTEXO-MRS",  3843},
{"VRIO-3844",  3844},
{"STATE-NET",  3845},
{"NANDO",  3846},
{"GENUITY",  3847},
{"WORLDLINX-2",  3848},
{"NET-HA",  3849},
{"LTECNET",  3850},
{"SCS-NV",  3851},
{"MAG-AS",  3852},
{"WHIDBEY",  3853},
{"DNACO-AS",  3854},
{"IBL-LYNX",  3855},
{"PCH-AS",  3856},
{"INC",  3857},
{"NPPDNET",  3858},
{"AMEDD-EUR",  3859-3897},
{"UCSF-HISD",  3898},
{"CHICO-NET",  3899},
{"YOKUBAITIS",  3900},
{"ARRAKIS",  3901},
{"GLAXOCA-1",  3902},
{"NAG-AS",  3903},
{"ASTHOUGHTPRT",  3904},
{"REDUNO",  3905},
{"ADS-1-AS",  3906},
{"CONNECT-1-NET",  3907},
{"SUPERNETASBLK",  3908-3910},
{"MIS-AS",  3911},
{"NMSU-AS",  3912},
{"UMMEDICAL",  3913},
{"DX-NET",  3914},
{"OSIS-PACOM",  3916},
{"SCIS-NL",  3917},
{"SCIS-UK",  3918},
{"HARBORNET",  3919},
{"IMS-RTFM",  3920},
{"GEIS-OOCL",  3921},
{"GEIS-YAM",  3922},
{"FAA-MMAC",  3923},
{"TX-OAG",  3924},
{"ICO-SV",  3925},
{"FFX-CNTY",  3926},
{"RGNET-WAO",  3927},
{"VALLEY-TECH",  3928},
{"FINSYS-NET",  3929},
{"FERC-FED-US",  3930},
{"LOGICAL",  3931},
{"VOICENET",  3932},
{"OPEN",  3933},
{"VRIO-3934",  3934},
{"EASTWAUNIV",  3935},
{"VRIO-3936-3942",  3936-3942},
{"AS-NWNET-OPEN",  3943},
{"PARTAN-LAB",  3944},
{"VRIO-3945",  3945},
{"VRIO-3946-3949",  3946-3949},
{"IXL-AS",  3950},
{"QWST",  3951},
{"TELLABS-ASN",  3952},
{"PROFILE",  3953},
{"DFAS-PC-NET",  3954},
{"WANG-US-1",  3955},
{"TX-METRO",  3956},
{"AIP",  3957},
{"AIRCANADA",  3958},
{"ONEWORLD",  3959},
{"AASAMERITECH",  3960},
{"INDUSTRYNET",  3961},
{"INTERLINK-2",  3963},
{"INTERLINK-3",  3964},
{"INTERLINK-4",  3965},
{"INTERLINK-5",  3966},
{"NETUSACOM-AS",  3967},
{"COLMEX-AS",  3968},
{"STPHNET",  3969},
{"RG-PART",  3970},
{"NETS-ABQ-VA",  3971},
{"AS-SPRINTLINK-NYSERN1",  3972},
{"AS-SPRINTLINK-NYSERN2",  3973},
{"REZONET",  3974},
{"AMSC",  3975},
{"NURI-ASN",  3976},
{"UTELFLA",  3977-3992},
{"KW-NET",  3993},
{"INET-CORE-AS",  3994},
{"IWEB",  3995},
{"FIRN",  3996},
{"ACM-AS",  3997},
{"CITY-NET",  3998},
{"PENN-STATE",  3999},
{"GLOBAL-SPLK",  4000-4005},
{"NETRAIL",  4006},
{"HKSUPER-1",  4007},
{"UNIVERSAL",  4008},
{"INET",  4009},
{"USACE-WEST",  4010},
{"USACE-EAST",  4011},
{"DCM",  4012},
{"ASN-GAN",  4013},
{"WIS",  4014},
{"USWEST",  4015},
{"RIS",  4016},
{"BELLST",  4017},
{"DIA-AS",  4018},
{"IIE-AS",  4019},
{"TASDAC",  4020-4038},
{"ALBANYNET",  4039},
{"KORNET-PS",  4040},
{"RGNET-SJ0",  4041},
{"DURANGONET",  4042},
{"MIC-ASN",  4043},
{"AKSI-NET-AS",  4044},
{"AS-WINTERNET",  4045},
{"FAA",  4046},
{"CIRS-AS",  4047},
{"SPTEL",  4048},
{"OTP-1",  4049},
{"OMNINET-PRI-AS",  4050},
{"PACAFINY-GW",  4051},
{"USRX-AS",  4053},
{"EZNETNY-AS",  4054},
{"UDEL-1",  4055},
{"LASC-USAF",  4056},
{"I2020",  4057},
{"LINKAGENET",  4058},
{"WENG-AS",  4059},
{"KORNET-DJ",  4060},
{"GTTW-NET",  4061},
{"SIGNALDATA",  4062},
{"ELCSCI-ASN",  4063},
{"NET99-1",  4064},
{"APPOC",  4065-4125},
{"SPTEL2",  4126},
{"DUPONT-SCD",  4127},
{"RG-SPARE",  4128},
{"WIRED-NET",  4129},
{"UPITT-AS",  4130},
{"USIS-AS",  4131},
{"NET99-2",  4132},
{"BITWISE",  4133},
{"CHINALINK",  4134},
{"ENVISIONET",  4135},
{"GLOBIX-AS",  4136},
{"DIRECTNET",  4137},
{"REACH",  4138},
{"INTERSRV",  4139},
{"INMIND",  4140},
{"ICA",  4141},
{"GIN-HK",  4142},
{"UNIBASE",  4143},
{"INTERGUIDE",  4144},
{"FRITZNET",  4145},
{"TACH-NET",  4146},
{"AFLOAT-MED",  4147},
{"ACTCOM",  4148},
{"UCCS-II",  4149},
{"SUPRANET-WIS",  4150},
{"USDA-1",  4151-4157},
{"CITYUHK",  4158},
{"ONEWORLD-AS-1",  4159},
{"SPECTRA",  4160},
{"TIN-1",  4161-4164},
{"DISASD",  4165},
{"CRL-NAP",  4166},
{"CONNECTSOFT-COM",  4167},
{"GULFSTAR",  4168},
{"ECHNET",  4169},
{"DIA-HOCNET",  4170},
{"EUROGRAFIX",  4171},
{"WAYNESBURG",  4172},
{"WATER",  4173},
{"CONNECT-COM",  4174},
{"CONNECT-NCM",  4175},
{"PGH-NET",  4176},
{"WORLTEK",  4177},
{"ASN-AZTEC",  4178},
{"CITY-OF-LA",  4179},
{"CHAPUB",  4180},
{"TDS-AS",  4181},
{"RE-INFOLINK",  4182},
{"UUNET-MCIWCOM",  4183},
{"STORTEK-WHQ",  4184},
{"AADS-INDY",  4185},
{"AADS-SAGINAW",  4186},
{"INFOBAHN",  4187},
{"GILBARCO-AS",  4188},
{"OSSHENET1",  4189},
{"BINGHAMTON-U",  4190},
{"STORTEK-NAT",  4191},
{"STORTEK-INT",  4192},
{"WA-STATE-GOV",  4193},
{"SDINTERNET",  4194},
{"SHAW",  4195},
{"NMB-NETS",  4196},
{"GLOBALONLINE",  4197},
{"RADIXNET",  4198},
{"AGIS-NET",  4200},
{"ORST-AS",  4201},
{"SAMSUNG-SEC2",  4202},
{"TGF-TIS",  4203},
{"ALLWARE-AS",  4204},
{"INMS",  4206},
{"NET-INTRNET",  4207},
{"ISERV-AS",  4208},
{"PQVNET",  4209},
{"Y",  4210},
{"ASN-MARICOPA1",  4211},
{"SPRINT-MAT",  4212},
{"NAPLESCLIN",  4214-4221},
{"LEN-NET",  4222},
{"CONNIX",  4223},
{"CALYX-AS",  4224},
{"NAV-AS",  4225},
{"ASN-PERSIS",  4226},
{"TCCGI-AS",  4227},
{"CDFA-CA-GOV",  4228},
{"DIRECT-NET2",  4229},
{"EMBRATEL-BR",  4230},
{"FASTNET-ASN",  4231},
{"EDEN-AS",  4232},
{"DWRSCADA",  4233},
{"CT-WCC",  4234},
{"DGS-2",  4235},
{"CITIZENS-AS",  4236},
{"INTERLINK-S",  4237},
{"TX-TREASNET",  4238},
{"COAST-NET",  4239},
{"NJNET-AS",  4240},
{"FTB",  4241},
{"SOLAR-NET",  4242},
{"NC-FUNB-AS",  4243},
{"RTN-1",  4244},
{"ECHO-AS",  4245},
{"NJIT-AS",  4246},
{"CAPCON-AS",  4247},
{"CYBERTRIBE",  4248},
{"LILLY-AS",  4249},
{"NUKE-NET",  4250},
{"TWICS",  4251},
{"GMS-AS",  4252},
{"RWJNET",  4253},
{"PICA-ISAN",  4254},
{"BAIN",  4255},
{"INTERGATE-GW",  4256},
{"CYBERCASH-AS",  4257},
{"WOLFENET",  4258},
{"IOCOM",  4259},
{"DCCI-AS",  4260},
{"BLUEGRASSNET",  4261},
{"CERNET-ASN-BLOCK",  4262-4269},
{"RIU",  4270},
{"WORX",  4271},
{"MDN",  4272},
{"JSC-NET-ASN",  4273},
{"AU-NET",  4274},
{"CLIPPER",  4275},
{"INCH",  4276},
{"KIVEX",  4277},
{"IADFW",  4278},
{"INTERSOURCE",  4279},
{"CWUSA-BLK",  4281-4285},
{"MCI-WORLD",  4286},
{"CWUSA-2BLK",  4287-4298},
{"JSC-NET-ASN2",  4299-4301},
{"BUPERSLAN",  4302},
{"DDN-S-AS",  4303},
{"YPN-NET",  4304},
{"PREMIER",  4305},
{"NOVIA",  4306},
{"SVINET-1",  4307},
{"TEZCAT-ASN",  4308},
{"FRMCO",  4309},
{"LINET",  4310},
{"WINC",  4311},
{"FYI",  4312},
{"DELTANET",  4313},
{"COMMNET-ASN",  4314},
{"STACCS-A",  4315},
{"DSI-CUST-BLK",  4316},
{"FMI-NET-AS",  4318},
{"CORTLAND",  4319},
{"TASA-GW",  4320},
{"INSINC2",  4321},
{"EBTECH",  4322},
{"TW-COMM",  4323},
{"WHC-NET",  4324},
{"PWCYOKO",  4325},
{"TNTONLINE",  4326},
{"SNA-NET",  4327},
{"STACCS-A1-24",  4328-4351},
{"GLOBAL-LINK",  4352},
{"WNET-AS",  4353},
{"ASN-NKN",  4354},
{"ERMS-EARTHLNK",  4355},
{"RICOCHET-AS",  4356},
{"PHASE4-RO",  4357},
{"XNET",  4358},
{"DIGIPRESS-AS",  4359},
{"AGNES-SCOTT",  4360},
{"PCIX-AS",  4361},
{"DIGITOPIA-AS",  4362},
{"ALPHA-BETA",  4363},
{"IGLOU",  4364},
{"DIGITAL-CAFE-ASN",  4365},
{"GE-AMC",  4366},
{"SECSTATE-CA-GOV",  4367},
{"CRCNET",  4368},
{"IQUEST-ASN",  4369},
{"TELERES-NET",  4370},
{"FEMA-GOV",  4371},
{"NET-LM",  4372},
{"OCLC-AS",  4373},
{"CONNECT",  4374},
{"KEY",  4375},
{"DSW-INET",  4376},
{"SSSI-NETS",  4377},
{"PHASER-ASN",  4378},
{"SIPRNCC",  4379},
{"USACAA-NET1",  4380},
{"CONNECT-COM2",  4381},
{"LINTASARTA",  4382},
{"NAIC",  4383},
{"MULTI-NET",  4384},
{"RIT-ASN",  4385},
{"OSPASN",  4386},
{"RECYT",  4387},
{"NET99-3",  4388},
{"DATASERVE-AS",  4389},
{"BELLATLANTIC-COM",  4390},
{"BRI-NET",  4391},
{"CROWN-NET",  4392},
{"PATHFINDER",  4393},
{"DSI-CUST-BLK2",  4394-4404},
{"LINK3",  4405-4430},
{"LINGNAN",  4431},
{"CSTONE-NET",  4432},
{"ACCESS-ONE",  4433},
{"RADNET1-AS",  4434},
{"INCH-AS-1",  4435},
{"AS-SCRUZ-NET",  4436},
{"WEBB",  4437},
{"NEPTUNE",  4438},
{"IMEFDJOSS",  4439},
{"IIIMEFDJOSS",  4440},
{"MARFORPACDJOSS",  4441},
{"TRACWS",  4442},
{"CISNET-AS",  4444},
{"CWI-AS",  4445},
{"INFINET-ASN",  4446},
{"HOOKED-AS",  4447},
{"OPEN-ACCESS-AS",  4448},
{"ASN-GALSTAR",  4449},
{"WEBNET",  4450},
{"AMERICA",  4452},
{"TDS-TELECOM",  4453},
{"TNET-AS",  4454},
{"METRICOM-AS",  4455},
{"GSNET-NETS",  4456},
{"NESTE-NET",  4457},
{"CCNET",  4458},
{"KDD-NET",  4459},
{"RVCC",  4460},
{"OPUSTEL-AS",  4461},
{"NDLINK",  4462},
{"ONET3-DOM",  4463},
{"TWNAO-AS",  4464},
{"EASYLINK1",  4465},
{"EASYLINK2",  4466},
{"EASYLINK3",  4467},
{"EASYLINK4",  4468},
{"SPHERENET-AS",  4469},
{"ASN-CITENET",  4470},
{"MICAE91-AS",  4471},
{"IONET",  4472},
{"AADS-MI-UP",  4473},
{"GVIL1",  4474},
{"GVIL2",  4475},
{"BBDATA",  4477},
{"PNET-STL",  4478},
{"JTM",  4479},
{"EMTF-RMAIN",  4480},
{"EMTF-SEM",  4481},
{"EMTF-GEIL",  4482},
{"EMTF-SPANG",  4483},
{"EMTF-BIT",  4484},
{"EMTF-RAMDEN",  4485},
{"EMTF-RAM",  4486},
{"EMTF-UPW",  4487},
{"EMTF-CRO",  4488},
{"EMTF-MOL",  4489},
{"EMTF-LAK",  4490},
{"MULTIPRO",  4491},
{"RTD",  4492},
{"UNI-SON",  4493},
{"INTERBYTES",  4494},
{"TERRAPORT",  4495},
{"UUCOM-AS",  4496},
{"UPSTEL-NET",  4497},
{"GLOBALONE",  4498},
{"WEBNET-ASN",  4499},
{"NET-TIVOLI",  4500},
{"MICAE91-MICA",  4501},
{"CINCOM-MRS",  4502},
{"EGINTERLINK",  4503},
{"GSASNETXGW",  4504},
{"SEW-AS",  4506},
{"ASN-SUDRCSS-NET",  4507},
{"NETSOUTH",  4508},
{"ONRAMP-CA1",  4509-4510},
{"MIAMI-EDU",  4511},
{"PCWNET",  4512},
{"TIG",  4513},
{"STAR",  4515},
{"TRENDLINE",  4516},
{"VOLANT",  4517},
{"TELECOM",  4518},
{"MAAS",  4519},
{"AQUA",  4520},
{"MIRACLE",  4521},
{"COMPUCALL",  4522},
{"GEIS",  4523},
{"TRU-MRS",  4524},
{"POPPE",  4525},
{"ARMY-FMO",  4526},
{"BRAINSTORM",  4527},
{"HKUNET",  4528},
{"RIS-NET",  4529},
{"BLUE-FIN",  4530},
{"MEDWEB",  4531},
{"WARWICK",  4532},
{"GLOBESAT",  4533},
{"IXA-ASN",  4534},
{"TRUE",  4535},
{"PEARLY-GATE",  4536},
{"BAILEYS-GWS1",  4537},
{"CERNET-BKB",  4538},
{"NETROPOLIS",  4539},
{"WELL",  4540},
{"IWORK",  4541},
{"RRNET-AS",  4542},
{"TIMESNET",  4543},
{"CONXION-A",  4544},
{"SONNET-ASN",  4545},
{"MCGRAW-AS",  4546},
{"BLS-AS",  4547},
{"AG",  4548},
{"ESPN-AS",  4549},
{"AN-CMSPP",  4550},
{"EP0-BLK-ASNBLOCK",  4551-4561},
{"NAP-MAEWEST",  4553},
{"INTEX",  4562},
{"NIPRNET",  4564},
{"EPOCH-INTERNET",  4565},
{"3COMMW",  4566},
{"DEC-ENET",  4567},
{"WALLACE-NET",  4568},
{"ASHTON-NET1",  4569},
{"IH2000",  4570},
{"PIPEX-SA",  4571},
{"JAXINTER",  4572},
{"SEQUEL2",  4573},
{"NETDOOR",  4574},
{"CYBERHOUSE",  4575},
{"NETCENTER",  4578},
{"CORSAIR",  4580},
{"SOCKET",  4581},
{"REALLINK",  4582},
{"WESTPUB-A",  4583},
{"PTI-NET",  4584},
{"NAVISOFT",  4585},
{"TX-TNRIS",  4586},
{"ONEWORLD2",  4587},
{"FINNPAP-MRS",  4588},
{"TECHNOCOM",  4589},
{"MARCAM-GW",  4590},
{"SYRANET-GW",  4591},
{"OPENMARKET-NET",  4592},
{"RELIANCE",  4593},
{"INOAC-HK",  4594},
{"ICNET",  4595},
{"MONGTOMERY",  4596},
{"MILLIPORE",  4597},
{"HRB",  4598},
{"MINNNET-NET",  4599},
{"UO-TRANSIT",  4600},
{"PAGESAT",  4601},
{"NAVO",  4602},
{"SONETIS",  4603},
{"HOUSTON-ISD",  4604},
{"HKBUNET",  4605},
{"HCI",  4606},
{"NORAD-SPACE",  4607},
{"APNIC-AS-BLOCK",  4608-4864},
{"CRC-ASN",  4908},
{"FCDNA",  4909},
{"SPRINTNET-NC",  4910},
{"USW-INTERNET",  4911},
{"IWL",  4913},
{"HONDUNET",  4914},
{"TRANE-UPG",  4915},
{"HQINSCOM",  4916},
{"AMDOCS-AS",  4917},
{"THEPOINT-NET",  4918},
{"CONSOLIDATED",  4919},
{"CYBERPORTS",  4920},
{"EX-SV-GW5",  4921},
{"GLOBALCOM",  4922},
{"MCIX",  4923},
{"NIIA-NET",  4924},
{"FIRSTDATA",  4925},
{"TELINTAR",  4926},
{"ASN-SBCNET",  4927},
{"VAIS",  4928},
{"BENCHMARK",  4929},
{"DMG1",  4930},
{"INTERSRV2",  4931},
{"I3",  4932},
{"WPE",  4933},
{"LANIER-WW",  4934},
{"HC-LIB",  4936},
{"IAMERICA-NET",  4937},
{"SPRINTNET-SC",  4938},
{"ASN-SOLECT",  4939},
{"SOUTHWINDNET",  4940},
{"FDT",  4941},
{"B-NET",  4942},
{"NOL-AS",  4943},
{"PDVNET",  4944},
{"HARRIS-SEMICONDUCTOR",  4945},
{"NEONET-LA",  4947},
{"AIX-NET",  4948},
{"UCINET-EIGRP",  4949},
{"ASN-SPRN-NYSERNET1",  4950},
{"SPRINTLINK-NYSERNET2B",  4951},
{"CAPECOD",  4952},
{"BCPL",  4953},
{"CARR",  4954},
{"NDL",  4955},
{"LOGICSYS",  4956},
{"VCNET",  4957},
{"LDSNET",  4958},
{"CORPCOMM",  4959},
{"PERNET",  4960},
{"DHI-NET",  4961},
{"WINKCOMM",  4962},
{"TEXOMA",  4963},
{"4964",  4964},
{"AMER",  4965},
{"TELEPATH",  4966},
{"STARTEL",  4967},
{"NETACCESS",  4969},
{"NWPROS",  4971},
{"FRITZNET2",  4972},
{"FRITZNET3",  4973},
{"GROVE-MRS",  4974},
{"LASER-NET-BLOCK",  4975},
{"SUNGLASSES",  4976},
{"NET1",  4977},
{"GDI-NET-AS",  4978},
{"GEIS-GENIE",  4979},
{"TECLINK",  4981},
{"JAZZIE",  4982},
{"INTEL-SC-AS",  4983},
{"INGRESS",  4984},
{"SHASTA-NET",  4986},
{"ALOHANET2",  4987},
{"ALOHANET1",  4988},
{"CFT-NET",  4989},
{"AADS-MILWAUKEE2",  4990},
{"NET99-4-7-BLK",  4991-4994},
{"NETUP",  4995},
{"SBI",  4996},
{"RMCI",  4997},
{"LANDE",  4998},
{"SPRINTIPDIAL",  4999},
{"IOS-NET",  5000},
{"SONIC",  5001},
{"BBSATLGA",  5002},
{"INSYNC-1",  5003},
{"EAGLENET",  5004},
{"LAT",  5005},
{"MIXNET-NET",  5006},
{"COMPUTOPIA",  5007},
{"ADVTEL",  5009},
{"KISNET-1",  5010},
{"EMTF-AVI",  5011},
{"EMTF-AZO",  5012},
{"EMTF-IZM",  5013},
{"EMTF-INC",  5014},
{"SHOUTING",  5015},
{"BRAGG-GCC",  5016},
{"HUGE-NET",  5017-5018},
{"DATACOM-GATE",  5019},
{"MEA",  5020},
{"PACAF-GCCS",  5021},
{"FANEUIL",  5022},
{"FIREBALL",  5023},
{"BRIDGE",  5024},
{"ASN-DATABANK",  5025},
{"LVVWD",  5026},
{"ACSIL",  5027},
{"GATEWAYNORTH",  5028},
{"VEGAS-NET",  5029},
{"TAL",  5030},
{"DOCCNET",  5031},
{"ISW",  5033},
{"AS-STARNET",  5034},
{"CYNET",  5035},
{"WCA",  5036},
{"NSTCPVAX",  5037},
{"NSAN-DOM",  5038},
{"TECNET2",  5039},
{"MINT",  5040},
{"SUPERLINK-NET",  5041},
{"DISC2",  5042},
{"PERRAUT",  5043},
{"ASN-DATABANK1",  5044-5045},
{"RANDOMC",  5046},
{"ARNET2",  5047},
{"FIBER",  5048},
{"MORGAN-ASN",  5049},
{"PSC-EXT",  5050},
{"KOREAPC",  5051},
{"SETA-DMS",  5052},
{"HTP",  5053},
{"PROGNET",  5054},
{"WANET",  5055},
{"INS-NET-2",  5056},
{"XENITEC",  5057},
{"NRL-EXP",  5058},
{"STARPAGING",  5059},
{"ASN-SPRN-NYSER-BLK",  5060-5069},
{"COMED",  5070},
{"WESTEL-1",  5071},
{"INDYNET",  5072},
{"GM-EDS-1",  5073},
{"ASN-ATTELS",  5074},
{"ASN-ATTGMS",  5075},
{"UNICOM",  5076},
{"ASN-WSNET",  5077},
{"ONENET-AS-1",  5078},
{"DIAL-CALL",  5079},
{"ARAMCO-AS",  5080},
{"WINTERLAN",  5081},
{"CLOVERLEAF",  5082},
{"DRAKE-NET",  5083},
{"GSL-HQ",  5084},
{"NETFUN",  5085},
{"IDNET",  5086},
{"LANKA-COM",  5087},
{"NIS-1",  5088},
{"CABLETEL",  5089},
{"CWI-NYD",  5090},
{"NNE",  5092},
{"OVID-AS",  5093},
{"PARAGON-AS",  5094},
{"BOOKLINK-AS",  5095},
{"SOFTAWARE",  5097},
{"NWUC",  5099},
{"ASN-TX-DDC",  5100},
{"SII",  5101},
{"AADS-CHAMPAIGN",  5102},
{"AADS-INDY3",  5103},
{"AADS-CHAMPAIGN2",  5104},
{"AADS-COLUMBUS2",  5105},
{"AADS-COLUMBUS",  5106},
{"AADS-CLEVELAND2",  5107},
{"AADS-CLEVELAND",  5108},
{"AS-NTER-NET",  5109},
{"CABLE-ASN",  5111},
{"SIDLINGER",  5112},
{"HGEA-AS",  5113},
{"KBI-NET-GW",  5114},
{"ONESTEP",  5115},
{"DODNIC",  5120-5376},
{"RIPE-ASNBLOCK5",  5377-5631},
{"ONLINE-SA",  5633},
{"MILESTONE",  5634},
{"SBVDN",  5635},
{"LISTING",  5636},
{"CAIDA-CACHE",  5637},
{"ASN-NEARNET-2-ASNBLOC",  5638},
{"TSTT-NET",  5639},
{"NCSA-VBNS-EX",  5640},
{"ABS-NET",  5641},
{"KERSUR-TECH",  5642},
{"SILKROAD-US",  5643},
{"ASN-USA",  5644},
{"JUMP-NET",  5645},
{"NN-CNSM",  5646},
{"ASN-KODAK",  5647},
{"SATLINK",  5648},
{"KEVNET-ASN",  5649},
{"ELIX",  5650},
{"DESTEK",  5651},
{"IN-NET",  5652},
{"UCSF",  5653},
{"TISHNET",  5654},
{"DECADE-DOM",  5655},
{"ACCESSUS-DOM",  5656},
{"NOVAIAC-ASN",  5657},
{"CCE-NET",  5658},
{"VIVANET",  5659},
{"JCI-NET",  5660},
{"USF",  5661},
{"ASN-TBS-1",  5662},
{"EDCNET",  5663},
{"SHERIDAN-NET",  5664},
{"DELMARVA-ASN",  5665},
{"OMNES-NET",  5666},
{"FASTNET2-ASN",  5667},
{"CENTURY",  5668},
{"U-NET",  5669},
{"MONTEREY",  5670},
{"PBI-NET-BLK",  5671-5681},
{"NETONE",  5682},
{"CWI-CORE",  5683},
{"GANNETT-NET",  5684},
{"DRANET-NORTH",  5685},
{"CSERVE-CIS",  5686},
{"AA-NET",  5687},
{"PASSPORT",  5688},
{"HOOSIERNET",  5689},
{"VIANET-NO",  5690},
{"MITRE-WASH",  5691},
{"UNLP",  5692},
{"INTELENET",  5693},
{"UNIFIED-NET",  5694},
{"MAILROOM-NT",  5695},
{"WNST",  5696},
{"SG-INTER",  5697},
{"NETPUB-AS",  5698},
{"MISHA-NET",  5699},
{"IV-NET",  5700},
{"HEALTH-ONE",  5701},
{"GALAXY",  5702},
{"TIGERFUND",  5703},
{"CARIBE-NET",  5704},
{"FSTW",  5705},
{"UUPCQUOTE",  5706},
{"UTH-HSC",  5707},
{"UAGRO",  5708},
{"KMB-1",  5709},
{"GIA-ASN-1",  5710},
{"CYBER2",  5711},
{"ULTRANOC",  5712},
{"SAIX-NET",  5713},
{"EDS-WEBS",  5714},
{"MIXNET2-NET",  5715},
{"CYBERCOM",  5716},
{"IWIN-NET",  5717},
{"MECNET",  5718},
{"SUNYSB",  5719},
{"ASTSOFT",  5720},
{"NDU-NET",  5721},
{"UNALCOL-NET",  5722},
{"JHU",  5723},
{"UMMCNET",  5724},
{"NEXTLAND",  5725},
{"INTERWORLD",  5726},
{"WORLDNET-0",  5727},
{"WORLDNET1",  5728},
{"WORLDNET2",  5729},
{"WORLDNET3",  5730},
{"5731",  5731},
{"ACCESINDIANA",  5732},
{"TMC-RING",  5733},
{"TIENET",  5734},
{"GALT-TECHNO",  5735},
{"CLUBNET",  5736},
{"USW-INTERACT2",  5737},
{"SOVER-ASN",  5738},
{"UCSC",  5739},
{"WORLDS-SEA",  5740},
{"TRIAD-LVK",  5741},
{"CCINET",  5742},
{"NOAA-FSL",  5743},
{"USPTO",  5744},
{"SALUD-AR",  5745},
{"CELESTAR-ASN",  5746},
{"ASN-RISQ-QIX",  5747},
{"BBNET",  5748},
{"3DNET",  5749},
{"FLEXNET-HAWAII",  5750},
{"SYTEX",  5751},
{"GREATBASIN",  5752},
{"EMPAC-DOM",  5753},
{"PIXINET1",  5754},
{"QNETIX-AS",  5755},
{"POINTCAST",  5756},
{"UMS-EDU",  5758},
{"RAINSTORM",  5759},
{"BIDDEFORD1",  5760},
{"MSN-SEATTLE",  5761},
{"NETMAG",  5762},
{"TRI-DEV-GRP",  5763},
{"CONVOKE",  5764},
{"INTERLOG",  5765},
{"IHS-MD-AS",  5766},
{"INFINITY",  5767},
{"ICANECT",  5768},
{"VIDEOTRON",  5769},
{"EMPLINK-AS",  5770},
{"INET-AK",  5771},
{"UNINET-BR-RJ",  5772},
{"SPEEDSITE",  5773},
{"USPS-001",  5774},
{"WORLDWEB",  5776},
{"SMATNET-TAC",  5778},
{"Y-BR-SERV",  5779},
{"GIGASD3",  5780},
{"CSI-GATEWAY-2",  5781},
{"EXTREMES",  5782},
{"KCSOS-NET",  5783},
{"GETNET",  5784},
{"DCPS-DC-AS",  5785},
{"UPRENET",  5786},
{"WWWI",  5788},
{"EZNET",  5789},
{"NETMARKET",  5790},
{"CSI-GATEWAY-1",  5791},
{"SIMPLE-NET",  5792},
{"MICROSERVE3",  5793},
{"NWREGION-ESD",  5794},
{"MVISION",  5795},
{"COMET",  5796},
{"SECAPL-AS",  5797},
{"TELEPORT",  5798},
{"IGCNET",  5799},
{"DDN-ASNBLK",  5800-5927},
{"COLBY",  6056},
{"ANTEL1",  6057},
{"NWT-AS",  6058},
{"UMS2-ASN",  6059},
{"MAGI-NET-GW",  6060},
{"DLI-IBS",  6061},
{"NETPLEX",  6062},
{"INETCORP-MEX-AS",  6063},
{"ASN-INTERVAN2",  6064},
{"INFOSEL-MX",  6065},
{"MFS-ASN",  6066},
{"OCTACON-AS",  6067},
{"LG-AS",  6068},
{"IGC-AS",  6069},
{"FUTURIS",  6070},
{"UNISYS-AS-E",  6071},
{"UNISYS-AS-C",  6072},
{"CYBERENET",  6073},
{"LIUNET",  6074},
{"LM-CORP",  6075},
{"ERINET",  6076},
{"JERSEY",  6078},
{"EROLS",  6079},
{"LINKNET-LA",  6080},
{"AISNET",  6081},
{"HARVARDNET",  6082},
{"OLIVETTI-ZA",  6083},
{"INETCORP",  6084},
{"SITA-IPNET",  6085},
{"INFOMAGIC",  6086},
{"IPRO-NET",  6087},
{"BOX",  6088},
{"INTERTECH-LTD",  6089},
{"TIA-AS",  6090},
{"NETA",  6091},
{"HARFORDCC-AS",  6092},
{"INFSYS-ASN",  6093},
{"GRAPEVINEINC",  6094},
{"APK-NET",  6095},
{"SYSNET-1",  6096},
{"ASN-CKS-CU",  6097},
{"WEBSPINNERS",  6098},
{"BAE-NET-ASN",  6099},
{"NAME",  6100},
{"TAC-NET",  6101},
{"CBSCORPORATE",  6102},
{"MIDWEST1",  6103},
{"STARGATE",  6104},
{"UCR-EDU",  6106},
{"GLOBENET",  6107},
{"POND",  6108},
{"NDCORP-NET",  6109},
{"BOXTOP",  6110},
{"FHIS",  6111},
{"AUBURN",  6112},
{"GRIDNET",  6113},
{"VYZYNZ",  6114},
{"HTW",  6115},
{"WB-DUPLEX",  6116},
{"SJMERCURY",  6117},
{"KRI",  6118},
{"WWWPASS",  6119},
{"INTERGLOBE",  6120},
{"RMJN-AS",  6121},
{"ICN-AS",  6122},
{"WEBPROS-ASN-1",  6123},
{"MARIST",  6124},
{"RNP-POP-DF",  6125},
{"LOCUS-AS",  6126},
{"IDSC-RITSEC",  6127},
{"CABLE-NET-1",  6128},
{"RIDDLER",  6129},
{"ADN-WEST",  6130},
{"HOSP-INFO-NET",  6131},
{"INGRESSNET",  6132},
{"MAYANET",  6133},
{"EXABYTE",  6134},
{"INFOSEL-RF",  6135},
{"NWRAINET",  6136},
{"SISNA",  6137},
{"CIOE",  6138},
{"SAUDI",  6139},
{"IMPSAT-AR",  6140},
{"SUN-JAVA",  6142},
{"SOUND-ADVICE-LTD",  6144},
{"UNIRED",  6147},
{"EDITORA-ELSOL",  6148},
{"UNINET-ZA-2",  6149},
{"NCIFCRF",  6150},
{"Q-AS",  6151},
{"NANDO-NET",  6152},
{"ASN-SPRN-NYSERNET",  6153},
{"SPRINTLINK-NYSERNET5",  6154},
{"SPRINTLINK-NYSERNET6",  6155},
{"SPRINTLINK-NYSERNET7",  6156},
{"SPRINTLINK-NYSERNET8",  6157},
{"SPRINTLINK-NYSERNET9",  6158},
{"TWAVE",  6159},
{"SMARTS-1",  6160},
{"TCINC",  6161},
{"ISI-ISP",  6162},
{"MOZCOM-NETWRK",  6163},
{"NET66UU",  6164},
{"SII-6165",  6165},
{"RADIOMAIL",  6166},
{"BANM",  6167},
{"EK-GROUP-AS",  6168},
{"MICROSERVE1",  6169},
{"MICROSERVE2",  6170},
{"WORLDGATE",  6171},
{"HOME-NET-1",  6172},
{"SMARTLINK",  6173},
{"SPRINTLINK8",  6174},
{"SPRINTLINK9",  6175},
{"SPRINTLINK10",  6176},
{"SPRINTLINK11",  6177},
{"INLINK",  6178},
{"WESTWOOD",  6179},
{"NIS-CT",  6180},
{"FUSE-NET",  6181},
{"MSNMAIL-SEA",  6182},
{"FTN-INTERNET",  6183},
{"DATASTORM",  6184},
{"APPLE-AUSTIN",  6185},
{"GARCIA-ASN",  6186},
{"SPRINT-ZA",  6187},
{"FSTW2",  6188},
{"EPFL-AS",  6189},
{"CECLFROC",  6191},
{"UCDAVIS-CORE",  6192},
{"PRENSA",  6193},
{"MSNMANGA1",  6194},
{"GSCO",  6195},
{"INTERNET-SYSTEMS",  6196},
{"BATI-ATL",  6197},
{"BATI-MIA",  6198},
{"COOPERUNION",  6199},
{"UIC-AS",  6200},
{"ATEXT",  6201},
{"NEXTRON",  6202},
{"ISDN-NET",  6203},
{"PARK-5",  6204},
{"PARK-2",  6205},
{"PARK-3",  6206},
{"PARK-4",  6207},
{"PARK-1",  6208},
{"NFL2",  6209},
{"NFL1",  6210},
{"SPRNTDATANET",  6211},
{"IGC-DC-AS",  6212},
{"GETONTHENET",  6213},
{"INSNET-CHI",  6214},
{"AS-ALTO-EXT1",  6215},
{"VORTEXINTSYS",  6216},
{"ANS-AXISNET",  6217},
{"MIBX",  6218},
{"NBIX3-AS",  6219},
{"ILINK",  6220},
{"USCYBERSITES",  6221},
{"SPRINT-LTD",  6222},
{"USW-INTERACT3",  6223},
{"USW-INTERACT8",  6224},
{"USW-INTERACT6",  6225},
{"USW-INTERACT5",  6226},
{"USW-INTERACT4",  6227},
{"BSDI-ASN",  6228},
{"NETVOYAGE",  6229},
{"GANET",  6230},
{"SCANA",  6231},
{"WINS",  6232},
{"NETRUS",  6233},
{"ETAK-NET2",  6234},
{"ICIX-AS",  6235},
{"BBCON",  6236},
{"WEBBED",  6237},
{"DPSC-AS",  6238},
{"RF-NETWORKS",  6239},
{"CHILENET",  6240},
{"IGS-GATE",  6241},
{"TELEMAIL",  6242},
{"INET-AMERICA",  6243},
{"INTERNIC",  6245},
{"SPANIT",  6247},
{"WILTELUU",  6248},
{"ULTRA-RI",  6249},
{"NORTEL-NET",  6250},
{"PSNET",  6251},
{"EVOLUTION",  6252},
{"PRUDENT",  6253},
{"EGGINC",  6254},
{"CHANNEL1",  6255},
{"LTECNET2",  6256},
{"NOVALINK-GW",  6257},
{"SUPERIOR-NET",  6258},
{"ASN-FIBERNET",  6259},
{"CROSSLINK",  6260},
{"VISINET",  6261},
{"CSIRO",  6262},
{"NDIN",  6263},
{"AS-ALTO-EXT2",  6264},
{"SIVENSA",  6265},
{"ICONN-AS",  6266},
{"EPOCH-INTERNET2",  6267},
{"EXPRESS",  6268},
{"ATT-INTERNET2",  6269},
{"NETRAIL-BLK8",  6270-6277},
{"NOC-BB",  6278},
{"CAIS-TWO",  6279},
{"SYNAPSE",  6280},
{"CMSA",  6281},
{"UNETY",  6282},
{"LYCEUM",  6283},
{"METRONET",  6284},
{"EN-AS",  6285},
{"SPACESTAR",  6287},
{"PERTECH-CA-01",  6288},
{"AHM-CORP",  6289},
{"ALASCOM-DIAL",  6290},
{"MSNMAIL-TEST",  6291},
{"FCI",  6292},
{"ESKIMO",  6293},
{"CTEKUSA",  6294},
{"WHIDBEY1",  6295},
{"MIND",  6296},
{"NETBLK-ORGANIC-2",  6297},
{"COX-PHX",  6298},
{"TELALINK",  6299},
{"LCTC1",  6300},
{"COMPAQ",  6301},
{"PHOENIX",  6302},
{"LEHMAN",  6303},
{"IWAY-ASN1",  6304},
{"AENT-AS",  6305},
{"T-NET-AS",  6306},
{"AMERICAN-EXPRESS",  6307},
{"ALASCOM-MIS",  6308},
{"DLINC",  6309},
{"MAXPERTS-AS",  6310},
{"MEGALINK",  6311},
{"WESTWORLD-AS",  6312},
{"PROMETHEUS",  6313},
{"CDC-AS",  6314},
{"XMISSION",  6315},
{"STARNETINC-IL",  6316},
{"MILLENNIANET",  6317},
{"CHECKFREE",  6318},
{"MARRIOT-ASN",  6319},
{"VBC-WEST",  6320},
{"INTERSURF",  6321},
{"FIRSTWORLD-AS",  6322},
{"ENEWS",  6323},
{"MFS-EAST-AS",  6324},
{"ISBENET",  6325},
{"LEBANET1",  6326},
{"SHAWFIBER",  6327},
{"SYNAPSETOASN1",  6328},
{"WORLDWIDE-AS",  6330},
{"AIT-NET",  6331},
{"TELNOR",  6332},
{"INFOCOM",  6333},
{"ASN-TSG",  6334},
{"NTRNET",  6335},
{"HIWAAY",  6337},
{"MIX-COMMUNICATIONS",  6338},
{"I95-NET",  6339},
{"EMPIRE",  6340},
{"WIEC",  6341},
{"ITESM-AS2",  6342},
{"PICS",  6343},
{"VALUENET",  6344},
{"ZIPNET-AS",  6345},
{"VUI",  6346},
{"DIAMOND",  6347},
{"BETTYPLATFORMS",  6348},
{"TRCACCESS",  6349},
{"BAWAVEDC",  6350},
{"PIX-NET",  6351},
{"ETRADE-AS",  6352},
{"NETZONE",  6353},
{"LYCOS",  6354},
{"VALLEYNET",  6355},
{"NERDCNET",  6356},
{"DBTECH",  6357},
{"MERC-AS",  6358},
{"INTREPID",  6359},
{"UNIVHAWAII",  6360},
{"4GL-NET",  6361},
{"VAULTLINE-AS",  6362},
{"CABLETRON-SYSTEMS-INC",  6363},
{"ATLANTIC-NET",  6364},
{"I1",  6365},
{"PDXNET",  6366},
{"NWLINK",  6367},
{"NETNITCO-ASN",  6368},
{"NETRUNNER",  6369},
{"LUCENT-ASN",  6370},
{"AMERICATEL",  6371},
{"DCANET",  6372},
{"OPUS1",  6373},
{"MFS-WEST-AS",  6374},
{"XROADS",  6375},
{"BRODER207",  6376},
{"4JNET",  6377},
{"NWNT",  6378},
{"ALINK",  6379},
{"BELLSOUTH-NET-BLK",  6380-6389},
{"KANSASCITY",  6390},
{"MWCI-NET",  6392},
{"PRYSM-AS",  6393},
{"DATA-BROADCASTING",  6394},
{"BROADWING",  6395},
{"COASTALNET-ASN",  6396},
{"LIBBY",  6397},
{"TELEDESIC",  6398},
{"NEREP-ASN",  6399},
{"ASN-CODETEL",  6400},
{"ECONNECT-ASN",  6401},
{"ONECALL",  6402},
{"OPN",  6403},
{"FACTSET",  6404},
{"AIN",  6405},
{"CEBAF",  6406},
{"PRIMUSTCAN",  6407},
{"PRADO",  6408},
{"RESEARCHMAG",  6409},
{"ASICOM",  6410},
{"INSWEB",  6411},
{"KW",  6412},
{"SOCOMM",  6413},
{"IPNET",  6414},
{"SILICONREEF",  6415},
{"NOVELL-AS",  6416},
{"AGENTS-INC",  6417},
{"SATELNET-AS",  6418},
{"IDD",  6419},
{"INTERPLAY",  6420},
{"GLOBEINTERNET",  6421},
{"JUNCTION",  6422},
{"EASYSTREET-ONLINE",  6423},
{"NETROVER",  6424},
{"TEN",  6425},
{"NETCOAST",  6426},
{"LIGHTNING",  6427},
{"CDM",  6428},
{"RDC-INTERNET",  6429},
{"DIGITALINK",  6430},
{"ATT-RESEARCH",  6431},
{"DOUBLECLICK",  6432},
{"JLC",  6433},
{"OPNET",  6434},
{"LAVANET-ASN",  6435},
{"INTERACCESS-NET",  6436},
{"NETREX",  6437},
{"OUTWEST",  6438},
{"WEBMATE",  6439},
{"EMF-AS",  6440},
{"BIGBOOK",  6441},
{"GLOBALLINK-ASN",  6442},
{"EMANON",  6443},
{"SBSIB",  6444},
{"SIEMENS-US",  6445},
{"SIEMENS-IPO",  6446},
{"UOREGON-IX",  6447},
{"QAD",  6448},
{"SPRINT-ISP",  6449},
{"PIXNET-AS",  6450},
{"ACCESSCOMNET",  6451},
{"WESTWORLD",  6452},
{"TELEGLOBE-AS",  6453},
{"PIONET-NET",  6454},
{"TOMCO",  6455},
{"ALTOPIA",  6456},
{"KDCOL-ASN",  6457},
{"GUATEL",  6458},
{"I-2000",  6459},
{"INTERNEXT",  6460},
{"ABOVENET",  6461},
{"NATGEOGRAPH-AS",  6462},
{"RNS-BIS1",  6463},
{"FUTURELABS",  6464},
{"PACWEST",  6465},
{"MULTIVERSE",  6466},
{"ESPIRECOMM",  6467},
{"FAXSAV-AS",  6468},
{"ARTEMIS",  6469},
{"WEB2000-ASN",  6470},
{"ENTELCHILE",  6471},
{"NETASSET",  6472},
{"MINDPORT",  6473},
{"FLASHNET-AS",  6474},
{"KESMAI",  6475},
{"MIWORLD",  6476},
{"DIRECTMEDIA-AS",  6477},
{"ATT-INTERNET3",  6478},
{"MCHENRY",  6479},
{"LITLE",  6480},
{"SWRI",  6481},
{"NYNEX-ITC",  6482},
{"DIGEX-AS3",  6483},
{"PWCI-AS",  6484},
{"TDC-AS",  6485},
{"NEWREACH",  6486},
{"GUATEMALA-NET",  6487},
{"AMUG",  6488},
{"INOW-AS",  6489},
{"DESERTEYE",  6490},
{"TELEKACHINA",  6491},
{"PCCD",  6492},
{"CHESCO",  6493},
{"IDCI",  6494},
{"BANCO-INTERNACIONAL",  6495},
{"ANET",  6496},
{"ACQUION",  6497},
{"INTERCALL",  6498},
{"BFP",  6499},
{"NIELSEN",  6500},
{"SOUTHERNET",  6501},
{"FRONTIER-ASN",  6502},
{"AVANTEL",  6503},
{"NOVAGATE",  6504},
{"GLOBAL-ONE-BRASIL",  6505},
{"HOYT",  6506},
{"REDROSESUPERNET",  6507},
{"WARENETASN",  6508},
{"CANARIE-NTN",  6509},
{"BYU",  6510},
{"STRATANET",  6511},
{"GLOBAL2000",  6512},
{"PROXIMUS",  6513},
{"SRMC",  6514},
{"INTERSTICE",  6515},
{"TRUENET",  6516},
{"YIPESCOM",  6517},
{"CIX-GCCC",  6518},
{"KETCHUM",  6519},
{"NOLA-INXP-1",  6520},
{"AROSNET",  6521},
{"LEHIGH",  6522},
{"NETLINK207",  6523},
{"ASN-GE-IS-NAP",  6524},
{"INFO-HIGHWAY",  6525},
{"MAVERICK-BBS",  6526},
{"MASSACHUSETTS",  6527},
{"WORLD-LYNX",  6528},
{"PLAN-B",  6529},
{"XENSEI",  6530},
{"SGN",  6532},
{"VARNER",  6533},
{"OCEANIC-CABLE",  6534},
{"CHILESATSER",  6535},
{"MOUNTAINNET",  6536},
{"ATTCLDS-PDA",  6537},
{"KINTEK-AS",  6538},
{"GROUPTLCOM",  6539},
{"CALWEB",  6540},
{"GTE-INS",  6541},
{"MICL-AS-MELBOURNE",  6542},
{"ALTERNEX-AS",  6543},
{"ADICON-ASN",  6544},
{"TRUEVISION",  6545},
{"AGAIN-NET-1",  6546},
{"DCT-ASN",  6547},
{"GLOB",  6548},
{"VIEWPOINTDATALABSASN",  6549},
{"SBSERVICES-AS",  6550},
{"ENHANCEDTECH",  6551},
{"C2NET",  6552},
{"DIGISLE",  6553},
{"BDM",  6554},
{"ENTERACT",  6555},
{"CLINIC",  6557},
{"SKYGATE",  6558},
{"NCIH",  6559},
{"GEM",  6560},
{"OPTIG",  6561},
{"WALLTECH",  6562},
{"NECANET",  6563},
{"CONSTANT",  6564},
{"FREDNET-AS",  6565},
{"TROWE-NET",  6566},
{"CIA",  6567},
{"BOLNET",  6568},
{"NATIONWIDEASN",  6569},
{"ISOANET",  6570},
{"CU-ONLINE",  6571},
{"USVI-ASN",  6572},
{"MPATH",  6573},
{"WVS-ASN",  6574},
{"WISEASN",  6575},
{"SERVNET",  6576},
{"OSSINC",  6577},
{"AXXIS",  6578},
{"MEMORIALU",  6579},
{"RAPIDNET-ASN",  6580},
{"PATHLINK",  6581},
{"FRII",  6582},
{"WEBSECURE",  6583},
{"GPS-AS",  6584},
{"AIMTECH",  6585},
{"WEBCENTRIC",  6586},
{"AMICUS-ASN",  6587},
{"IN-QUICK",  6588},
{"BTCPROD",  6589},
{"SUPERNET",  6590},
{"INGR-ASN",  6591},
{"NETUS",  6592},
{"CITIZEN1",  6593},
{"MICROSERV-1",  6594},
{"DODDSEUR",  6595},
{"ASN-BUNGI",  6596},
{"COMSTAR",  6597},
{"CYBERZONE",  6598},
{"ICCOM-ASN",  6599},
{"GHGNETASN",  6600},
{"SOLTEC-AS",  6601},
{"LS-NET",  6602},
{"MTWEST208",  6603},
{"PTW",  6604},
{"ATSC-ASN",  6605},
{"WIZNET",  6606},
{"HOMENET",  6607},
{"NBTEL-AS1",  6608},
{"MIINT",  6609},
{"INTERSTATE",  6610},
{"MAGICCARPET",  6611},
{"JAGUNET",  6612},
{"DIGITAL-MEDIA",  6613},
{"USCC-ASN",  6614},
{"PCIS",  6615},
{"DATASTAR",  6616},
{"PBB-MY",  6617},
{"SIGMA-NET",  6619},
{"ARNET3",  6620},
{"HNS-DIRECPC",  6621},
{"ZENOX",  6622},
{"CNET-BGP",  6623},
{"GOWER",  6624},
{"UI",  6625},
{"MULTITASKING",  6626},
{"GRAPEVINE",  6627},
{"PPS",  6628},
{"NOAA-AS",  6629},
{"LOA",  6630},
{"NN-CAE",  6631},
{"IMAGINATION",  6632},
{"CMGDI",  6633},
{"WTCI",  6634},
{"NARROWLINE207",  6635},
{"ARMIGERON",  6636},
{"INFOEX",  6637},
{"OANET",  6638},
{"CWCAYMAN",  6639},
{"LCI",  6640},
{"SPORTSLINE",  6641},
{"DUNBRAD",  6642},
{"BANYAN-COORD",  6643},
{"PARSECWEB-AS",  6644},
{"DBS2-MIA-DOM",  6645},
{"AETNA",  6646},
{"VFI-ICD",  6647},
{"SKY-INTERNET",  6648},
{"SIRWEB-NET",  6649},
{"DTI-AS",  6650},
{"GLOBECOMM-ASN",  6652},
{"PRIVATEI",  6653},
{"PROTEON",  6654},
{"GTE-IM",  6655},
{"RIPE-ASNBLOCK6",  6656-6911},
{"HCSNET-ASNBLK",  6912-6915},
{"EXCO-NA",  6916},
{"MULTEXSYS",  6917},
{"PENNCOM",  6918},
{"TRADEMED-AS",  6920},
{"ARACHNITEC",  6921},
{"TEXASAGENCYNET",  6922},
{"OKNET",  6923},
{"STARTRIB",  6924},
{"DIGADV-AS",  6925},
{"SOLLUNA-AS",  6926},
{"GRUPOIMSA",  6927},
{"RAINNET",  6928},
{"COSITE-ASN-1",  6929},
{"GOLD-AS",  6930},
{"RINGLING",  6931},
{"EPNET",  6932},
{"HARBING-ASN",  6933},
{"ATT-COLUMBUS-AS",  6934},
{"IDG-ISG",  6935},
{"NETGATE-SC1",  6936},
{"WWWPROD-AS",  6937},
{"GREENLAKE-IOC",  6938},
{"HURRICANE",  6939},
{"COMSTREAM",  6940},
{"HEALTHEON",  6941},
{"CLARINET",  6942},
{"INFOTECHSYS",  6943},
{"VRIO-6944",  6944},
{"SVNET",  6945},
{"MTELTECH",  6946},
{"AMCITY",  6947},
{"INTERCOM",  6948},
{"CHARLES-SCHWAB",  6949},
{"LAMBDA",  6950},
{"SPAR-AERO",  6951},
{"WMEX",  6952},
{"NETONLINE208",  6953},
{"NACS",  6954},
{"IAG-AS0",  6955},
{"INTERACT-ASN1",  6956},
{"SPIN-MEXICO",  6957},
{"DTS-WORLDWIDE",  6958},
{"DTS-AFRICA",  6959},
{"DTS-INTER-AMER",  6960},
{"DTS-EAST-ASIAN",  6961},
{"DTS-EUROPE",  6962},
{"DTS-CANADA",  6963},
{"DTS-NEAR-EAST",  6964},
{"DTS-SOUTH-ASIAN",  6965},
{"USDOS",  6966},
{"ORBIS-AS",  6967},
{"PEER-ZA",  6968},
{"N2K-ASN",  6969},
{"BSG-AIR-NET",  6970},
{"INETWEST",  6972},
{"LOMBARD-AS",  6973},
{"ROSS-ASN",  6974},
{"LEX2",  6975},
{"GTE-INS2",  6976},
{"IAC-AS",  6977},
{"SECURITIES-AS",  6978},
{"SAP",  6979},
{"CAJUNNET-AS",  6980},
{"FDNCOM",  6981},
{"VECNET",  6982},
{"ITCDELTA",  6983},
{"NYNEX-AS",  6984},
{"DIXON",  6985},
{"ANGEL-NETWORKS",  6986},
{"AXIONINTERNET",  6987},
{"STREAM",  6988},
{"GTSI",  6989},
{"ONE-O",  6990},
{"USLD-ASN",  6991},
{"NETSCAPE-AS",  6992},
{"INTERNAP-SEA",  6993},
{"ISPNET",  6994},
{"BAISNJ",  6995},
{"NETCOMCANADA",  6996},
{"RNS-BIS2",  6997},
{"BRITEVOICE",  6998},
{"UU-ITNNET",  6999},
{"DBEACH",  7000},
{"ECINS",  7001},
{"MEXICO-COMMUNICATES",  7002},
{"BRIGADOON",  7003},
{"CTCMUNDO",  7004},
{"ISOL-AS",  7005},
{"CYBERNEX",  7006},
{"FLIX",  7007},
{"TIBA-AS",  7008},
{"QDECK-MDR",  7009},
{"DRKNGS-ASN",  7010},
{"CITLINK",  7011},
{"PACIFICNET",  7012},
{"NETSELECT",  7013},
{"ANAWAVE",  7014},
{"SCRR-7015",  7015-7017},
{"ATT-INTERNET4",  7018},
{"DN1-ASN",  7019},
{"QDATA-AS",  7020},
{"BAISPHIL",  7021},
{"SBTAS",  7022},
{"ICI",  7023},
{"FTEL",  7024},
{"AMLIBS",  7025},
{"IME-AS",  7026},
{"ENGAGE",  7027},
{"IBS",  7028},
{"ALLTELNET",  7029},
{"FOOTHILL",  7030},
{"MOONLIGHT-AS",  7031},
{"NMB-AS",  7032},
{"FIREWALL",  7033},
{"INTERNETCO",  7034},
{"ECLIPSE",  7035},
{"WESLINK-GW1",  7036},
{"GSTINTERNET-ASN",  7037},
{"ITESM-CEGS",  7038},
{"OAKNET",  7039},
{"DALCOMP",  7041},
{"OLYMPUSNET",  7042},
{"FASEB-AS",  7043},
{"CSACNETWORKS",  7044},
{"WEATHER",  7045},
{"UUNET-CUSTOMER",  7046},
{"TDSYS",  7047},
{"FASTLANE-BR",  7048},
{"SMINTER-ASN",  7049},
{"UW-MILWAUKEE-AS1",  7050},
{"ASN-SNS",  7051},
{"HTS-AS",  7052},
{"AIMEDIA",  7053},
{"MERCK",  7054},
{"QIS",  7055},
{"DATANET-AS",  7056},
{"MANAGEDNETWORK",  7057},
{"HOTSITES",  7059},
{"EA",  7060},
{"PLANET-GROUP",  7061},
{"NACCESS",  7062},
{"INSIDE-RJ-BR",  7063},
{"ACI",  7064},
{"SONOMA",  7065},
{"ACCESS-VIRGINIA",  7066},
{"TECHINTER",  7067},
{"PFIZERNET",  7068},
{"NORTH-AMERICAN-INT",  7069},
{"NSN-NET-AS",  7070},
{"PENET-ASN",  7071},
{"NN-RS00-RS06",  7072-7077},
{"MONMOUTH",  7078},
{"AYRIX",  7079},
{"ECSANET",  7080},
{"CARIN-AS-BLOCK",  7081-7085},
{"WOMBATNET",  7086},
{"COLOMSAT",  7087},
{"NEONSOFT",  7088},
{"REALITYON",  7089},
{"IDNET-AS2",  7090},
{"VIANET-ASN",  7091},
{"ICIGAMES",  7092},
{"REM-AS",  7093},
{"WA-IXA",  7094},
{"NETUSA",  7095},
{"DSOURCE",  7096},
{"WEBVISION",  7097},
{"CORE1-WWISPNET",  7098},
{"NORTELRCH",  7099},
{"PTC-AS",  7100},
{"SANDBOX",  7101},
{"APLATFORM-AS",  7102},
{"PTY",  7103},
{"APC-AS",  7104},
{"DOWJONES-AS",  7105},
{"OHIOBRIGHTNET",  7106},
{"3DO",  7107},
{"BIZNEXUS",  7108},
{"DATEK",  7109},
{"QUEBEC-NET",  7110},
{"ASPEN-SYSTEMS",  7111},
{"MTSI-ASN",  7112},
{"NFIC-AS",  7113},
{"USFG-AS",  7114},
{"INDEPTH-DATA-AS",  7115},
{"TOYOTA-EXT",  7116},
{"NETCAST",  7117},
{"4DCOMM",  7118},
{"FORSYTHCOUNTY",  7119},
{"CITI-AS",  7120},
{"PALACEGROUP",  7121},
{"MTS-AS",  7122},
{"NILENET-T1-0",  7123},
{"LJX",  7124},
{"NET-UDEM-AS",  7125},
{"UNITEDMEDIA",  7126},
{"SCE",  7127},
{"ITN",  7128},
{"ANC-AS",  7129},
{"THEMALL",  7130},
{"ITE-AS",  7131},
{"SBIS-AS",  7132},
{"NYPP-AS",  7133},
{"OTBB",  7134},
{"KOHALA",  7135},
{"ONLY",  7136},
{"TELEMATIX",  7137},
{"CRAWFORD-ANS",  7138},
{"BIZTRAVELCAM",  7139},
{"DIMCOM",  7140},
{"AUS-AS",  7141},
{"AZSTARNET",  7142},
{"CLEAR-DATA",  7143},
{"VOYAGERONLINE",  7144},
{"MENO",  7145},
{"GABN",  7146},
{"NEWSALERT-NET",  7147},
{"GRAPHNET-NET",  7148},
{"TAMNET-MX-ASN",  7149},
{"BAYAREA-AS",  7151},
{"REDCROSS-ASN",  7152},
{"ASN-NEPOOL",  7153},
{"FDDNET-ASN",  7154},
{"AGATE2",  7156},
{"AMERCOL",  7157},
{"NETFEED-AS",  7158},
{"NTTCNET",  7159},
{"NETDYNAMICS",  7160},
{"USW-INTERACT7",  7161},
{"ITANET-BR-AS",  7162},
{"NYLI-AS",  7163},
{"LIPS-AS",  7164},
{"MONY-ASN",  7165},
{"C-ECOMM",  7166},
{"ANTEL-AS",  7167},
{"NW-LINK",  7168},
{"WALRUS",  7169},
{"ATT-DISC",  7170},
{"TM-NET-AS",  7171},
{"REDINAOE-PUE",  7173},
{"ONWARD-ASN",  7174},
{"AUSSIE",  7175},
{"BBN-INTFR",  7176},
{"DFWNET",  7177},
{"CLR-AS",  7178},
{"PCSERVICE",  7179},
{"HILINESWHITESTAR",  7180},
{"DGS-NET",  7181},
{"CMGDI-EAST",  7182},
{"SALLIEMAE",  7183},
{"UNIVERACRUZANA",  7184},
{"QNIS-ASN",  7185},
{"NETRICS-INC",  7186},
{"RITE-AS",  7187},
{"ETCNET-AS",  7188},
{"STARCOM",  7189},
{"CYBORGANIC",  7190},
{"CSWNET",  7191},
{"BAISNFK",  7192},
{"BAISPIT",  7193},
{"CORECOMM",  7194},
{"INTERRED",  7195},
{"TRINET-AS",  7196},
{"SMS",  7197},
{"SCR",  7198},
{"INTERNETCO-AS",  7199},
{"G1ENGLAB",  7200},
{"TELESCAN",  7201},
{"FAMU",  7202},
{"SHORE",  7203},
{"GIS",  7204},
{"POINTBREAK",  7205},
{"NETDIRECT",  7206},
{"INTREXNET",  7207},
{"MEGANET",  7208},
{"HOOKUP-NET-WIN-A",  7209},
{"SPRINT-ISP2",  7210},
{"GBLNAPSBOSFEED",  7211},
{"VANDERBILT",  7212},
{"TEGRIS-CORP",  7213},
{"CURSUS",  7214},
{"MSI",  7215},
{"RJL-AS",  7216},
{"EARTHWEB",  7217},
{"DUNBAR",  7218},
{"HOMECOM",  7219},
{"DIAMONDMM",  7220},
{"SBIS-KCSYMO",  7222},
{"CSRLINK",  7223},
{"AMAZON-AS",  7224},
{"GLOBALNETCORP",  7225},
{"FWC-1",  7226},
{"KPMGUS-AS",  7227},
{"MCLEOD",  7228},
{"GLOBAL-ONE-RESTON",  7229},
{"ORBITEL",  7230},
{"ISP-ZA",  7231},
{"USWEB",  7232},
{"YAHOO-US",  7233},
{"RUSSELL",  7234},
{"LANMINDS",  7235},
{"UNIREGIO",  7236},
{"LFCI",  7237},
{"UVSG",  7238},
{"COMSOURCE-AS",  7239},
{"URAEUS",  7240},
{"INFINEX-SF",  7241},
{"NORTEL-TECHNOLOGY",  7242},
{"HDSHQ-AS",  7243},
{"ALAMEDANET",  7244},
{"TECLINK-AS",  7245},
{"BMS-AS",  7246},
{"MOJO",  7247},
{"SURENET",  7248},
{"SKYSCAPE",  7249},
{"TEIR-INET1-ASN",  7250},
{"TEIR-CORE1-ASN",  7251},
{"LTINET",  7252},
{"IPA-AS",  7253},
{"SURFSOUTH",  7254},
{"SAFCO",  7255},
{"VIACOM-AS",  7256},
{"PREMIERECOM",  7257},
{"ETHOS-COMM",  7258},
{"NETGEN",  7259},
{"NORLIGHT",  7260},
{"JDEDWARDS",  7261},
{"CAIS-THREE",  7262},
{"GOFASTNET",  7263},
{"SBCC",  7264},
{"SNOWHILL",  7265},
{"INFOSEEK",  7266},
{"GLOBALCOMMERCE",  7267},
{"ATHENET",  7268},
{"ONESOURCE",  7269},
{"NET2PHONE",  7270},
{"LOOKAS",  7271},
{"TCIMET",  7272},
{"TPLNET",  7273},
{"TKI",  7274},
{"WINGBERLIN",  7275},
{"UH-AS",  7276},
{"NEWEASTWIRELESS",  7277},
{"ACCRUE",  7278},
{"AMOSPRESS",  7279},
{"INKTOMI",  7280},
{"BOOZ-AS",  7281},
{"DXNET-AS",  7282},
{"THERIVER",  7283},
{"CDSINTERNET",  7284},
{"SPACENET",  7285},
{"PBI-NET-BLK2",  7286-7288},
{"PLATINUM",  7289},
{"SBIS-BLK",  7290-7294},
{"NETWORKAMERICA",  7295},
{"ALCHEMYNET",  7296},
{"AP-AS",  7297},
{"TELERJ-BR-AS",  7298},
{"PRONET",  7299},
{"GBLX-2AS",  7300},
{"NAS-AS",  7301},
{"ADVANCEDINTERNETCOMM",  7302},
{"TASF",  7303},
{"THECIA",  7304},
{"INNERSET-AS",  7305},
{"ASIANDEVBANK",  7306},
{"HIPPOCAMPUS",  7307},
{"SPRINT-PCS",  7308},
{"VMC-INTL",  7309},
{"GARTNERGROUP",  7310},
{"SSA-US",  7312},
{"CERTISIGN-AS",  7313},
{"TIS-ASN",  7314},
{"GRM",  7315},
{"NETECH",  7316},
{"CSPS-AS",  7317},
{"FOCALINK-AS",  7318},
{"WEBSPAN",  7319},
{"LANCITY",  7320},
{"LNET-ASN",  7321},
{"MARSWEB",  7322},
{"ADVEST",  7323},
{"APPLIEDBUSINESS",  7324},
{"UAT-ASN",  7325},
{"NUNET",  7326},
{"7THLEVEL",  7327},
{"CHOP",  7328},
{"ATT-CMS",  7329},
{"INTERNETLABS",  7330},
{"IARC",  7331},
{"IQUEST-AS",  7332},
{"WINNET",  7333},
{"WALLSTREET",  7334},
{"LOOP",  7335},
{"COMPASS",  7336},
{"SNIP",  7337},
{"GLOBALENET",  7338},
{"SIEMENS-CREDIT",  7339},
{"TELETEL",  7340},
{"VELOCITY",  7341},
{"VERISIGN-AS",  7342},
{"VISA-INTERACTIVE",  7343},
{"VIVIDNET",  7344},
{"LUCENTTECH",  7345},
{"ARACNET",  7346},
{"USXPRESS",  7347},
{"CRYSTALBALL",  7348},
{"INTERLAN",  7349},
{"METROCON",  7350},
{"BLARG",  7351},
{"SMARNET",  7352},
{"PRIMUS",  7353},
{"FLINET",  7354},
{"MEITCA-AS",  7355},
{"WESTNETCOMMS",  7356},
{"AMERICANDATANET",  7357},
{"DNB-NBIC",  7358},
{"USWMEDIA",  7359},
{"PUREATRIA",  7360},
{"BCONNEX-ISP",  7361},
{"HST-CHRON",  7362},
{"IFCI",  7363},
{"GROOVE",  7364},
{"CENTROIN",  7365},
{"FTN-OTTAWA",  7366},
{"SYSONE",  7367},
{"MTEL-ATC-AS",  7368},
{"IAS-HYPERMALL",  7369},
{"CDSINC",  7370},
{"COASTALCORPORATION",  7371},
{"IPEXCHANGE-NJ",  7372},
{"GORGON-NJ",  7373},
{"VALUSERVE",  7374},
{"HULANET",  7375},
{"INFORONICS",  7376},
{"UCSD",  7377},
{"CONNETIX",  7378},
{"VIEWCALL",  7379},
{"CAPUNET",  7380},
{"SUNGARDRS",  7381},
{"CAMALOTT",  7382},
{"PWDL",  7383},
{"INTUIT",  7384},
{"LINKPORTCOMMUNICATION",  7385},
{"ILLINOIS-STATE-UNIV",  7386},
{"TIOCOM",  7387},
{"DFXNET",  7388},
{"NETDOX",  7389},
{"NLSLAN",  7390},
{"NTCC-NET",  7391},
{"DELPHI-INTERNET-AS",  7392},
{"CYBERCON",  7393},
{"FLYINGPENGUIN",  7394},
{"FISHNET",  7395},
{"OREGON-IX",  7396},
{"DIGILINK-AS-MDR",  7397},
{"PANGEA-AS",  7398},
{"CANCUN-AS",  7399},
{"WYOMING-UTAH",  7400},
{"FWINET",  7401},
{"MULTIACTIVE",  7402},
{"COLBA",  7403},
{"ACS",  7404},
{"GENUITY-XATL",  7405},
{"NETGUIDE",  7406},
{"MCI-SGUM",  7407},
{"COMIMSA",  7408},
{"CONFLUX-NET",  7409},
{"BIGPLANET",  7410},
{"WINTERSTORM",  7411},
{"COMSEC-NET",  7412},
{"DONNAKARAN",  7413},
{"PONTOCOM",  7414},
{"ACILINK",  7415},
{"UCM",  7416},
{"MEYOSP",  7417},
{"PROVDESERV",  7418},
{"ZAMNET-AS",  7420},
{"SPRINT-GSD-AS",  7421},
{"JAYHAWK-ASN",  7422},
{"PUTNAMFT",  7423},
{"USANET",  7424},
{"DAI",  7425},
{"IPASS-AS",  7426},
{"MKTSYS",  7427},
{"INTERVAN",  7428},
{"CYBERMEDIA",  7429},
{"TANDEM",  7430},
{"PDNT-AS",  7431},
{"EGENIUS",  7432},
{"CYBERMAX",  7433},
{"SEGASOFT",  7434},
{"ATM-CIN",  7435},
{"IRON",  7436},
{"GSL-RND",  7437},
{"OPTEL",  7438},
{"TDI",  7439},
{"TRIPOD",  7440},
{"DRG",  7441},
{"WIZARD",  7442},
{"PRIMUSCA",  7443},
{"SYSTEL-AS",  7444},
{"MLINK",  7445},
{"INTERNET-LOGIN",  7446},
{"ONLINEINTERACTIVE",  7447},
{"CHOICE-HOTELS",  7448},
{"TIOGA-NET",  7449},
{"ADVANCED-ASN",  7450},
{"SHOP-NET",  7451},
{"NEIS-NET",  7452},
{"GTINET",  7453},
{"CLICNET",  7454},
{"DSL-NET",  7455},
{"INTERHOP",  7456},
{"THESPHERE-AS",  7457},
{"SYNASOFT",  7458},
{"THRIFTYCALL",  7459},
{"LIA-NET",  7460},
{"MCIA-AS",  7461},
{"SRVNET",  7462},
{"GOPROTO-AS",  7463},
{"I-WAYNET",  7464},
{"PROCERGS-AS",  7465},
{"FRB",  7466},
{"APNIC-AS-2-BLOCK",  7467-7722},
{"EMERGENCY24-AS",  7723},
{"IECBAL",  7724},
{"MEDIA1-CAB",  7725},
{"FITC-AS",  7726},
{"HONDUTEL",  7727},
{"GRILLO",  7728},
{"CHI-IX",  7729},
{"NETLAN",  7730},
{"WEBSTOR",  7731},
{"CDC-AS2",  7732},
{"FRZRMTN",  7733},
{"TDBANK",  7734},
{"REDSHIFT",  7735},
{"MARKETGUIDE",  7736},
{"ASWELLNET",  7737},
{"TELEBAHIA",  7738},
{"AUTOWEB",  7739},
{"WJP",  7740},
{"OPCO-AS",  7741},
{"DOITNOWDOTCOM",  7742},
{"B1C-AS",  7743},
{"WCD-AS",  7744},
{"BIGSKY-AS",  7745},
{"APMTECH",  7746},
{"EXECUTRAIN",  7747},
{"MYRIAD",  7748},
{"VR1",  7749},
{"ONSALE",  7750},
{"DANCRIS",  7751},
{"2ALPHA-NET",  7752},
{"GOLDENGATE",  7753},
{"MCAFEE",  7754},
{"COMBASE",  7755},
{"SCRR-7756",  7756-7757},
{"GLOBAL-ONE-NMC",  7758},
{"OSTER",  7759},
{"STAC",  7760},
{"MORNINGSTAR",  7761},
{"NETMAS",  7762},
{"CYBERAMERICACORP",  7763},
{"CENSUSBUREAU",  7764},
{"ISITE",  7765},
{"GRINNET",  7766},
{"EB",  7767},
{"TECHNICOLOR",  7768},
{"INTERNETEXTRA",  7769},
{"TRITON",  7770},
{"AMULET",  7771},
{"MAGPAGE",  7772},
{"SD-NET",  7773},
{"ALASKA",  7774},
{"INVCOINS",  7775},
{"AMCINTERNET",  7776},
{"VIX2",  7777},
{"PARACEL",  7778},
{"LD",  7779},
{"CALL-NET",  7780},
{"NETCONNECT",  7781},
{"PTINET",  7782},
{"EARTHSTATION",  7783},
{"ATLANTECH",  7784},
{"ALEXUS",  7785},
{"NPAC",  7786},
{"FAN-NETWORK",  7787},
{"MAGMA-COMM",  7788},
{"FISHBONE",  7789},
{"PACIFIER",  7790},
{"EARLY",  7791},
{"3M-HDQ-AS",  7792},
{"JMX-AS",  7793},
{"GOLDEN",  7794},
{"CFWNET",  7795},
{"ATMLINK",  7796},
{"YAB",  7797},
{"SYRLANG",  7798},
{"OLYPENASN",  7799},
{"ALLINA",  7800},
{"BOSNET",  7801},
{"INTELLI",  7802},
{"MINIPHONE",  7803},
{"SOFTWOOD",  7804},
{"ACRUX",  7805},
{"BINARY-NET",  7806},
{"RURALNET",  7807},
{"ECCOMPANY",  7808},
{"SYNOPSYS",  7809},
{"CMPC",  7810},
{"ITOCHU",  7811},
{"AEGISSTAR-ASN1",  7812},
{"NPL",  7813},
{"CNS-NETWORK",  7814},
{"MADENTECH",  7815},
{"NORTHWESTCTCNET",  7816},
{"SURFNET",  7817},
{"FREDNET-ASN",  7819},
{"INTRANET",  7820},
{"MEANS",  7821},
{"AVICENNA",  7822},
{"DUPONT-ASN",  7823},
{"GWIS-AS0",  7824},
{"IMAGINENET-AS1",  7825},
{"CANUCK-AS1",  7826},
{"ABII-AS",  7827},
{"DRMSCPASN",  7828},
{"GLOBALPACIFIC",  7829},
{"COMMWERKS",  7830},
{"WEBWARP",  7831},
{"PCISYS",  7832},
{"EXTRA-AS",  7833},
{"BTGCOM",  7834},
{"ABRAXIS",  7835},
{"CNCX-AS2",  7836},
{"ZNET-AS",  7837},
{"USAA",  7838},
{"MARKTRAVEL",  7839},
{"TLN-AS",  7840},
{"DEMINET",  7841},
{"WEBWORLD",  7842},
{"ADELPHIA-AS",  7843},
{"OASIS",  7844},
{"IMAGINA",  7845},
{"RIGHTLINE",  7846},
{"NASA-HPCC-ESS",  7847},
{"JAVANET",  7848},
{"CROCKERCOM",  7849},
{"IHIGHWAY",  7850},
{"MINT-NET",  7851},
{"CALIS",  7852},
{"BLAZENET",  7853},
{"DSSVAUS",  7854},
{"TELECOMPLUS",  7855},
{"INREACH-ASN",  7856},
{"EMPIRE2-ASN",  7857},
{"EXECUTELE",  7858},
{"PAIR-NETWORKS",  7859},
{"UPEI-AS",  7860},
{"CADVISION-ASN",  7861},
{"TEXACO-GROUP",  7862},
{"ACADIAN",  7863},
{"ACLA",  7864},
{"SWITCHBOARD-MA",  7865},
{"BTI",  7866},
{"TECHDATA",  7867},
{"DATA-LIFE",  7868},
{"DATADEPOT-ASN",  7869},
{"WHY",  7870},
{"SEIDATA",  7871},
{"MCMURDO",  7872},
{"MICROTEC-AS",  7873},
{"SHKOO",  7874},
{"ENTECH",  7875},
{"CNGNET-AS",  7876},
{"ONLINE-MAGIC",  7877},
{"TCEL-AS",  7878},
{"DIMENSION-NET-1",  7879},
{"NEURAL-AS",  7880},
{"IMGIS",  7881},
{"SPRINT-HAWAII",  7882},
{"CYBERTOURS",  7883},
{"ASN-NC-FUCAPMARK",  7884},
{"YUKONCOLLEGE",  7885},
{"EMPIRICAL-AS",  7886},
{"AS-CCPL",  7887},
{"CSI-CORP",  7888},
{"FULL-ECLIPSE",  7889},
{"REDE-UNILINK",  7890},
{"BELLSOUTH-NET-BLK2",  7891-7894},
{"FABRIK",  7895},
{"UNL-AS",  7896},
{"XINGNET",  7897},
{"DNA-ASN",  7898},
{"EXAMCO",  7899},
{"HOOSIER",  7900},
{"CYPHERCOM",  7901},
{"PINS",  7902},
{"OASIS-AS",  7903},
{"NISI",  7904},
{"GARDEN-NET",  7905},
{"VERA-NET",  7906},
{"NETWORLDTRON",  7907},
{"COMSAT-AR",  7908},
{"CITYNET-AS",  7909},
{"ANDINET",  7910},
{"WCG",  7911},
{"STATEFARMINSCO",  7912},
{"METROLINK",  7913},
{"CSI",  7914},
{"LIGHTREALM",  7915},
{"ISDNET",  7916},
{"PHS",  7917},
{"LARKOM-AS",  7918},
{"DIGITALDATA-AS",  7919},
{"LEAPSPOURCE",  7920},
{"THEGRID-AS",  7921},
{"CCIBB",  7922},
{"UPLANET-AS",  7923},
{"ADVANCEDONLINE",  7924},
{"WVNET",  7925},
{"FAIRISAAC",  7926},
{"GIPVE",  7927},
{"AICOM-AS",  7928},
{"WETWARE",  7929},
{"TSCNET",  7930},
{"ACVI",  7931},
{"NUMERIX",  7932},
{"BORDERS-GROUP",  7933},
{"DATAMARKETS",  7934},
{"PO-ASN",  7935},
{"NPDGROUP",  7936},
{"SOUTHTECH",  7937},
{"CIRCLE",  7938},
{"UNIVCENTFLA",  7939},
{"JCI-INC",  7940},
{"ARCHIVE",  7941},
{"GE-AS5",  7942},
{"TDS-SA-ISP",  7943},
{"DMVOL-ASN",  7944},
{"CYBERG8T",  7945},
{"MET-NET",  7946},
{"RADIO",  7947},
{"GEOPLEX",  7948},
{"WMIS-AS",  7949},
{"HC-AS",  7950},
{"PCEZ",  7951},
{"PCMAGIC-GATEWAY",  7952},
{"SUPERNET-MEDELLIN",  7953},
{"DYNANET-ASN",  7954},
{"SOURCENET",  7955},
{"NETRESOURCE",  7956},
{"SHOPX",  7957},
{"IDI",  7958},
{"VICON",  7959},
{"SERVINT-ONE",  7960},
{"TSOFT",  7961},
{"EXISNET",  7962},
{"STDIO",  7963},
{"ARCFOUR",  7964},
{"UCAB",  7965},
{"HARBOR",  7966},
{"SECUREDOC",  7967},
{"LOYOLA-UNIV-CHICAGO",  7968},
{"CYB-VAN",  7969},
{"LEON-FL-SCHL",  7970},
{"IWEBTT",  7971},
{"GPG",  7972},
{"MAYO",  7973},
{"ASNIMP",  7974},
{"CONFERENCE-AMERICA",  7975},
{"SEDONA-AS",  7976},
{"EMCCORP",  7977},
{"PRISM",  7978},
{"BARROWS",  7979},
{"GIPAR",  7980},
{"DIGIMARK",  7981},
{"COGENT-WAN",  7982},
{"DOMAIN",  7983},
{"GIPCO",  7984},
{"CHRONICLE",  7985},
{"SAVVISCHI",  7986},
{"SAVVISDAL",  7987},
{"SAVVISLA",  7988},
{"SAVVISNY",  7989},
{"SAVVISSF",  7990},
{"SAVVISSTL",  7991},
{"COGECOWAVE",  7992},
{"GIPCL",  7993},
{"GIP-PE",  7994},
{"GIP-MX",  7995},
{"LIMITED",  7996},
{"EMTELCO",  7997},
{"CYTEC",  7998},
{"GAMES-ONLINE",  7999},
{"DWX-AS",  8000},
{"NET-ACCESS-CORP",  8001},
{"STEALTH",  8002},
{"THENETDIGITAL",  8003},
{"DTG",  8004},
{"SUNLINK1",  8005},
{"SYSCI",  8006},
{"INFOSERV",  8007},
{"CICCORP",  8008},
{"TRANSAMERICA",  8009},
{"PUBLICNET",  8010},
{"EXECPC",  8011},
{"PCFN",  8012},
{"PSINET-CA",  8013},
{"BATELNET",  8014},
{"VISI-AS",  8015},
{"BAISBLT",  8016},
{"BAISRNK",  8017},
{"VEL-AS",  8018},
{"ORCALINK",  8019},
{"CAVECOMM-ASN",  8020},
{"PCNET",  8021},
{"WTNET",  8022},
{"CASTLES",  8023},
{"CIBNOR-LP",  8024},
{"BRIGHTOK-AS",  8025},
{"ECOPETROL",  8026},
{"GBLNAPSBOSMIX",  8027},
{"PROAXIS",  8028},
{"MSERVE-AS",  8029},
{"WORLDNET5-10",  8030-8035},
{"UTULSA-AS",  8036},
{"QTI",  8038},
{"WCS-1",  8039},
{"MMD",  8040},
{"ATW",  8041},
{"WCS",  8042},
{"SMARTNAPASN",  8043},
{"SELECT-AS",  8044},
{"EMIMUSICPUB-NY",  8045},
{"NAPANET",  8046},
{"GCI",  8047},
{"CANTVNET",  8048},
{"POL-AS",  8049},
{"DNC-AS",  8050},
{"NXS",  8051},
{"SCRR-8052",  8052},
{"ELDISH",  8053},
{"TICSA-MEDELLIN",  8054},
{"WTCOL-R1",  8055},
{"INTERNET-VENEZUELA",  8056},
{"VISIONNET",  8057},
{"LEAPFROG",  8058},
{"ASN-BWAY",  8059},
{"BELLSOUTH-NET-BLK3",  8060-8063},
{"UABMC",  8064},
{"EEPPM",  8065},
{"INEA-INTSA",  8066},
{"WSCNET-AS",  8067},
{"MICROSOFT-AS-BLOCK",  8068-8075},
{"HUD",  8076},
{"OHIOONLINE",  8077},
{"I-2",  8078},
{"ONC-AS",  8079},
{"ZIP2",  8080},
{"FTLNET",  8081},
{"WORLDSITE",  8082},
{"CONGQTLY",  8083},
{"WIZCOM",  8084},
{"AMERITRADE",  8085},
{"PBD-NET",  8086},
{"NEUMEDIA",  8087},
{"SRTNET",  8088},
{"ESPIRE-FLN",  8089},
{"ENRON",  8090},
{"ICOMS",  8091},
{"BBNOW",  8092},
{"PROFOUND",  8093},
{"PUKNET",  8094},
{"NETVALUE",  8095},
{"INTERPLANET-MEDELLIN",  8096},
{"ORCONET",  8097},
{"IFN",  8098},
{"ASN-280",  8099},
{"AYENET",  8100},
{"RTCI-AS",  8101},
{"FALLON-MPLS",  8102},
{"STATE-OF-FLA",  8103},
{"DAKOTACOM",  8105},
{"SPRINT97",  8106-8110},
{"DALUNIV",  8111},
{"BAIS-ASBLK",  8112-8115},
{"GUIDANT",  8116},
{"DRF",  8117},
{"MAAZ-AS",  8118},
{"DTN-AS",  8119},
{"BESTWEB",  8120},
{"TCH",  8121},
{"DQNAS",  8122},
{"POLYBASE",  8123},
{"TUMBLEWEED",  8124},
{"CYBERPORTAL-ASN",  8125},
{"KENTROX",  8126},
{"CONNECTEXPRESS",  8127},
{"UOL-AS",  8128},
{"CAIWIRELESS",  8129},
{"INFICAD",  8130},
{"PEPBOYS",  8131},
{"ENTEX",  8132},
{"CYBERCOMCORP",  8133},
{"UP-NET",  8134},
{"TROYST",  8135},
{"IFSI",  8136},
{"INFOSEEK2",  8137},
{"JADE",  8138},
{"RACALDATAGROUP",  8139},
{"REDIFE-PREP",  8140},
{"TBAINFORMATICA",  8141},
{"EAGLEQUEST",  8142},
{"4PUBLICOM-AS",  8143},
{"WORLDNOWONLINE",  8144},
{"GW",  8145},
{"GNAC",  8146},
{"ASERICY",  8147},
{"TIES",  8148},
{"UNICOMP",  8149},
{"MOBILEPS",  8150},
{"UNINET-MX",  8151},
{"BRODERBUND",  8152},
{"NORTELRCH2",  8153},
{"GTC",  8154},
{"THE-LINK-MGM",  8155},
{"INTI",  8156},
{"INTERNETCONNECTUSA",  8157},
{"LUCENT-WHATS",  8158},
{"KANSASNET",  8159},
{"FUNDY",  8160},
{"INSIGHT-AS",  8161},
{"IMPULSEGATEWAY",  8162},
{"METROTEL",  8163},
{"JUNO",  8164},
{"DATABOSS",  8165},
{"PRISMNET",  8166},
{"TELESC",  8167},
{"RAVENET-DE",  8168},
{"ACCESSINDY",  8169},
{"MICROAGE",  8170},
{"ENET",  8171},
{"MTI",  8172},
{"MHPCC-ASNET2",  8174},
{"CETLINK",  8175},
{"NETSCAPE-ASN",  8176},
{"QADAS",  8177},
{"OVERNET",  8178},
{"SFCU-1",  8179},
{"SHUTTERNET",  8180},
{"VCINET",  8181},
{"DIGITALRIVER",  8182},
{"INTERNETSECURE-AS",  8183},
{"LAFFITEMORGAN",  8184},
{"THAWEB",  8185},
{"HPI",  8186},
{"NEWTEL-COMM",  8187},
{"BLOOMBERG",  8188},
{"STRATOS",  8189},
{"VIATEL",  8190},
{"WIDOMAKER",  8191},
{"RIPE-ASNBLOCK7",  8192-9215},
{"APNIC-AS-3-BLOCK",  9216-10239},
{"MOTLEYFOOL",  10240},
{"OCI",  10241},
{"USINTERNET",  10242},
{"HERMESNET1",  10243},
{"EDIFY",  10244},
{"INNETIX",  10245},
{"AGT",  10246},
{"NETLINE",  10247},
{"IPINC",  10248},
{"TIR-ASN",  10249},
{"INET-SOLUTIONS",  10250},
{"DIALI",  10251},
{"DOTNETUNIFIEDNETWORK",  10252},
{"IENG",  10253},
{"WATSONWYATT",  10254},
{"SINISTER",  10255},
{"AKULA",  10256},
{"TSTONRAMP",  10257},
{"SHN-AS",  10258},
{"BLUEMOON",  10259},
{"ACCESS-CHICAGO",  10260},
{"ACCESS",  10261},
{"IMPROTECH",  10262},
{"MATCHMAKER",  10263},
{"SCOTIACAPTIAL",  10264},
{"DIGIWEB-NETWORK",  10265},
{"NETWAY-AS",  10266},
{"GVI-AS",  10267},
{"ASN-USS",  10268},
{"BTL-ASN",  10269},
{"IDEX",  10270},
{"TCIX",  10271},
{"SSIS",  10272},
{"FPL",  10273},
{"EXCELNET",  10274},
{"AS-UNITEDNETWORK",  10275},
{"GATEKEY",  10276},
{"ASN-MCYE",  10277},
{"CARIBSURF",  10278},
{"OT-AS",  10279},
{"DIALIP-E-SW",  10280},
{"DIALIP-E-NE",  10281},
{"DIALIP-PR",  10282},
{"DIALIP-AMERICAS",  10283},
{"DIALIP-ASIA",  10284},
{"IMAGEBBS-RJ",  10285},
{"TIESOFT",  10286},
{"XTNNET",  10287},
{"MIN-NET",  10288},
{"WEBNETWORKS",  10289},
{"RDANET",  10290},
{"PLANETALL",  10291},
{"TOJ",  10292},
{"VENRED",  10293},
{"CCCD-AS",  10294},
{"COMPUTERDOTNET",  10295},
{"GBNETMPNNETWORK",  10296},
{"COLUMBUSNAP",  10297},
{"CACI",  10298},
{"EMCATEL",  10299},
{"NETSPEAK",  10300},
{"NEXTGEN",  10301},
{"NEGIA-NET",  10302},
{"AS-PRIORI",  10303},
{"NETCHANNEL",  10304},
{"VERINET",  10305},
{"CNETECHNET",  10306},
{"GRENTEL",  10307},
{"NEIUNET",  10308},
{"MARIN-MIDAS",  10309},
{"GEOCITIES",  10310},
{"SCRR-10311",  10311},
{"HEARTPORT",  10312},
{"PEQUOT",  10313},
{"WORLDPATH-AS",  10314},
{"EZNETWORK",  10315},
{"ABACUS-NET-AS",  10316},
{"CUCINT",  10317},
{"CV-TCI",  10318},
{"ADVANTANET",  10319},
{"ISPN-TJ",  10320},
{"MERCOMUSA",  10321},
{"ERCOT-ISO",  10322},
{"PLANET",  10323},
{"WAZOO-AS",  10324},
{"INGRAMMICRO",  10325},
{"WPI",  10326},
{"CLAND",  10327},
{"IKONUN",  10328},
{"INFOSHARE",  10329},
{"VOYAGER",  10330},
{"BANKMED",  10331},
{"BROADBAND",  10332},
{"DIGITALINSIGHT",  10333},
{"NAVISITE-EAST",  10334},
{"RELAYTECH",  10335},
{"PFN-AS",  10336},
{"IBMAS400DIV",  10337},
{"COBITE",  10338},
{"COMMTEL",  10339},
{"TELE-TECH",  10340},
{"IBC-AS",  10341},
{"INETINFOSVCS-AS",  10342},
{"NASA-AERONET-AS",  10343},
{"FOXBERRY",  10344},
{"INCONNECT",  10345},
{"MIDCOAST",  10346},
{"RANDMCNALLY",  10347},
{"HTDC",  10348},
{"TULANE",  10349},
{"NETSCHOOLS",  10350},
{"COMPUAID",  10351},
{"WCTC",  10352},
{"AWODCHS",  10353},
{"GLOBETROTTER",  10354},
{"DSCGA",  10355},
{"WINDYCITY",  10356},
{"JMUNET",  10357},
{"EQUINOX",  10358},
{"SOFTWARE-ALBERTA",  10360},
{"BLOOMBERG-NET",  10361},
{"NETHALL",  10362},
{"PULITZER-TECH",  10363},
{"UAHNET",  10364},
{"WEBEXPRESS",  10365},
{"ASN-NKN1",  10366},
{"METRO2000",  10367},
{"DNAI",  10368},
{"CAMPBELLSOUP-AS",  10369},
{"NORTHWEST-AIRLINES",  10370},
{"NASA-DARWIN-AS",  10371},
{"NORWEST",  10372-10376},
{"SOUNDCHOICE",  10377},
{"NODEWARRIOR",  10378},
{"DELUXE",  10379},
{"NETXS",  10380},
{"SWCP-AS",  10381},
{"NPTI",  10382},
{"USW-INTERACT9",  10383},
{"TVA",  10384},
{"EIGER",  10385},
{"IC-ASN",  10386},
{"CHARIOTNET",  10387},
{"NETINC",  10388},
{"BEARCLEARNET",  10389},
{"TELECHECK",  10390},
{"INTERED",  10391},
{"GLASSCITY-INTERNET",  10392},
{"MWEB",  10393},
{"ALLWAYS",  10394},
{"VUE-AS1",  10395},
{"COQUI-NET",  10396},
{"ICX-AS",  10397},
{"GBI",  10398},
{"AMAP-AUSTIN-TX-WALLER",  10399},
{"THETORONTOSTAR",  10400},
{"SFAAOA",  10401},
{"HSD2-AS",  10402},
{"DYNASTY",  10403},
{"ICN-1",  10404},
{"ASN-UP",  10405},
{"ASN-TEKTRONIX",  10406},
{"IAAVC",  10407},
{"SPECTRUME",  10408},
{"ALLEGRONET",  10409},
{"AUTO-GRAPHICS",  10410},
{"ESRI",  10411},
{"TECPAR-AS",  10412},
{"GLOBALLY",  10413},
{"QUESTLINK",  10414},
{"VSCAPEII",  10415},
{"EVCOM-ASN",  10416},
{"POP-MG",  10417},
{"TEKNOS",  10418},
{"NORTHERNLIGHT",  10419},
{"BANCO-DE-MEXICO",  10420},
{"TTUNET",  10421},
{"NETEXPLORER",  10422},
{"MIAMINAP",  10423},
{"USW-INTERACT10",  10424},
{"ASN-FIBERNAP",  10425},
{"AUTOBAHN",  10426},
{"RAMS-FIE-AS",  10427},
{"CWV-NETWORKS",  10428},
{"TELESP",  10429},
{"WA-K20",  10430},
{"BCNET-1",  10431},
{"APC-AS-2",  10432},
{"USA-NET",  10433},
{"SAT-TEL",  10434},
{"IDCOMM",  10435},
{"ITESM-RZS",  10436},
{"UKY",  10437},
{"BLUE-HWY",  10438},
{"CARI",  10439},
{"VITTS",  10440},
{"CH2M",  10441},
{"ED-GOV",  10442},
{"WOLFENET2",  10443},
{"ZIONSBANCORP",  10444},
{"HTG",  10445},
{"AMIGO-NET",  10446},
{"SKYLINKUS-AS1",  10447},
{"VILLANOVA-UNIV",  10448},
{"DISCOVER",  10449},
{"ADVANTECH",  10450},
{"WARPDRIVE",  10451},
{"ANICE",  10452},
{"CNIWEB",  10453},
{"HORIZONTES",  10454},
{"LUCENT-CIO",  10455},
{"ATT-DISCNET",  10456},
{"ILX-ASN",  10457},
{"JUNIPER-TEST-AS",  10458},
{"WANSASN",  10459},
{"SCOOP-AS",  10460},
{"TOWNSENDANALYTICSLTD",  10461},
{"SHADOW",  10462},
{"ENLARED-PLM",  10463},
{"TEAMTECH",  10464},
{"JETLINK",  10465},
{"MAGPI",  10466},
{"NEWMEDIA",  10467},
{"ASLAN",  10468},
{"FIRSTNET",  10469},
{"ASN-PCORDER",  10470},
{"TECHNIMETRICS-AS",  10471},
{"CWNET",  10472},
{"COMPUSA",  10473},
{"NETACTIVE",  10474},
{"SNS",  10475},
{"SINFONET",  10476},
{"CEPHAS",  10477},
{"PTINETCORP",  10478},
{"ITESM-RZN",  10479},
{"NMNAP",  10480},
{"PRIMA",  10481},
{"VIDEONCSAI",  10482},
{"AKPERMFUND",  10483},
{"OLDE",  10484},
{"UW-STOUT",  10485},
{"FASTRANS",  10486},
{"SIMPLENET",  10487},
{"TFM-ASN",  10488},
{"FUTUREONE-AS",  10489},
{"GEORGIA-GIGA-POP",  10490},
{"DIAMONDLINK",  10491},
{"CACMEDIANET",  10492},
{"GCN-AS",  10493},
{"AAI",  10494},
{"GCSNET-AS",  10495},
{"LIVINGSTON",  10496},
{"WORLDBANK-AS",  10497},
{"IWAVE-ASN",  10498},
{"RGE",  10499},
{"PACLINK",  10501},
{"IA-CL",  10502},
{"I-55",  10503},
{"DHLAIRWAYS",  10504},
{"DOCKSIDE",  10505},
{"PROSPECT",  10506},
{"SPCS",  10507},
{"ARKNET-AS",  10508},
{"IEWAY",  10509},
{"QNIKC",  10510},
{"EFOREX-AS",  10512},
{"21STCENTURY",  10513},
{"SPLITROCK",  10514},
{"CLT-NIC",  10515},
{"ORB-BIT",  10516},
{"MELLONBANK",  10517},
{"WALLNET-AS",  10518},
{"ANS97",  10519},
{"ODYSSEY-ON-CA",  10520},
{"MARCOM",  10521},
{"BLUESTAR",  10522},
{"ROADRUNNER-003-ALBANY",  10523},
{"SIMON-SCHUSTER",  10525},
{"DRCORP",  10526},
{"PULVER",  10527},
{"INTELISYS",  10528},
{"AFSB",  10529},
{"INTERPACKET",  10530},
{"GLOBALSITE",  10531},
{"CYMITAR",  10532},
{"HYPNOVISTA",  10533},
{"GOAMERICACOMM",  10534},
{"USNETWAY",  10535},
{"INDIVIDUAL",  10536},
{"INFONLINE",  10537},
{"ARCTICNET",  10538},
{"NETMORE",  10539},
{"INFODOOR",  10540},
{"PREDICTIVE",  10541},
{"MSDNSD",  10542},
{"UPTIMEWEB",  10543},
{"DLPTECHNOLOGIES",  10544},
{"LCOL",  10545},
{"MSSTATE",  10546},
{"PORTAL-CA",  10547},
{"LCGM-AS1",  10548},
{"EMINET",  10549},
{"UTAUSTIN",  10550},
{"CATAPULTNET",  10552},
{"SILVERPLATTER-AS",  10553},
{"MIDPLAINSNET",  10554},
{"SCLI",  10555},
{"ATN-AS",  10556},
{"CNW",  10557},
{"PAGEMARTINET",  10558},
{"WEBSTREETSECURITIES",  10559},
{"ITESM-RZC",  10560},
{"BRANDEIS",  10561},
{"AIRNET",  10562},
{"ROCHELLEUTILITIES",  10563},
{"TCSI",  10564},
{"MEER-AS",  10565},
{"VIAGENIE",  10566},
{"TNA",  10567},
{"PROXY-ASN",  10568},
{"AS-CUBA",  10569},
{"HYPNO-NTT",  10570},
{"GEOACCESS-AS",  10571},
{"RESROCKET",  10572},
{"WEBNEXUS",  10573},
{"BJKE",  10574},
{"CISP-AS",  10575},
{"CDNOW",  10576},
{"WIPC",  10577},
{"GIGAPOP-NE",  10578},
{"HIGHWAY1-AS",  10579},
{"INTURNET-ASN",  10580},
{"TM3",  10581},
{"MONDONET-USA-AS",  10582},
{"CHIME",  10583},
{"TRADEWEB",  10584},
{"NETLIMITED",  10585},
{"OSI-GUATEMALA",  10586},
{"CYBERHIGHWAY",  10587},
{"ICSNET",  10588},
{"HALNET",  10589},
{"BOOKSTACKS",  10590},
{"IONSNET",  10591},
{"NET1PLUS",  10592},
{"AOL-DTC2",  10593},
{"CEC",  10594},
{"MAUSWERKS",  10595},
{"JETNET",  10596},
{"CRUSOE-AS",  10597},
{"CIRR",  10598},
{"MCKESSON",  10599},
{"CD-GRAF-BR",  10600},
{"ELNET",  10601},
{"TDL",  10602},
{"TYPEHOUSE-GROUP",  10603},
{"KINKO",  10604},
{"SERVICE-NET",  10605},
{"TALNET",  10606},
{"GCIC",  10607},
{"ENS-INTERWEB",  10608},
{"TELEVAR",  10609},
{"APA",  10610},
{"REOHR",  10611},
{"NORTHCOAST-INTERNET",  10612},
{"MAUINET",  10613},
{"OLYWA",  10614},
{"PAINEWEBBER-ASN",  10615},
{"NTIS",  10616},
{"SION",  10617},
{"NBNET",  10618},
{"PUBLICONLINE",  10619},
{"CABLENET-AS",  10620},
{"FIRSTNETHOU",  10621},
{"NIEHS",  10622},
{"ANNAPOLIS-INTERNET",  10623},
{"NETPOINT-DE-VENEZUELA",  10624},
{"SPCOMSTOCK",  10625},
{"INTRANET-INC",  10626},
{"CRITICALPATH",  10627},
{"LVDI-NET",  10628},
{"INTERPAC",  10629},
{"PROVER",  10630},
{"GEORGIA-STATE",  10631},
{"PSE-AS",  10632},
{"PINNACLESYS",  10633},
{"CORNERSTONE",  10634},
{"THE-BASTILLE",  10635},
{"ACADEMY-D20",  10636},
{"TROYSAT",  10637},
{"KANA",  10638},
{"ALPHABLOX",  10639},
{"DATANETSA",  10640},
{"TICKETMASTER-AS",  10641},
{"POWERNET",  10642},
{"SUBURBCABLE",  10643},
{"ALLIEDSIGNAL-AA",  10644},
{"APPLIEDINNOVATIONS",  10645},
{"TVCN-AS",  10646},
{"NACM",  10647},
{"PACIFICBROK",  10648},
{"TELEPAR-NET",  10649},
{"EXTREME-AS",  10650},
{"INCC",  10651},
{"NETSIDE",  10652},
{"MVANET",  10653},
{"CONXNETASN0",  10654},
{"BUREAU-NAT-AFF",  10655},
{"ECOL",  10656},
{"GIANTSTEP",  10657},
{"GEEKLAB",  10658},
{"SEQUENT-CS2",  10659},
{"SYSNET-AS",  10660},
{"AUGLINK",  10661},
{"NORFOLK-SOUTHERN",  10662},
{"DISCOVERNET-ASN1",  10663},
{"ISD",  10664},
{"SKYNET",  10665},
{"ALLERGAN",  10666},
{"FSIWEBS-NET1-AS",  10667},
{"LEE-ASN",  10668},
{"JOBTRAK-AS",  10669},
{"PRODEMGE-AS",  10670},
{"CONAE",  10671},
{"REDSTORM",  10672},
{"DYNATEK-ASN",  10673},
{"GRUCOM",  10674},
{"VIET-MY",  10675},
{"GLOBALEC",  10676},
{"OMNCS",  10677},
{"TRENDS-NET",  10678},
{"INET-SVCS-AS",  10679},
{"IUPUI",  10680},
{"AOL-DTC1",  10681},
{"VISION21ASN",  10682},
{"CRUZIO",  10683},
{"EMPIRENET",  10684},
{"SSI",  10685},
{"MYXA-ASN",  10686},
{"CYBERUS",  10687},
{"ISMNET",  10688},
{"FVI-CHI",  10689},
{"NETSCOUT",  10690},
{"COLINTERNET",  10691},
{"DLS-LITH",  10692},
{"VSPN-ASN",  10693},
{"TMPW-DATANET",  10694},
{"WAL-MART",  10695},
{"MICROPATENT",  10696},
{"CABLENET",  10697},
{"WR-TECH",  10698},
{"TELSOFT-AS",  10699},
{"TECINFO",  10700},
{"FIBERPLUS",  10701},
{"INEL-AS",  10702},
{"QUADR",  10703},
{"LNCC",  10704},
{"NU01-WS-NC",  10705},
{"GEMTEL",  10706},
{"MAGIBOXINC",  10707},
{"SELECTNET-AS",  10708},
{"NETUSA-AS",  10709},
{"USCATL",  10710},
{"RCONNECT",  10711},
{"ISTRADA",  10712},
{"HCNAP",  10713},
{"RIGROUP",  10714},
{"RCT-SC",  10715},
{"OIS",  10716},
{"SCHOLASTIC",  10717},
{"CONSECO",  10718},
{"BAIS12",  10719-10720},
{"EMINETDOMAIN",  10721},
{"ALCOA",  10722},
{"HECENTER",  10724},
{"GENENTECH",  10725},
{"INAV-NET",  10726},
{"NETACCESS-1",  10727},
{"OCS1",  10728},
{"BUSINESSPRODUCTS",  10729},
{"TBCNET",  10730},
{"DAEDAL-AS",  10731},
{"TIERRANET",  10732},
{"MATRIX",  10733},
{"SVWIRELESS",  10734},
{"DATACOURSE",  10735},
{"ITLTD",  10736},
{"BACTC",  10737},
{"MASTERLINK",  10738},
{"CYBERNET",  10739},
{"OWO-AS",  10740},
{"WAMNET",  10741},
{"DENIZ",  10742},
{"GLOBALFEED",  10743},
{"IBT",  10744},
{"ARIN",  10745},
{"TAIS",  10746},
{"QRC",  10748},
{"AFFINITY",  10749},
{"COHESIVE",  10750},
{"GTS-ASN",  10751},
{"SUPERHIGHWAY",  10752},
{"XCOM",  10753},
{"GOV-FRB-BOG",  10754},
{"DARTMOUTH-AS",  10755},
{"VVM-AS",  10756},
{"SSDNET",  10757},
{"INWAVE-AS",  10758},
{"INAXX",  10759},
{"THEBEAM",  10760},
{"TRICETEL",  10761},
{"TESTDRIVE",  10762},
{"WEBSIDESTORY",  10763},
{"STARTAP",  10764},
{"CLOUDNET-AS",  10765},
{"ASN-TAIS-CSE",  10766},
{"HIPERNET-AS",  10767},
{"INFORAMP",  10768},
{"TIDALWAVE",  10769},
{"SBIS-ASN-BLK-2",  10770-10774},
{"CAREERMOSAIC-00",  10775},
{"NETSCAN",  10776},
{"ZEONET",  10777},
{"MCL",  10778},
{"CHARTERMEDIA",  10779},
{"USXCHANGE",  10780},
{"VINEYARD",  10781},
{"DIGITALIMCANDOVER",  10782},
{"IWSC-AS1",  10783},
{"BREK",  10784},
{"ISSANET",  10785},
{"OTTAWAGIGAPOP",  10786},
{"MOTHER-ASN",  10787},
{"CDW",  10788},
{"BIGNET-AS",  10789},
{"INREACH-2",  10790},
{"PDQNETINC",  10791},
{"WEBNETWORLWIDE",  10792},
{"IDSOFT",  10793},
{"BANKAMERICA",  10794},
{"ASN-DESARROLLOS",  10795},
{"SCRR-10796",  10796},
{"MICH-COM",  10797},
{"SBICSA",  10798},
{"PITTENCRIEF",  10799},
{"INTERNETARENA-GW",  10800},
{"FANB97",  10801},
{"KOPPELNET",  10802},
{"EASTCOASTACCESS",  10803},
{"RSCS-AS-1",  10804},
{"9NETAVENUE",  10805},
{"AFP-NET",  10806},
{"HOLE-IN-ONE",  10807},
{"THE-GLOBE-AND-MAIL",  10808},
{"NCIA",  10809},
{"HARVESTCOMM01",  10810},
{"IENET",  10811},
{"THENET-HOUSTON-1",  10812},
{"DELTATHREE",  10813},
{"XSBANDWIDTH",  10814},
{"KCNET",  10815},
{"DESKTALK-AS",  10816},
{"GACONNECT",  10817},
{"FULLNETOK",  10818},
{"ICC",  10819},
{"MECKLERMEDIA",  10820},
{"PIONEERINTERNET",  10821},
{"UNISTAR",  10822},
{"NETCARRIER",  10823},
{"BRHNET",  10824},
{"USW-INTERACT11-19",  10825-10833},
{"ADVANCE-AS",  10834},
{"VISIONARY",  10835},
{"ASN-NJCC",  10836},
{"WELLSFARGO",  10837},
{"OCEANIC-INTERNET-RR",  10838},
{"CIN",  10839},
{"CAHWNET",  10840},
{"SOLBR",  10841},
{"ESCA-AS",  10842},
{"AITNET",  10843},
{"VASTNET",  10844},
{"HITCOMASN",  10845},
{"DEERE",  10846},
{"PODERNET",  10847},
{"GNNET",  10848},
{"DCCCD",  10849},
{"MARC-GROUP",  10850},
{"NREP",  10851},
{"PREMIER-INTERNET",  10852},
{"ANDERSENCORP",  10853},
{"AIRMEDIA",  10854},
{"AUTO-BY-TEL",  10855},
{"LINKDATA",  10856},
{"JCPENNEY-AS",  10857},
{"EUREKA-NET",  10858},
{"DYNCORP",  10859},
{"TOWERRECORDS-AS",  10860},
{"E-Z-NET",  10861},
{"CURTISMATHES",  10862},
{"WAVEFRONT",  10863},
{"ELOGIC",  10864},
{"ABACOM-ASN",  10865},
{"REDSAT-HOUSTON",  10866},
{"FHDA-AS",  10867},
{"DOWNCITY",  10868},
{"ANX",  10869},
{"LINK-1",  10870},
{"NOAANWSERH",  10871},
{"DV-ASN",  10872},
{"SIEMENS-SMI",  10873},
{"SUNSET-DIRECT",  10874},
{"POP-RS",  10875},
{"MAOZ-ASN",  10876},
{"CHAMBERS",  10877},
{"IBS-AS",  10878},
{"UHC",  10879},
{"OTI",  10880},
{"POP-PR",  10881},
{"CLARITYCONNECT",  10882},
{"WIZZARDS-MAGICK",  10883},
{"FRYMULTI-AS",  10884},
{"ASAMINI",  10885},
{"BWI-GIGA-POP",  10886},
{"BPSI-AS",  10887},
{"EI-AIX",  10888},
{"TRENSEN",  10889},
{"PNI",  10890},
{"UTSWEB",  10891},
{"ISSI",  10892},
{"ILLINETWORKS",  10893},
{"U11912",  10894},
{"DNS",  10895},
{"VERIFONE",  10896},
{"CAMARA-DEPUTADOS",  10897},
{"BI-NET-SA",  10898},
{"TANDYAS",  10899},
{"EDUC-NET-PROV",  10900},
{"TERABIT",  10901},
{"BISYS-ATL-AS",  10902},
{"DHC",  10903},
{"EQUISTAR-AS",  10904},
{"CYBERTOONS",  10905},
{"TELEMIG-ASN",  10906},
{"XENERGY",  10907},
{"UWORLD-NET",  10908},
{"STOCKMARKETPHOTO",  10909},
{"INTERNAP-BLK",  10910-10913},
{"BRIN",  10914},
{"CQL-AS",  10915},
{"TCTC",  10916},
{"IPNAV",  10917},
{"CTAZ-AS",  10918},
{"BITS",  10919},
{"ILI",  10920},
{"KIHNETWORK",  10921},
{"ACENET",  10922},
{"THIRDPOINT",  10923},
{"USCSNET",  10924},
{"HARR",  10925},
{"DIGITALGREENHOST",  10926},
{"PCH-SD-NAP",  10927},
{"CTI-NETRAX",  10928},
{"DATAART-AS",  10929},
{"NOVA-INTERNET",  10930},
{"AS-EXARIO",  10931},
{"RAEX",  10932},
{"ATXNET-AS",  10933},
{"BROWNCO",  10934},
{"RLC-INTERNET",  10935},
{"CX-TO",  10936},
{"IIS",  10937},
{"POP-PE",  10938},
{"NETREX-DNVR",  10939},
{"LAS-VEGASNET",  10940},
{"MNNING-NPR-INFO-SERV",  10941},
{"DSNET-AS",  10942},
{"SIRIUS-SYSTEMS",  10943},
{"CBOOKS-AS",  10944},
{"WEBCC-AS1",  10945},
{"FUTURESOUTH-COM",  10946},
{"1WYO-NET",  10947},
{"APPLIEDMANAGEMENT",  10948},
{"ATHENSISP",  10949},
{"DNSCENTRAL",  10950},
{"TFSNET",  10951},
{"NETRUNNERS-1",  10952},
{"PECO",  10953},
{"SERPRO",  10954},
{"WILPATERSON",  10955},
{"VALUEAMERICA",  10956},
{"REALMED",  10957},
{"METRONETWORKS",  10958},
{"NPCCORP",  10959},
{"USW-INTERACT20",  10960},
{"BGP-AS",  10961},
{"SMS-CORP-ASN",  10962},
{"TRIBUNE-TV",  10963},
{"ASN-RCC",  10964},
{"MRNET",  10965},
{"MRNET",  10965},
{"ALASKA-AIR",  10966},
{"HOMEDEPOTNET",  10967},
{"CARGILL-NET",  10968},
{"JPSNET",  10969},
{"LH",  10970},
{"APEX",  10971},
{"NF-CANET2",  10972},
{"KALAMA",  10973},
{"Q-TEK",  10974},
{"NET-AIG",  10975},
{"DURHAMNET",  10976},
{"IWBC",  10977},
{"RONCONET",  10978},
{"DAVE-WORLD",  10979},
{"VIFI",  10980},
{"CON-OK",  10981},
{"INTERNET-GATEWAY-NET",  10982},
{"TS",  10983},
{"BAYOU-INTERNET-INC",  10984},
{"PCSLINK",  10985},
{"INTERMEDIA",  10986},
{"PLUMCREEK-AS",  10987},
{"METRONTECH-AS",  10988},
{"COBWEB",  10989},
{"WINSTAR-TELEBASE",  10990},
{"DISCLOSURE-BETHESDA",  10991},
{"GIGA",  10992},
{"IDIOM-AS",  10993},
{"TAMPA2-TWC-5",  10994},
{"PNCBANK",  10995},
{"CONCORDE",  10996},
{"INTDATA-AS",  10997},
{"MLAMRS",  10998-11002},
{"PANDG",  11003},
{"KNOWLEDGESOFT",  11004},
{"CHX-AS",  11005},
{"MBCO-AS",  11006},
{"INCREDIBYTE",  11007},
{"NETVERK-1",  11008},
{"INFONAUTICS",  11009},
{"PRC",  11010},
{"UPR",  11011},
{"DDC-AS",  11012},
{"USMO-ASN",  11013},
{"CPS",  11014},
{"NET-YBP-ASN",  11015},
{"DV2U",  11016},
{"GREATLAND",  11017},
{"GLOBALACCESS",  11018},
{"BERNSTEIN-AS",  11019},
{"QNET-ASN",  11020},
{"INETONE-CORP",  11021},
{"ALABANZA-BALT",  11022},
{"SYSSRC",  11023},
{"FORWARDNET",  11024},
{"IMS-NET",  11025},
{"AADS-ANX",  11026},
{"KEMPER-INSURANCE",  11027},
{"TLDPANAMERICANA",  11028},
{"ASN-LATINEX-NET",  11029},
{"QUALCOMM",  11030},
{"NETAMERICA-INC",  11031},
{"PYRAMIDNELSONS",  11032},
{"GVCINC",  11033},
{"RRD-FINANCIAL-HUDSON",  11034},
{"TICNET",  11035},
{"SISCOM",  11036},
{"MCI-AIAG",  11037},
{"DIVERSIFIED-COMM",  11038},
{"GWU",  11039},
{"FMR-AS1",  11040},
{"SOUTH-CAROLINA-NET",  11041},
{"ONSI-NET1",  11042},
{"USIWAY",  11043},
{"HPLD",  11044},
{"STERLING",  11045},
{"CHROMATIC",  11046},
{"IAG",  11047},
{"ZAPCOM",  11048},
{"ILINK-2",  11049},
{"KENT-STATE",  11050},
{"CYBERVERSE",  11051},
{"IHC-NET",  11052},
{"SISTECOL",  11053},
{"ETHERNETIX",  11054},
{"COMCAST",  11055},
{"NEWNORTH-NET",  11056},
{"WTHOMPSONCO",  11057},
{"NAP-CABASE-AR",  11058},
{"NEODYME",  11059},
{"NEO-RR-COM",  11060},
{"HUGHES-EC",  11061},
{"MTCO",  11062},
{"AS-MICROSTAR",  11063},
{"STB-ASN",  11064},
{"NCI",  11065},
{"CNFNET",  11066},
{"PTSINET",  11067},
{"IMAGEWORKS-COMPUTING",  11068},
{"IEI-NET-ASN",  11069},
{"LINC",  11070},
{"INFOWEST",  11071},
{"AUTO-WEB",  11072},
{"LEXITECH-BRANFORD",  11073},
{"INTER-POL-1",  11074},
{"TEL-NETCOM-NET-01",  11075},
{"NETUSER-AS",  11076},
{"MOSSADAMS",  11077},
{"BROWN",  11078},
{"MCGI-WEST-VAN-ASN",  11079},
{"LINKMAX",  11080},
{"ANTELNET",  11081},
{"BRAINLINK-INTL-INC",  11082},
{"SEXCOM",  11083},
{"HURONTEL",  11084},
{"PLAYGROUND-NORTEL",  11085},
{"PITNEYBOWES-AS-1",  11086},
{"CFE-NET",  11087},
{"UTW-AVTEL",  11088},
{"WEBTASN",  11089},
{"MTAONLINE-AS",  11090},
{"ORONET",  11091},
{"HEVANET",  11092},
{"DATAWAY",  11093},
{"ASN-UMDNJ",  11094},
{"FLORIDANET",  11095-11096},
{"EMBRAPA",  11097},
{"SBC-NET",  11098-11099},
{"TOADNET",  11100},
{"BRESNANLINK",  11101},
{"CLIPPERNET",  11102},
{"EXECULINK-ASN",  11103},
{"USW-INTERACT21",  11104},
{"OCSLINK",  11105},
{"WOLFRAM-AS",  11106},
{"ICS-MONTANA",  11107},
{"WIIG",  11108},
{"STATE-OF-ALABAMA-ISD",  11109},
{"FASTINET-AS",  11110},
{"MEDICAL-ECONOMICS",  11111},
{"STOCKPOINT-NAC",  11112},
{"ANASERVE",  11113},
{"WINTEK-CORP",  11114},
{"BIZSERVE",  11115},
{"FWC",  11116},
{"TEKCONNECT-AS",  11117},
{"COMTECK",  11118},
{"CA-WMMERCER-11119",  11119},
{"NETREACH",  11120},
{"FIRSTDATACORP-DB",  11121},
{"CACI-NET",  11122},
{"UIA",  11123},
{"WAVO",  11124},
{"EBIZ",  11125},
{"CARLE-ASN",  11126},
{"NETSAT-AS",  11127},
{"DONBEST",  11128},
{"COMPATIBLESYSTEMS",  11129},
{"TC3NET-AS",  11130},
{"UMBC-AS",  11131},
{"DSS-ONLINE",  11132},
{"REITERASSOC1",  11133},
{"WEBFIRE-MILTEL",  11134},
{"COMNET-COMMUNICATIONS",  11135},
{"ITESM-RZP",  11136},
{"ACCESSINTERNET",  11137},
{"CWDOM",  11139},
{"GTE-WIRELESS-DATA",  11140},
{"FOREX-MG",  11141},
{"FLC-ASN",  11142},
{"NORFOLK-COUNTY",  11143},
{"ADVENT-SOFTWARE",  11144},
{"BAIS14",  11145-11149},
{"ALTINET-AS1",  11150},
{"INTERLIANT-AS",  11151},
{"WAVEPHORE",  11152},
{"NOMURA-AS",  11153},
{"SWS",  11154},
{"QUADCITIESONLINE",  11155},
{"POP-CE",  11156},
{"ELAB-AS",  11157},
{"NETDEPON",  11158},
{"LAPL-LAPUBLICLIBRARY",  11159},
{"COMPS-AS",  11160},
{"800-FLOWERS",  11161},
{"MXNET",  11162},
{"THEINTERNETSHOP",  11163},
{"WILLINET",  11164},
{"DPI",  11165},
{"JFAX",  11166},
{"BORG",  11167},
{"ASN-DPC",  11168},
{"NET-WEIRNET-US-01",  11169},
{"BEWELLNET",  11170},
{"REPIND",  11171},
{"ALESTRA-NET-BACKBONE",  11172},
{"NMIX",  11173},
{"ONESOFT-ASN",  11174},
{"CYBERSURF",  11175},
{"ASTRAMERCK",  11176},
{"QUESTAR",  11177},
{"AUGUST-ASN",  11178},
{"SPECDATA",  11179},
{"UFMS-POP-MS",  11180},
{"RIMES01",  11182},
{"MHTC-NET",  11183},
{"INTERGRAM",  11184},
{"CORE",  11185},
{"DMCI-NET",  11186},
{"ANXO",  11187},
{"LACOUNTY-ISD",  11188},
{"GRIC",  11189},
{"SILCON",  11190},
{"ELITE-NET",  11191},
{"AT-FINANCIAL",  11192},
{"COMNET",  11193},
{"NUNETPA",  11194},
{"COHO-ASN",  11195},
{"NESTLE-USA",  11196},
{"DART-HITCH",  11197},
{"APC",  11198},
{"VMT",  11199},
{"UACT",  11200},
{"BFA-NET-AS",  11201},
{"DBNA",  11202},
{"SEITZ-TECH",  11203},
{"IAI-NET-AS",  11204},
{"CITY-OF-PHILADELPHIA",  11205},
{"EAZENET",  11206},
{"BOSTONGLOBENET",  11207},
{"NET-BOWNE-GS",  11208},
{"ONLINE2000",  11209},
{"EVERENSEC",  11210},
{"HEARTNET",  11211},
{"REALTIMEQUOTES-1",  11212},
{"LVLT",  11213},
{"ADGRAFIX",  11214},
{"LOGIXCOMM-AS",  11215},
{"INICC",  11216},
{"CABLEVISION-LOUDOUN",  11217},
{"WARPONE",  11218},
{"INXPRESS",  11219},
{"AIS-NET",  11220},
{"WHRONET",  11221},
{"LOGICAL-ASN",  11222},
{"UTAHINTERNETSERVICES",  11223},
{"SIR",  11224},
{"USW-INTERACT22",  11225},
{"USW-INTERACT23",  11226},
{"N-LINK",  11227},
{"ARINC",  11228},
{"BRANDYWINENET",  11229},
{"INT-OF-GREENVILLE",  11230},
{"GETTYSBURG-DOM",  11231},
{"MIDCO-NET",  11232},
{"GORGE-NETWORKS",  11233},
{"NTCN",  11234},
{"BHCIHC",  11235},
{"UNIFI",  11236},
{"EAFIT",  11237},
{"NWOL-AS",  11238},
{"KENNETT",  11239},
{"ACCESSATC",  11240},
{"DLRYANPARTNERSHIP",  11241},
{"POP-SC",  11242},
{"YNINET",  11243},
{"COMPBANK",  11244},
{"GOODYEAR-US-AKRONHQ01",  11245},
{"WATERHOUSE",  11246},
{"IBSINC",  11247},
{"MULTISERVICE-NET",  11248},
{"CONTROLNET",  11249},
{"TRI-STATE-G-AND-T",  11250},
{"TECHWAVE",  11251},
{"ISU-NET-AS",  11252},
{"SPECTRACOM-INC",  11253},
{"POP-RN",  11254},
{"SBT-NET",  11255},
{"ABACONET",  11256},
{"UNIVERSITY-LETHBRIDGE",  11257},
{"EDOC",  11258},
{"ANGOLATELECOM",  11259},
{"ANDARA-HSI",  11260},
{"ADVSYS-AS",  11261},
{"CWAIPNETWORK",  11262},
{"INTERNOVA",  11263},
{"IDIR",  11264},
{"RAPID",  11265},
{"VALLEYBUSEQ",  11266},
{"DYNALINKTEL",  11267},
{"WNM-ORG",  11268},
{"CWBDA",  11269},
{"NETWRIGHT",  11270},
{"COMSAT-BR",  11271},
{"TELAPEX",  11272},
{"FDCSGNET",  11273},
{"ADHOST",  11274},
{"ART-SEA-1",  11275},
{"DATAHUB",  11276},
{"NIPSCO",  11277},
{"NINTENDO",  11278},
{"GEORGE-MASON-UNIV",  11279},
{"US-OFFICE-PRODUCTS",  11280},
{"COFFEE",  11281},
{"INDUSTRIAL-STRENGTH",  11282},
{"COSTCO",  11283},
{"TELEBRASILIA",  11284},
{"FLYCAST-OPEN-NETWORK",  11285},
{"KEYBANK",  11286},
{"NETRESPONSE",  11287},
{"PREFERRED-INTERNET",  11288},
{"CYBERWORKS",  11289},
{"RAPIDUS",  11290},
{"USDIAL",  11291},
{"QNET",  11292},
{"UCOP-ASN",  11293},
{"MHSC-NET",  11294},
{"BRHS",  11295},
{"INTERPATH2",  11296},
{"GREENNET-ASN",  11298},
{"DIALISDN",  11299},
{"LYMANBROS",  11300},
{"CMN-AS",  11301},
{"GTECH",  11302},
{"DATARETURN",  11303},
{"SPLUS",  11304},
{"INTERLAND-NET1",  11305},
{"IOWNC-IOA",  11306},
{"6750REI",  11307},
{"PDXINTEGRITY-1",  11308},
{"IMF",  11309},
{"BOSTONPUB",  11310},
{"SINECTIS",  11311},
{"NETWORKTWO",  11312},
{"FANNIEMAE",  11313},
{"SRCFINDER-NET",  11314},
{"CRM-AR",  11315},
{"NERC",  11316},
{"GPN",  11317},
{"GU",  11318},
{"DATARECALL",  11319},
{"INTERNET-EXPRESS-INC",  11320},
{"EXPANSION-PROGRAMS",  11321},
{"EFORTRESS",  11322},
{"GETTYIMAGES",  11323},
{"ARTNET",  11324},
{"LIGHTSTREAM",  11325},
{"ASN-EASTMAN-CHEMICAL",  11326},
{"ETHERGATE",  11327},
{"BIO-RAD-ASN",  11328},
{"ASN-USI",  11329},
{"IMALL",  11330},
{"DETESAT-AS",  11331},
{"MAINSTREAM-COM-1",  11332},
{"CYBERTRAILS",  11333},
{"MIDAMERICAN",  11334},
{"APISNET",  11335},
{"BGLOBAL",  11336},
{"APLNYC-ASN",  11337},
{"LINKEXPRESS",  11338},
{"AS-BONZI",  11339},
{"REUNA-1",  11340},
{"EASYNET-US",  11341},
{"AXXENT",  11342},
{"ICOM-NET",  11343},
{"MAXWELL-NET1",  11344},
{"ASN-ONEIPNET",  11345},
{"MDCONSULT",  11346},
{"ORC-F2",  11347},
{"BENCHMARKONLINE-ASN0",  11348},
{"ACCUCOMM",  11349},
{"PGC",  11350},
{"RR-NYSREGION-ASN-01",  11351},
{"POLLAK",  11352},
{"RAE575",  11353},
{"DBN",  11354},
{"SHELL",  11355},
{"TELECOM-AR",  11356},
{"INFO-IQTINC",  11357},
{"RECOM",  11358},
{"RMCNEVADA",  11359},
{"ELECFORIMAG",  11360},
{"IVTWPCO-BB1",  11361},
{"IBE300",  11362},
{"FUJITSU-USA",  11363},
{"ACTEL-USA-AS",  11364},
{"STENTOR-ISN",  11365},
{"MINERVA-NETWORK-SYS",  11366},
{"ICENET",  11367},
{"T3TECH",  11368},
{"CDSASN",  11369},
{"UNEED",  11370},
{"RHYTHMS",  11371},
{"PEOPLES-NETWORK",  11373},
{"META-AS1",  11374},
{"JANUS-NET",  11375},
{"JWSC",  11376},
{"LATINET",  11377},
{"DVN",  11378},
{"EAGLENETCTI",  11379},
{"INTERNETOFFICEPARKS",  11380},
{"NFIS",  11381},
{"WRF-NET",  11382},
{"CUBE",  11383},
{"ASN-MORGAN2",  11384},
{"MADOFFNY1",  11385},
{"WWNET-AS",  11386},
{"HOBONET",  11387},
{"MAXIM",  11388},
{"CYBERPORT-AS",  11389},
{"UNIEMP-AS",  11390},
{"MICROGRAFX0001",  11391},
{"NOSIS",  11392},
{"METROPOL",  11393},
{"DAMEDIA",  11394},
{"NETWORKWORLD",  11395},
{"TWC-ASN",  11396},
{"EMJ-INTERNET",  11397},
{"SPWR",  11398},
{"WILLIAMSCOLLEGE",  11399},
{"TELCOM",  11400},
{"CPINTERNET-1",  11401},
{"ADVHEALTH-ASN",  11402},
{"NYINTERNET",  11403},
{"POINTSHARE-SEA",  11404},
{"EIC",  11405},
{"CZINET",  11406},
{"WARP9-TECH",  11407},
{"KWE-AS",  11408},
{"EFXSECURE",  11409},
{"REGIONALNETWORK",  11410},
{"TOURNET",  11411},
{"USW-INTERACT25",  11412},
{"BXCOM",  11413},
{"NVIDIA-NET",  11414},
{"IMPSAT-BR",  11415},
{"METAWIRE",  11416},
{"NIU",  11417},
{"AVALON",  11418},
{"CTBCAMPO",  11419},
{"TRIBUNE-COMPANY",  11420},
{"ACMENET",  11421},
{"CALREN-2",  11422-11423},
{"FCCC-EDU",  11424},
{"VARCOINTERNATIONAL",  11425},
{"SCRR-11426",  11426},
{"SCRR-11427",  11427},
{"1-MICRONPC",  11428},
{"VSTREAMINC",  11429},
{"BESTNAP",  11430},
{"PLANETARIUM-ASN",  11431},
{"BRASILNET",  11432},
{"PORTALS",  11433},
{"ASN-PEAKTOP",  11434},
{"INTONLINE",  11435},
{"CRC-GIGAPOP",  11436},
{"DATAONAIR",  11437},
{"BIGDOG-CISA",  11438},
{"INTERNETREVEALED",  11439},
{"NETSVILLE",  11440},
{"WEBBLAZERS-TFS",  11441},
{"MIEN1",  11442},
{"OLM",  11443},
{"PRIMUSDSLINC",  11444},
{"XYLANMASS-AS",  11446},
{"IWM",  11447},
{"VGT",  11448},
{"INTERACTIVEBROKERS",  11449},
{"XLNET",  11450},
{"ASN-INTERLINK-NETWORK",  11451},
{"MOUNT-SINAI",  11452},
{"ASN-SWITCHVIEW",  11453},
{"IBSINTER",  11454},
{"WORLD-NET",  11455},
{"CAROLINA-ONLINE",  11456},
{"TAYLOR",  11457},
{"IMBRIS",  11458},
{"BURGOYNE-DOM",  11459},
{"PNBD-AS",  11460},
{"SPEEDCHOICE",  11461},
{"PARACOM",  11462},
{"CDB-INFOTEK",  11463},
{"SKYWAVES-NEWSOURCE-1",  11464},
{"AISI-NET",  11465},
{"INTERNET-ALLEGIANCE",  11466},
{"UNET-TW-ST",  11467},
{"NSDATA",  11468},
{"WAVECOM",  11469},
{"RSNA-ASN",  11470},
{"EASTLAND-INTERNET",  11471},
{"COM-LINK-AS",  11472},
{"WCOILASN",  11473},
{"BMC",  11474},
{"WARPONE-2",  11475},
{"CORPEXP",  11476},
{"GOC-AS",  11477},
{"OPENFACE",  11478},
{"BRM-SUN-AS",  11479},
{"MDXNET",  11480},
{"LABRATS",  11481},
{"ANSON",  11482},
{"WCNET",  11483},
{"NET-LINK",  11484},
{"ARC2",  11485},
{"WAN",  11486},
{"GREY-NY",  11487},
{"REDSTONECOM",  11488},
{"BACI",  11489},
{"MASH-COM",  11490},
{"TRIVALENT",  11491},
{"CABLEONE",  11492},
{"ICENET-2",  11493},
{"NET-TTC-ASN",  11494},
{"HRL-WINS",  11495},
{"PAYMENTECH",  11496},
{"BESC",  11497},
{"DIBI",  11498},
{"WHOI-WOODSHOLE",  11499},
{"PEAKPEAK",  11500},
{"BTSR-ASN",  11501},
{"IJNT",  11502},
{"DATACOOP",  11503},
{"WHITE-CASE-1155",  11504},
{"FIBERDIRECT",  11505},
{"HYPERCON",  11506},
{"TOUCHAMERICA",  11507},
{"FISERV-DENVER",  11508},
{"PAJO",  11509},
{"CLOVERNET",  11510},
{"U1-NET",  11511},
{"SAILNET",  11512},
{"GETUS",  11513},
{"TOWERNET",  11514},
{"QUESTNET-ASN",  11515},
{"PENCOM",  11516},
{"SKYCACHE",  11517},
{"ASN-SKYE",  11518},
{"GFNORTE-AS",  11519},
{"ALLSTATE-INSURANCE-CO",  11520},
{"MMI",  11521},
{"SUD-WIREDAS",  11522},
{"RAYVA",  11523},
{"SEGNET",  11524},
{"HRTC",  11525},
{"USHOST-AS",  11526},
{"CYBERCENTER",  11527},
{"PHOTRONICS",  11528},
{"NIMO-AS",  11529},
{"SPUN",  11530},
{"INTRAWORLD-NET",  11531},
{"IMCONLINE",  11532},
{"VERITY-AS",  11533},
{"PHILA-SCHOOL-DISTRICT",  11534},
{"NET-UALNET-AS",  11535},
{"FORE-AS",  11536},
{"ABILENE",  11537},
{"USW-INTERACT24",  11538},
{"REPRAHDUCE-LA",  11539},
{"WANS-LACA1",  11540},
{"GREATLAKES",  11541},
{"ZEBRANET-MOB",  11542},
{"COLLECTIVE",  11543},
{"DAIN-ASN1",  11544},
{"IXL-TOC",  11545},
{"UNOMAHA-AS",  11546},
{"TRILOBYTE",  11547},
{"DRAGONNET",  11548},
{"ACCELERNET",  11549},
{"BMISBLM-AS",  11550},
{"PRESSROOM",  11551},
{"PHL",  11552},
{"CALICO",  11553},
{"ACADIANET",  11554},
{"ASCENTRIX-AS",  11555},
{"CW-PANAMA",  11556},
{"HOLLISTER-INTERNET",  11557},
{"DOMAINGR",  11558},
{"PERFEKT",  11559},
{"WEST",  11560},
{"PARTES-CORPORATION",  11561},
{"NET1-VENEZUELA",  11562},
{"NETENTERPRISE",  11563},
{"BINDCO",  11564},
{"COMETSYSTEM",  11565},
{"ESCAPE-AS",  11566},
{"GANNETT3-NET",  11567},
{"SHOPPING-COM",  11568},
{"SATDATA",  11569},
{"MSLO-1",  11570},
{"LANACION",  11571},
{"MEDIACOM",  11572},
{"BUCKEYEWEB",  11573},
{"AVALONSYS",  11574},
{"SIRS-ASN",  11575},
{"THUNDERBIRD-AGSIM",  11576},
{"GOVNET-ASN",  11577},
{"GANNETT2-NET",  11578},
{"LANLINE",  11579},
{"POWERTEL-INC",  11580},
{"TRANSTEL-SA",  11581},
{"ATCALL",  11582},
{"NET4PROFIT",  11583},
{"INTERGATE-E",  11584},
{"ZUPERNET",  11585},
{"NETVITALITY",  11586},
{"EWOL-COM",  11587},
{"AS-ELDOSALES",  11588},
{"DATAWAVE-TECH",  11589},
{"CUMBERLAND-TECH",  11590},
{"KLONDYKE",  11591},
{"NET-ALAGOAS",  11592},
{"IBS-INTERNATIONAL",  11593},
{"COLLEGEEDGE",  11594},
{"NETSONIC",  11595},
{"BESTBUY",  11596},
{"SW19NET",  11597},
{"RECOL-CT",  11598},
{"NETV-AR",  11599},
{"TUTTLE-ASN",  11600},
{"VERTONET",  11601},
{"SDSMT-AS",  11602},
{"THE-SPA",  11603},
{"HIS-NOC",  11604},
{"ASN-XEDIA",  11605},
{"WOL-AS",  11606},
{"SD-STATE-UNIVERSITY",  11607},
{"FLYINGCROC",  11608},
{"NOVA",  11609},
{"INETNEBR-1",  11610},
{"WNONLINE",  11611},
{"CW-NC",  11612},
{"WPNET-AS",  11613},
{"VIP-CONNECT",  11614},
{"WEBEXNET",  11615},
{"PEAPOD",  11616},
{"COMSATMEX-ARIN",  11617},
{"REXALL-SUNDOWN",  11618},
{"INTRACO-ARIN",  11619},
{"SUCCEED-NET",  11620},
{"ASN-TOWNHALL",  11621},
{"INFOSPACE",  11622},
{"CTCN",  11623},
{"INTEREALTYNET",  11624},
{"VP63-ORG-ASN",  11625},
{"ULSTERNET",  11626},
{"LEXITRANS",  11627},
{"MPLANET-ASN1",  11628},
{"DOTSTAR-INTERNET",  11629},
{"AOL-RTC2",  11630},
{"AOL-DTC",  11631},
{"COMDISCO",  11632},
{"WALLDATA",  11633},
{"PROMUS-HOTEL-CORP",  11634},
{"ADPESNET-ASN",  11635},
{"ISIS2000",  11636},
{"SHADOWLINK",  11637},
{"MATCHLOGIC",  11638},
{"FSCNET",  11639},
{"GROUP-ONE-TRADING",  11640},
{"INTUIT-SD",  11641},
{"SICOAR-AR",  11642},
{"EBAY",  11643},
{"ACESSONET",  11644},
{"NASPERS",  11645},
{"NETWORKS-PLUS",  11646},
{"SENTEX-NET",  11647},
{"TCE-AS",  11648},
{"TECH-EDGE",  11649},
{"PLDI",  11650},
{"FREEIASN",  11651},
{"DATATONE",  11652},
{"ESS-PR-WEBMASTERS",  11653},
{"RR-BINGHAMTON-ASN-01",  11654},
{"RELIANCE-INSURANCE-GP",  11655},
{"CITICOM-AS",  11656},
{"LEGG-MASON-CORP-NET",  11657},
{"NCITECH",  11658},
{"KUMC",  11659},
{"BANKGATE",  11660},
{"AVHOSPITAL",  11661},
{"LASVEGAS-COM",  11662},
{"SERVERCOM-INC",  11663},
{"KEYTECH-LD",  11664},
{"IMG-AS",  11665},
{"NEXICOM-CA",  11666},
{"INTEGRITYONLINE7",  11667},
{"WCI-NET",  11668},
{"ASN-REALSELECT-HQ",  11669},
{"XPRESSTRADE",  11670},
{"BIGCHARTS",  11671},
{"GV-NET-AS-1",  11672},
{"LATIN1",  11673},
{"RADIAN-AUSTIN-001",  11674},
{"ZEBECDATA",  11675},
{"ACSBPS",  11676},
{"ITESM-RUV",  11677},
{"DOE-NTS-AS",  11678},
{"WGIS-ASN",  11679},
{"CPQ-ALF-IOMC",  11680},
{"NET2-CTCNET-ASN",  11682},
{"ELNK-CHARTER-CONN",  11683},
{"VLAN",  11684},
{"HNBCOL-AS",  11685},
{"ENA",  11686},
{"CITY-OF-HOPE",  11687},
{"WFRMLS",  11688},
{"NN-JORSM-CHI01",  11689},
{"PLANETCABLE",  11690},
{"EVOCATIVE",  11691},
{"NMSMN",  11692},
{"WEST-GA-NET",  11693},
{"USB-NET",  11694},
{"THESTREET-DOT-COM",  11695},
{"SIMLABCEDARGROVE",  11696},
{"NET-SUPERNEWS",  11697},
{"ATT-PWSS",  11698},
{"BMI-NET",  11699},
{"CA-WEDNET",  11700},
{"LITESPEED",  11701},
{"CONVERGENT",  11702},
{"AVENUEA-ASN",  11703},
{"POINT-OF-VIEW",  11704},
{"MOSQUITONET",  11705},
{"BHNET",  11706},
{"SCRR-11707",  11707},
{"FIRSTUSA",  11708},
{"VIC",  11709},
{"IPLUS",  11710},
{"NETMDC",  11711},
{"BELLSOUTH",  11712},
{"TRUSTEDNET",  11713},
{"ASN-UNEB",  11714},
{"WON-AS",  11716},
{"T-NET",  11717},
{"GREENAPPLE",  11718},
{"EATON-CORPORATION",  11719},
{"PCSHS-COM",  11720},
{"NTRNET-NC",  11721},
{"GISCO-ASN",  11722},
{"TP-NET",  11723},
{"AMARILLO",  11724},
{"JGROUP-AS",  11725},
{"GUIWARE1",  11726},
{"BMTS",  11727},
{"EGLNETWORKS-NET",  11728},
{"SMART",  11729},
{"PEPSI",  11730},
{"RFWAS",  11731},
{"IEI-LVGN-INET",  11732},
{"TBI-LTD",  11733},
{"CATALYST-SOLUTIONS",  11734},
{"NAS",  11735},
{"USD",  11736},
{"THEBOOK",  11737},
{"EPPG-DBQ",  11738},
{"DIGITAL-FOREST-NW",  11739},
{"PROGRESSIVE-AS",  11740},
{"BENTONREA",  11741},
{"MPACT-IMMEDIA",  11742},
{"EBSCO",  11743},
{"INVESTEC",  11744},
{"USNH",  11745},
{"WAGGENER-EDSTROM",  11746},
{"KAGI",  11747},
{"TYLERNET",  11748},
{"ITHINK",  11749},
{"ARGENTINA-ON-LINE-SA",  11750},
{"REDEPINHASRTE",  11751},
{"SOFTONE",  11752},
{"PA-ONLINE",  11753},
{"GUS",  11754},
{"WAYMARKCOMM",  11755},
{"BITSTORM-INC",  11756},
{"WHIRLPOOL-ASN",  11757},
{"APPNET-FALLSCHURCH1",  11758},
{"WHISTLE-AS",  11759},
{"INETONE-BLUE",  11760},
{"3RD-MILLENNIUM",  11761},
{"NET-CONNECTION",  11762},
{"SAFECONNECT-INC-ASN",  11763},
{"PANAMSAT-NET",  11764},
{"OTMP",  11765},
{"AIS-AS",  11766},
{"IMC-ASSOCIATES",  11767},
{"M1CR0WAREH0USE",  11768},
{"MOBILENETICS-LA-GW1",  11769},
{"NET56",  11770},
{"AMES-DEPT-STORES",  11771},
{"US-TELECOM",  11772},
{"UTMDACC",  11773},
{"CYPRESSCOMM",  11774},
{"ABTECH",  11775},
{"CONEN",  11776},
{"AUTOFUSION",  11777},
{"FRONTLINE-ASN",  11778},
{"MCC-GROUPZ",  11779},
{"CORPLINK",  11780},
{"AUTO-ICMI-100",  11781},
{"AS-BIZNESSWEB",  11782},
{"SDRDC",  11783},
{"ASN-AV8",  11784},
{"BROADWAY-BANDWIDTH",  11785},
{"SOLINFO-AS-01",  11786},
{"PACOURTS-AS",  11787},
{"FRANKLINDAVIS-ASN1",  11788},
{"BALLISTIC",  11789},
{"RANDOMHOUSE",  11790},
{"DIGSIGTRUST",  11791},
{"BRIDGESTONE-FIRESTONE",  11792},
{"NEXTREND-COM",  11793},
{"NCWEB-AS",  11794},
{"989STUDIOS",  11795},
{"WINBRIGHT-NET",  11796},
{"VNU-MIS",  11797},
{"ERILAB",  11798},
{"FULLWAVE",  11799},
{"DOMAIN-ASN",  11800},
{"OGRL",  11801},
{"CIASC",  11802},
{"QUOTECOM",  11803},
{"THIRD-RAIL",  11804},
{"FORTNOCS",  11805},
{"LEEPFROG",  11806},
{"ABMINTERNET",  11807},
{"UIDAHO",  11808},
{"NET-ERAU-PRC",  11809},
{"DELIAS-AS",  11810},
{"BOONE-NET",  11811},
{"ELIANCE",  11812},
{"CDC-NORTH-AMERICA",  11813},
{"IGS-GTA",  11814},
{"COOPVGG-COM-AR",  11815},
{"SETAR",  11816},
{"STAFFORDNET",  11817},
{"SMITH-ASSOC",  11819},
{"ZOOMNET",  11820},
{"BLAUTECHNOLOGYGROUP",  11821},
{"SOWESTWEB",  11822},
{"LORDABBETTCO",  11823},
{"CAREERBUILDER",  11824},
{"JDFI-AS",  11825},
{"RISS2",  11826},
{"WSU-AS",  11827},
{"SOINET",  11828},
{"CADENCE",  11829},
{"ICENETCR",  11830},
{"CLAIMCARD",  11831},
{"EBI-COMM",  11832},
{"KA-NET-INTERNET-SVCS",  11833},
{"DREXEL-ASN",  11834},
{"SULBBS",  11835},
{"ICNET-ASN",  11836},
{"SAWNET",  11837},
{"IOWA-LEGISLATURE",  11838},
{"LOGICAREINC",  11839},
{"NSI-REGISTRY-AS",  11840},
{"LINKLINE",  11841},
{"AS-REGAL",  11842},
{"EXPRESS-NEWS",  11843},
{"NEWSITE-BRASIL",  11844},
{"DPBOL",  11845},
{"INFOHOUSE",  11846},
{"MIDMAINE",  11847},
{"MMIND-NET",  11848},
{"DATACOMNET",  11849},
{"MAGSNETLLC",  11850},
{"PICTUREVISION-ASN",  11851},
{"ALANET",  11852},
{"ASN-INTERNAP-BLK",  11853-11855},
{"ASN-ECI",  11856},
{"AEGONUSA",  11857},
{"CM2COM",  11858},
{"DDS-INC",  11859},
{"IMAGINEX",  11860},
{"INTELLIGENT",  11861},
{"NORTHPOINT",  11862},
{"PLU",  11863},
{"VISTO1937",  11864},
{"PC-PROS1",  11865},
{"SCTCORP",  11866},
{"PRIMUSTEL",  11867},
{"INRNET",  11869},
{"AMWAY-CORPORATION",  11870},
{"CINERGY-ASN",  11871},
{"SYRACUSE-UNIVERSITY",  11872},
{"MC2-AS",  11873},
{"BOWMANCAPITAL",  11874},
{"IANA-VLUSA",  11875},
{"ARCC868",  11876},
{"FROGNET",  11877},
{"LFGLLC",  11878},
{"MEDSCAPE",  11879},
{"LEASE-PROPHET",  11880},
{"SHREVENET",  11881},
{"ERIENET",  11882},
{"ASN-SOFTDISK",  11883},
{"JPSOS-ARIN",  11884},
{"COMMMED",  11885},
{"BEYOND",  11886},
{"PIONEER-HI-BRED-INTL",  11887},
{"INTERCABLE-NET-CORE",  11888},
{"IVANET-NYC",  11889},
{"IVANET-LA",  11890},
{"MEGAVISION",  11891},
{"NATCOMPSYS",  11892},
{"LOLIGO-ASN",  11893},
{"GUESSINC",  11894},
{"EZNET-ASN1",  11895},
{"MCAINFO",  11896},
{"RELTEC",  11897},
{"ESSEXCOMP",  11898},
{"SYMET",  11899},
{"DATACRUZ",  11900},
{"TRADINGEDGE-SM",  11901},
{"WORLD-LINK",  11902},
{"ACTIONWEB",  11903},
{"ALLENTEL",  11904},
{"BIDSPLUS-ABCADVISORS",  11905},
{"WISPLB1",  11906},
{"MSXI-INET",  11907},
{"ATCTELEPORTS",  11908},
{"BRWNET",  11909},
{"DIRECTLINK",  11910},
{"BANKOFNEWYORK-AS",  11911},
{"TAMUSIBT-NET",  11912},
{"STARSTREAM",  11913},
{"HUMONGOUS",  11914},
{"VOICE-NET-SOLUTIONS",  11915},
{"UNDP",  11916},
{"I-SITES-AS",  11917},
{"INTERTEX-1",  11918},
{"ONSI-NET2",  11919},
{"UNK-AS",  11920},
{"SECREL",  11921},
{"RBN",  11922},
{"GNOFN-LFN",  11923},
{"ISG-LC",  11924},
{"SIGNALCORE",  11925},
{"YMP",  11926},
{"ADVANCE-GW",  11927},
{"TW-TRADEPUBLISHING",  11928},
{"K2-DESIGN",  11929},
{"FUSION-FISERV",  11930},
{"DELGROUP-AS",  11931},
{"PACKETENGINES",  11932},
{"ILI-NET",  11933},
{"IPERFORM",  11934},
{"ASN-XSTREAM",  11935},
{"LIFECYCLESYSTEMS",  11936},
{"TRX-ARIN",  11937},
{"NET-SENTRY",  11938},
{"MATHWORKS",  11939},
{"DIRECTSCOM",  11940},
{"ZI-NET",  11941},
{"LCONN",  11942},
{"GLOBE",  11943},
{"WEBTRENDS-CORP",  11944},
{"IGSI",  11945},
{"MANCHESTER-EQUIPMENT",  11946},
{"TRININET",  11947},
{"JOURNEYCOM",  11948},
{"CYBERBEACH",  11949},
{"AIRSWITCH",  11950},
{"MCSP",  11951},
{"NASDINC",  11952},
{"DSN-MO-IL",  11953},
{"VIRTUALIS",  11954},
{"SCRR-11955",  11955},
{"NOAA-NWN",  11956},
{"CACHEFLOW-AS",  11957},
{"WIR-INT-RES",  11958},
{"OMNETTECH",  11959},
{"INFOCOM-ETECSA",  11960},
{"MIDRIVERS",  11961},
{"GLOBESET-ASN",  11962},
{"ASN-PENNWELL",  11963},
{"OREGRADNET",  11964},
{"PANDACOMM-AS",  11965},
{"GLOBALREACH-ASN",  11966},
{"ESPER-SYSTEMS",  11967},
{"DBT-SOUTH-FLORIDA-01",  11968},
{"PYTH-COMM",  11969},
{"VCI-MDVL",  11970},
{"PFIZERNET-GROTON",  11971},
{"HELUS",  11972},
{"INTRACORP",  11973},
{"CALLTECH",  11974},
{"WM",  11975},
{"FIDN",  11976},
{"NORTHLINK-NET-LLC",  11977},
{"VEGAS",  11978},
{"BLUENET",  11979},
{"BDO-SEIDMAN",  11980},
{"SPECIALSYSTEMS",  11981},
{"SCOTTANDSTRING",  11982},
{"ACCESSHUBNET",  11983},
{"NETWALK",  11984},
{"ASN-SSA",  11985},
{"RIO-COMM",  11986},
{"INDYWEB",  11987},
{"SURFSIDEINTERNET",  11988},
{"SOUTHNET",  11989},
{"IMPULSE",  11990},
{"IGRCORP",  11991},
{"INTEGRATED-SYSTEMS",  11992},
{"BBINTERNET",  11993},
{"DELANET-COM",  11994},
{"OHSU",  11995},
{"LOBOIS",  11996},
{"DASM",  11997},
{"PNB",  11998},
{"HSACORP-NET",  11999},
{"FMR-AS4",  12000},
{"INTERNET-TRADELINE",  12001},
{"MCC8900MCHENRY",  12002},
{"INTEGRATELECOM",  12003},
{"ASN-SUD-EDU",  12004},
{"SC-AS",  12005},
{"OSA",  12006},
{"RAYASN",  12007},
{"ULTRADNS",  12008},
{"EONI",  12009},
{"API-NETWORKSERVICES1",  12010},
{"ACG",  12011},
{"CYBERREALM",  12012},
{"FAUNET",  12013},
{"INDIGONETWORKS01",  12014},
{"SUNFLOWER-CABLEVISION",  12015},
{"HEART-COMM-AS",  12016},
{"SERVICEMETRICSASN",  12017},
{"OOCL-SJC",  12018},
{"ARSNET-LJ-1999",  12019},
{"ASCINET",  12020},
{"HHES",  12021},
{"HANOVERDIRECT",  12022},
{"PENSAT-NET1",  12023},
{"ASN-ACN",  12024},
{"WHITEPINESOFTWAREEAST",  12025},
{"SIGECOM",  12026},
{"IKON-TS",  12027},
{"MMINTERNET",  12028},
{"COWTOWNNETDFW",  12029},
{"PACIFIC-ONLINE-PON",  12030},
{"LORD-CORP",  12031},
{"APLDIGITAL",  12032},
{"ASN-ANW",  12033},
{"MIDINET-MEX01",  12034},
{"DIALACCESS-ISP",  12035},
{"DIXIE-NET",  12036},
{"FDIC-GOV",  12037},
{"CSI-7206",  12038},
{"TIMEINC",  12039},
{"OGDEN",  12040},
{"CONNECTIONSUSA",  12041},
{"MPTELECOM",  12042},
{"CANDLE",  12043},
{"WVINET",  12044},
{"PACIFIC-TELEKEY",  12045},
{"CSC-UOM",  12046},
{"AUDIOVOX",  12047},
{"GDEXONLINE",  12048},
{"ONLINETODAY",  12049},
{"TELOCITY",  12050},
{"ESCONDIDO-CA",  12051},
{"VFC",  12052},
{"DISCOVERY-NET",  12053},
{"BNYCS",  12054},
{"CASTLEONLINE",  12055},
{"IBLP",  12056},
{"SUMTERNET",  12057},
{"TRAVELSCAPE",  12058},
{"ILAP",  12059},
{"ASCENTNETWORKING",  12060},
{"24HOURFITNESS",  12061},
{"DECISIONONE",  12062},
{"FLYNT-DIGITAL",  12063},
{"COXFIBERNET-HR",  12064},
{"AMERISTAR",  12065},
{"TRICOM",  12066},
{"SHAWNEELINK",  12067},
{"MOORE-BCS-EXTRANET",  12068},
{"REV-NET-TECHNOLOGIES",  12069},
{"EZYNET",  12070},
{"ASN-KU-AS",  12071},
{"SNI",  12072},
{"CCSINET-1",  12073},
{"ISERVE-INC",  12074},
{"JACOBS",  12075},
{"HOTMAIL-AS",  12076},
{"COMMUNITECH-NET",  12077},
{"THE-ICEHOUSE",  12078},
{"AIRTOUCH-CELLULAR",  12079},
{"DCCI-NOC",  12080},
{"GREENHECK",  12081},
{"BNS-AS",  12082},
{"KNOLOGY-NET",  12083},
{"T3-LINK",  12084},
{"ENCOREMUSICCOMPANY",  12085},
{"UNREAL-AS",  12086},
{"SALSGIVER",  12087},
{"MCDONALDCOMPUTERCORP",  12088},
{"MIDWESTACCESS",  12089},
{"NET-AAA",  12090},
{"CITEC-ASN",  12091},
{"LODGENET",  12092},
{"UWATERLOO",  12093},
{"WALKABOUT",  12094},
{"NACK",  12095},
{"AMPNET-ASN",  12096},
{"MASSCOM",  12097},
{"UNIONBANKOFCAL",  12098},
{"HITTER-NET-1",  12099},
{"RIFKIN-VA-BEDFORD-ASN",  12100},
{"EMS",  12101},
{"OPSS",  12102},
{"KEYNOTE",  12103},
{"WLCI-1",  12104},
{"ISAT",  12105},
{"CORBIS",  12106},
{"UNEX-AS",  12107},
{"AS-SCREAMINGMEDIA",  12108},
{"CALGATE",  12109},
{"SOUNDSCAN",  12110},
{"AVISTA",  12111},
{"MCTCNET-NET",  12112},
{"SKYLYNX-FRESNO",  12113},
{"BARNESANDNOBLE-COM",  12114},
{"D2000",  12115},
{"FHLB",  12116},
{"GEEKTECH",  12117},
{"WVU",  12118},
{"BITWISESYSTEMS",  12119},
{"IDEAL",  12120},
{"IASERVICE",  12121},
{"CYBERSOUTH10-18-93NET",  12122},
{"1972IVANCAMETOEXIST",  12123},
{"THORN",  12124},
{"N2H2",  12125},
{"PWI-NET",  12126},
{"TELEFONICA-SAL",  12127},
{"TFSMD-RV-001",  12128},
{"123NET",  12129},
{"ENOREO",  12130},
{"IJ-NET",  12131},
{"MEDIASTREAM-ASNBLK1",  12132},
{"LISCO",  12133},
{"FMB-BANK",  12134},
{"PROINTERNET-DO-BRASIL",  12135},
{"E-NET-BR",  12136},
{"BABYCENTER",  12137},
{"VICOR",  12138},
{"AMNET",  12139},
{"CNI",  12140},
{"EPOCHWIDE-01",  12141},
{"SULLIVAN-CROMWELL",  12142},
{"STARTEL-AS",  12143},
{"NET-TEL",  12144},
{"COLORADOSTATEUNIV",  12145},
{"MVS-NET",  12146},
{"AMERICANBACKHAULERS",  12147},
{"CLEMSONU",  12148},
{"CHI-STAFFORD1-NET",  12149},
{"COTELNET",  12150},
{"ESAT-ORG",  12151},
{"ASN-BISYS-BPS",  12152},
{"SLSS-ASN1",  12153},
{"INFOUSA",  12154},
{"RR-ORLANDOFLORIDA-01",  12155},
{"STSN-SLC-UT-US",  12156},
{"TRADINGEDGE-NJ",  12157},
{"NAL-GO-LAS-ASN",  12158},
{"SECURITIESAMERICA",  12159},
{"IMAGINET",  12160},
{"HUALNOR-AS",  12161},
{"COMTEX-GW-SEATTLE",  12162},
{"BNSI",  12163},
{"JBX-COM",  12164},
{"XACTWARE",  12165},
{"OWC-NET",  12166},
{"SYBERCOM",  12167},
{"MII-XPC",  12168},
{"IBM-BRS-SERVICE",  12169},
{"GALILEO",  12170},
{"AREA-BANCHSHARES-CORP",  12171},
{"UA",  12173},
{"FUSIVE-COM",  12174},
{"YELMNET",  12175},
{"GOVPX-ASN",  12176},
{"CMSIJAX-01",  12177},
{"INTERNAP-2BLK",  12178-12182},
{"RTC-ASN",  12183},
{"FORRESTER-RESEARCH",  12184},
{"AS-INOW",  12185},
{"US-NET-SOLUTIONS",  12186},
{"MTAHQ1",  12187},
{"MYNA",  12188},
{"SHOWNET-HSTF-AS",  12189},
{"OOCL-NET",  12190},
{"IN-MOTION",  12191},
{"ASN-AMERITRADE-2",  12192},
{"BANXQUOTE",  12193},
{"NEXTLECNET",  12194},
{"FAME-AN",  12195},
{"PRISM-CSI",  12196},
{"DRUGSTORE-COM",  12197},
{"THE-NETWORK-GROUP",  12198},
{"UUNET-RD-AS",  12199},
{"PEACHTREESOFT",  12200},
{"SCIENT-AS",  12201},
{"INTERLNK-NETWORK",  12202},
{"ASTORIA-FEDERAL-SL",  12203},
{"SCN-NET",  12204},
{"ARC-NY",  12205-12216},
{"UPS",  12217},
{"USAGLOBALLINK",  12218},
{"GMSNET-ASN",  12219},
{"NET-CREATIONS",  12220},
{"SCOTTSAVE-COM",  12221},
{"AKAMAI",  12222},
{"PRCO",  12223},
{"CROSSROADS-ACCESS",  12224},
{"SDCYBER",  12225},
{"INTRIA-HP",  12226},
{"ASN-PROBOOST",  12227},
{"NCD-AS",  12228},
{"SAS-WHQ",  12229},
{"OKBRIDGE",  12230},
{"CONWAYCORP",  12231},
{"XPR",  12232},
{"TOTATEL-AS",  12233},
{"ASN-UUNET-INT",  12234},
{"COVE-AS-01",  12235},
{"GOMEZNET",  12236},
{"WMA-NET",  12237},
{"AECOM-CCSI",  12238},
{"GLINX1",  12239},
{"ACCUWEATHER",  12240},
{"GRIP",  12241},
{"OCELOT",  12242},
{"WEBSERVE-AS",  12243},
{"ECOM",  12244},
{"ADAPTIVEBROADBAND",  12245},
{"JTC",  12246},
{"ASN-MICROHOUSE",  12247},
{"CCO-PLATINO",  12248},
{"YUBACITY",  12249},
{"UNITEDBANK",  12250},
{"INVISION",  12251},
{"ATT-PERU",  12252},
{"LAMBESIS",  12253},
{"THINKLINK",  12254},
{"IMMUNEX",  12255},
{"CITYLINQ",  12256},
{"DGC",  12257},
{"YEBO-AS",  12258},
{"FGINET",  12259},
{"KRAMER-CEILLEY",  12260},
{"DEKALB",  12261},
{"RR-CINCINNATI-ASN-01",  12262},
{"LAKEHEADUNIVERSITY",  12263},
{"NETIZEN-ISP",  12264},
{"SDSNY-1",  12265},
{"STORERUNNER-AS",  12266},
{"HORWATH",  12267},
{"DEXSTA",  12268},
{"HWWILSON-UUNET-ATT",  12269},
{"RR-TEXAS-ELPASO-ASN",  12270},
{"SCRR-12271",  12271},
{"BELLSOUTHONLINE",  12272},
{"TRUELINK",  12273},
{"FENICS",  12274},
{"INTERNET-CONNECT",  12275},
{"TRISTAN",  12276},
{"TRACON",  12277},
{"SX",  12278},
{"FC-1",  12279},
{"NTCOR-NET",  12280},
{"APAC-AS",  12281},
{"SELECTRONICS",  12282},
{"RITSYS001",  12283},
{"CSOLUTIONS",  12284},
{"ONE-ELEVEN",  12285},
{"VISIONONE",  12286},
{"CYBER-QUEST",  12287},
{"GBGM",  13312},
{"ABCS-COM",  13313},
{"DIALPOINTNC",  13314},
{"HBSNET",  13315},
{"SESNET-BUE",  13316},
{"RA-PS-NET-21",  13317},
{"JUJUYTEL",  13318},
{"S-I-S",  13319},
{"MEDIALAB-LTDA",  13320},
{"BROADWAY-BANDWIDTH2",  13321},
{"FMR-AS3",  13322},
{"FMR-AS2",  13323},
{"EPC-INC",  13324},
{"STOMI",  13325},
{"TUFTS-UNIVERSITY",  13326},
{"EKU",  13327},
{"VALCORECOMMUNICATIONS",  13328},
{"ISC",  13329},
{"WISCONSINGAS",  13330},
{"IBROADCAST",  13331},
{"SYSTEMIP-DALLAS",  13332},
{"NAUTICOM-NET",  13333},
{"MCG-IX-1",  13334},
{"AGENCYWORKS",  13335},
{"ASN-WR-COM",  13336},
{"WI-INET",  13337},
{"HARBORNET2",  13338},
{"FUSION",  13339},
{"TIMESYNC-001",  13340},
{"TRANQUILITY",  13341},
{"VISTAINFO",  13342},
{"SCRR-13343",  13343},
{"MUNINET",  13344},
{"ROCKYNET-COM",  13345},
{"WIZARDCO",  13346},
{"INTELLISWITCH",  13347},
{"IBT-R",  13348},
{"SPEEDEX-ASN",  13349},
{"WEB-SERVICES-GROUP",  13350},
{"B-U-C",  13351},
{"C-S-S-C",  13352},
{"NETSTREAM",  13353},
{"INTERTEK",  13354},
{"TEXASRRIASN",  13355},
{"INNERX",  13356},
{"CONVOY",  13357},
{"CITIPAGE",  13358},
{"ISPCHANNEL",  13359},
{"TBSHC",  13360},
{"ACPG",  13361},
{"PCWASN1",  13362},
{"LANDMARK-SYSTEMS-CORP",  13363},
{"COX-SD",  13364},
{"AAC",  13365},
{"CHGNET",  13366},
{"SCRR-13367",  13367},
{"JCP",  13368},
{"EFAX-AS",  13369},
{"NORTHWEST-INTERNET",  13370},
{"COMMERCEONE",  13371},
{"FEDERATEDINV",  13372},
{"MERCK-MEDCO",  13373},
{"IAP",  13374},
{"PAYLESS-ASN",  13375},
{"MERRILL-CORPORATION",  13376},
{"CLAIRCOM-AS",  13377},
{"TCTTECH",  13378},
{"BVIG-ORLANDO-FACILITY",  13379},
{"ASN-CUST",  13380},
{"CMETNET",  13381},
{"EVOLV-ADAPTIVE",  13382},
{"SPEEDGATE-NET",  13383},
{"DCRNET",  13384},
{"COMCAST-TELECOMM",  13385},
{"TNS-NET",  13386},
{"MEDIAGENERAL",  13387},
{"EGYPTIAN-TELEPHONE",  13388},
{"NETSOL-TECH",  13389},
{"RADIKS-AS",  13390},
{"UNOS",  13391},
{"EMSCORP1",  13392},
{"AGAPE",  13393},
{"CTGINC",  13394},
{"TFP-WEB",  13395},
{"HRD-INFOSY",  13396},
{"ITLNET",  13397},
{"K12LINK",  13398},
{"MICROSOFT-SMD",  13399},
{"CHERNOFFDIAMOND",  13400},
{"STARWOOD-HOTELS",  13401},
{"PURPLE",  13402},
{"ALAWEB-INTERNET",  13403},
{"GESTALT-ASN",  13404},
{"AS-OCNET",  13405},
{"VALUENET-CORP",  13406},
{"CTC-BGP2",  13407},
{"SIERRALAKES",  13408},
{"PDX",  13409},
{"MSTRARIN-1",  13410},
{"AFSIP",  13411},
{"VULCAN-NORTHWEST",  13412},
{"NEARPOINT",  13413},
{"FIRSTNET-NETWORK",  13414},
{"LUMIX",  13415},
{"R-GREENBERG-ASSOC",  13416},
{"SFX-ENTERTAINMENT",  13417},
{"MAXLINKCOM",  13418},
{"2ACCESS-NET",  13419},
{"SBCIS-LUBKTX",  13420},
{"SBCIS-ABLNTX",  13421},
{"SBCIS-BUMTTX",  13422},
{"WORLDINTERNET",  13423},
{"INTERCITY",  13424},
{"JUNO-DC-1",  13425},
{"JUNO-DC-2",  13426},
{"SOFTCOM-RANCHO",  13427},
{"CSI-INTERNET-ACCESS",  13428},
{"MUSC",  13429},
{"AVC-ASN",  13430},
{"MILLENNIUM-AS",  13431},
{"COXCOMM-LAS-VEGAS",  13432},
{"COXNET",  13433},
{"CORVELCORP",  13434},
{"MORELLI",  13435},
{"BRAVE",  13437},
{"WCO-NET",  13438},
{"OVIS-INC",  13439},
{"SAT",  13440},
{"SCOTIABANK",  13441},
{"SHAMAN-AS",  13442},
{"VIPTX-NET",  13443},
{"ATTAIN-DIRECT",  13444},
{"ACTIVE-TOUCH",  13445},
{"AS-NETZERO",  13446},
{"NEXTCARD-SC",  13447},
{"IOWN",  13448},
{"FRICK",  13449},
{"AAFC",  13450},
{"CHECKOUTAS1",  13451},
{"DTPI-HANCOCK",  13452},
{"ASN-PCH-PAIX-AS",  13453},
{"RIGHTSXCHANGE",  13454},
{"NETMONGER",  13455},
{"TRANSARC-AS",  13456},
{"CPSC",  13457},
{"TOTALSPORTS",  13458},
{"PCSOLUTION",  13459},
{"EARTHCAM",  13460},
{"THEOCC",  13461},
{"IEEE",  13462},
{"CHASE",  13463},
{"QXRZRICANET6669",  13464},
{"OUTLOOK-NET",  13465},
{"CHANNELPOINT",  13466},
{"POWERSCOURT",  13467},
{"CUSTOMREVOLUTIONS",  13468},
{"ARCSYSTEMS",  13469},
{"USAONLINE-1",  13470},
{"DAISYTEK",  13471},
{"TRADEWEB-ASN",  13472},
{"INTOP-NET",  13473},
{"BGBA-AR",  13474},
{"UTI-SYSTEMS",  13475},
{"MONTANA-STATE-UNIV",  13476},
{"FAYETTEVILLE",  13477},
{"LAFAYETTE",  13478},
{"ANET-ACCESSUS",  13479},
{"ASN-GUELPHHYDRO",  13480},
{"DRFASN",  13481},
{"ZWEIG-DIMENNA",  13482},
{"SYMIX-NET1",  13483},
{"NAME-SPACE",  13484},
{"CIBERLYNX-DB-FL",  13488},
{"ORBITEL-01",  13489},
{"ACCESSTOLEDO",  13490},
{"MCSI",  13491},
{"OBJECTSPACE",  13492},
{"ASN-COX-OC",  13493},
{"MORNINGSTAR-COM",  13494},
{"NTTB",  13495},
{"1TRAVEL",  13496},
{"SHERWOOD-ASN",  13497},
{"COLDSPRINGHARBORLAB",  13498},
{"GSI-ONLINE",  13499},
{"ATLANCOMP",  13500},
{"OARNET-AS-2",  13501},
{"RELIASTAR-FINANCIAL",  13502},
{"VBW",  13503},
{"ASN-LANET-GP1",  13504},
{"SANDATA-INC",  13505},
{"USDEPTOFTHETREASURY",  13506},
{"KMARTCORPORATION",  13507},
{"EOTEK",  13508},
{"TLPEAST-ASN1",  13509},
{"OMSDAL-ASN1",  13510},
{"ITXC",  13511},
{"REALNAMES-AS",  13512},
{"INET-SYSTEMS-ATL",  13513},
{"ISP-CANOPUS-SA",  13514},
{"PBAC-TNT",  13515},
{"PCNLP",  13516},
{"BAKER-MCKENZIE",  13517},
{"GR8",  13518},
{"MEDIAPOSTJINKS",  13519},
{"UEIC-BGP",  13520},
{"INFONETISP-BO",  13521},
{"PUC-PR",  13522},
{"SARAIDE",  13523},
{"ARW-MEL",  13524},
{"TCSN-NET",  13525},
{"FACETIME",  13526},
{"99MAIN",  13527},
{"IXPRES-US",  13528},
{"INTEGRITYONL32",  13529},
{"DANA-CORPORATION",  13530},
{"EQUINIX-RS-VA",  13531},
{"MVX-COM",  13532},
{"HJ-NET",  13533},
{"ADVANCE-PARADIGM",  13534},
{"CDEX",  13535},
{"MHCOMMUNICATIONS",  13536},
{"ITXC-2",  13537},
{"TELEHOUSE",  13538},
{"ASAP-BGP-60089",  13539},
{"SAFECO",  13540},
{"MENTORGRAPHICS",  13541},
{"ACEP-AS",  13542},
{"CPCNET-NET",  13543},
{"PSIMEX",  13544},
{"POWERHOSTING",  13545},
{"VT-RICHMOND-AS",  13546},
{"UPRAMP",  13547},
{"TELECT-LL",  13548},
{"MERCURY",  13549},
{"GOON-LINE",  13550},
{"AVENEW",  13551},
{"SMN-COPORATE",  13552},
{"CNET-BGP2",  13553},
{"TRADESHARP",  13554},
{"CENTENNIALBOCES",  13555},
{"IVANET-MIAMI",  13556},
{"NETIN",  13557},
{"ZIMMERMAN",  13558},
{"COPLEYPRESS-AS",  13559},
{"SCRR-13560",  13560},
{"IOLT",  13561},
{"GTENS",  13562},
{"VIN",  13563},
{"BELLSOUTHINTERNATIONL",  13564},
{"ORVIS",  13565},
{"SIEBERT",  13566},
{"KMB1",  13567},
{"MEDIAWIRE",  13568},
{"UTRADE",  13569},
{"AGCO-ASN",  13570},
{"VIDEOTRON-LTEE",  13571},
{"PLANETRX",  13572},
{"SFX-NETWORK-GROUP",  13573},
{"EASTKYNET",  13574},
{"GEOCAST",  13575},
{"SDNET",  13576},
{"IBEAM",  13577},
{"BUTLERMFG",  13578},
{"C-N-D-C-Y-T",  13579},
{"TPI-NET",  13580},
{"SOFTWAREHOUSE",  13581},
{"NETLINK",  13582},
{"I-CONNECTION",  13583},
{"ASN-MAXITEL-BR",  13584},
{"POWERNET-ASN",  13585},
{"MONTANA-COMM-NETWORK",  13586},
{"CITIDIRECT-GCS",  13587},
{"PAYCHEX",  13588},
{"PANAMSAT-1",  13589},
{"AAC-TEC",  13590},
{"METRORED",  13591},
{"ADVERTISNET",  13592},
{"MEDIA3",  13593},
{"MTC",  13594},
{"XPLORIUM",  13595},
{"TOKAIBANKOFCA",  13596},
{"OLE-990608",  13597},
{"FREIGHTLINER-CORP",  13598},
{"APPNET",  13599},
{"GUSTA",  13600},
{"ASN-INNERHOST",  13601},
{"CYBERZONE-INC",  13602},
{"SERVETHEWEB",  13603},
{"ENGRAM",  13604},
{"EDC",  13605},
{"1-WEB",  13606},
{"WEBZONE-ASN",  13607},
{"DC-IS-EVV1",  13608},
{"CHOICEONECOM",  13609},
{"NWP-NET",  13610},
{"CDC",  13611},
{"PG-E-GT-NW",  13612},
{"TRANSPARENT",  13613},
{"ALLWEST",  13614},
{"CTII",  13615},
{"DXSTORM-AS",  13616},
{"REGENCY-VOICE-SYSTEMS",  13617},
{"CARONET-ASN",  13618},
{"BASELINEFINANCIALWTC",  13619},
{"BIZNET",  13620},
{"REINSURANCE",  13621},
{"UREACH",  13622},
{"ACCESSCOM-COM",  13623},
{"MORTGAGE",  13624},
{"PHENIXCABLE-NET",  13625},
{"WALGREESN",  13626},
{"DIALTONE-INTERNET",  13627},
{"CSINET-AS1",  13628},
{"TELERGYNET",  13629},
{"CSXT-AS-1",  13630},
{"THEBIGSTORE",  13631},
{"VWRSP",  13632},
{"OOCL-CHS",  13633},
{"OOCL-CHI",  13634},
{"SYNTELLECT",  13635},
{"NEC-RESEARCH-INST",  13636},
{"NETSTAR",  13637},
{"METALINK",  13638},
{"WAVENETINC",  13639},
{"USDC",  13640},
{"PDMNET",  13641},
{"FORUM-FINANCIAL",  13642},
{"CANAL13",  13643},
{"IDSWEB",  13644},
{"USDATA",  13645},
{"CIGNAL",  13646},
{"WORLD-DATA-INC",  13647},
{"VIRGINIA-LOTTERY",  13648},
{"ASN-RNB",  13649},
{"HUMMINGBIRD-1",  13650},
{"EMPNET",  13651},
{"SPDCC",  13652},
{"EMPLOYEASE-ASN",  13653},
{"T3MEDIA",  13654},
{"WORLDACCESS",  13655},
{"OPTIMAWEB",  13656},
{"E-GATE-COMMUNICATIONS",  13657},
{"CNM-NETWORK",  13658},
{"INTERTECH",  13659},
{"BAGNI-ASBLK",  13661-13675},
{"ILAND-AS",  13676},
{"A-C-S",  13677},
{"PAETEC",  13678},
{"UP-GDL",  13679},
{"CITY-GUIDE-INTERNET",  13680},
{"AS-AESTUS",  13681},
{"INFOVIA-GT",  13682},
{"ACCESS-TECHNOLGIES",  13683},
{"ASN-MEDTRONIC-1",  13684},
{"NETPATH-NPAC01",  13685},
{"WTELENET",  13686},
{"TELEHUBINTER-NET",  13687},
{"PSEG",  13688},
{"NETO",  13689},
{"TEAM401K-AS",  13690},
{"800-COM-AS",  13691},
{"3KWORLD-GATEWAY",  13692},
{"NTS-ONLINE",  13693},
{"XECUNET",  13694},
{"AEP",  13695},
{"NETROM",  13696},
{"DSIS",  13697},
{"SHAWINDUSTRIES",  13698},
{"KIHONLINE-AS",  13699},
{"CAPITAL-NETWORKS",  13700},
{"BENCHMARK-ELECTRONICS",  13701},
{"INGRAM-BOOK-GROUP",  13702},
{"NETSYSTECHINC",  13703},
{"FASTSERVE-NETWORK",  13704},
{"IDIRECT-MTL",  13705},
{"COMPLETEWEBNET",  13706},
{"NETWORK5",  13707},
{"ONR",  13708},
{"CMLSIS",  13709},
{"SYSTEMS-METHODS",  13710},
{"GEORGIA-PACIFIC",  13711},
{"SMUMN",  13712},
{"ACTN-ASN",  13713},
{"ASN-NVST",  13714},
{"NETADVANT",  13715},
{"HEWITT-ASSOCIATES",  13716},
{"EBC-ASN",  13717},
{"DIAGEO-NA-MPLS",  13718},
{"GOSPELCOM",  13719},
{"SONYONLINE",  13720},
{"INTERNETPICTURES",  13721},
{"INCOM",  13722},
{"TGCNET-NY",  13723},
{"SPARKSCOM",  13724},
{"EVANS-SUTHERLAND",  13725},
{"VISION-I-SYSTEMS-ASN",  13726},
{"SAW",  13727},
{"ICGSS",  13728},
{"DANCKER-AS",  13729},
{"LEWIS-COMP-SOLUTIONS",  13730},
{"BCHARRIS",  13731},
{"AXISPOINT-INC",  13732},
{"COL-NC-705A",  13733},
{"BEESKY",  13734},
{"SMARTWEB",  13735},
{"FACTUAL-DATA",  13736},
{"HP-LIS",  13737},
{"MRSTOCK-DOWNERS",  13738},
{"EQUITABLE",  13739},
{"HYPERNET-AS",  13740},
{"AMTECH",  13741},
{"DVNCINTERNET",  13742},
{"HEALTHSTREET",  13743},
{"SITESPECIFIC",  13744},
{"DAWSON",  13745},
{"THEMONEYSTORE",  13746},
{"MAAGNUM-AS",  13747},
{"SMN-WAGON",  13748},
{"EVERYONES-INTERNET",  13749},
{"TNSI-AS",  13750},
{"SUMMIT",  13751},
{"VICLINK",  13752},
{"BLACK-HOLE",  13753},
{"INFOCOM-CORP",  13754},
{"SPJC",  13755},
{"INFLOW-NET",  13756},
{"ING-NO-AMERICA",  13757},
{"AMERIX-ASN",  13758},
{"ASN-MIADORA",  13759},
{"CFN",  13760},
{"BSI",  13761},
{"HUNTERDOUGLAS",  13762},
{"CARDSERVICE",  13763},
{"NET-DAMARK",  13764},
{"NEDELCO",  13765},
{"NTWO-COM",  13766},
{"NW2-AA",  13767},
{"COLOBROKERS-COM",  13768},
{"SAVINGS-BANK-LIFE",  13769},
{"NEON-1",  13770},
{"BOOMERANG",  13771},
{"AMERITRADE-3",  13772},
{"INTERLINKS",  13773},
{"CORPBANCA",  13774},
{"MATHBOX",  13775},
{"QX-NET-ASN-1",  13776},
{"QTM-BENTONHARBOR",  13777},
{"JOHNSON-AND-JOHNSON",  13778},
{"BASISTECH",  13779},
{"NTNCOMMUNICATIONS",  13780},
{"HOPKINSVILLE",  13781},
{"FAFCO",  13782},
{"RADFORD-UNIV-AS",  13783},
{"AFOTEC",  13784},
{"TCCISP",  13785},
{"ARIN-LRBCG-5770",  13786},
{"CAPTECH",  13787},
{"USCOURTS",  13788},
{"INTERNAP-BLK3",  13789-13792},
{"MATTEL-HIA",  13793},
{"QCS",  13794},
{"SACHS-GROUP",  13795},
{"UCONN-ARIN",  13796},
{"BIZTRANS-TECHNOLOGY",  13797},
{"NETJAVA-NET",  13798},
{"POWERQUEST",  13799},
{"MOBILEDATA",  13800},
{"ASN-PROFESSO-NYC",  13801},
{"NRCASN",  13802},
{"E-SYNCNET",  13803},
{"MARKETDAY",  13804},
{"WORLD-COMMUNICATIONS",  13805},
{"NCRCORP",  13806},
{"IKON-TECHNOLOGY",  13807},
{"WEBPERFECT",  13808},
{"UAMS-ASN",  13809},
{"OAO",  13810},
{"MSLI",  13811},
{"1999FISHERSYS",  13812},
{"DITECH-COM",  13813},
{"ART-SJ-1",  13814},
{"11THENETCONNECTION720",  13815},
{"BLUEBONNET",  13816},
{"RWAY-NET1-SYRNY",  13817},
{"PHX-INTL-TELEPORT",  13818},
{"FWIN-NET",  13819},
{"BALLOU",  13820},
{"ACML",  13821},
{"UCASYS",  13822},
{"CALYX-USA",  13823},
{"VIGORIS-AS1",  13824},
{"FASTWEB",  13825},
{"E-OFFERING",  13826},
{"ASN-STEADFAST",  13827},
{"I2K",  13828},
{"HYPERION-SOLUTIONS",  13829},
{"PROPERTYFIRST",  13830},
{"NAS-COM",  13831},
{"ATG-COM",  13832},
{"ASN-NOS",  13833},
{"AGLRSC",  13834},
{"IMPSAT-ARG",  13835},
{"ISLAND",  13836},
{"P-ECOM",  13837},
{"LIVING",  13838},
{"HANDSPRING",  13839},
{"SHERIDAN-HEALTHCORP",  13840},
{"IHSENERGY-DENVER",  13841},
{"TXK-NET",  13842},
{"RESOURCEPHOENIX",  13843},
{"LL-NET",  13844},
{"WEBACCESS",  13845},
{"INTERACTIVEMARKETING",  13846},
{"ARINET",  13847},
{"ARIBA",  13848},
{"BRAZORIA-NET",  13849},
{"ENRONONLINE",  13850},
{"LIND",  13851},
{"UTILICORP",  13852},
{"NW-NETWORK",  13853},
{"JSE",  13854},
{"CFU-NET",  13855},
{"INFINETWORX",  13856},
{"ONLINEMAC",  13857},
{"COLUMBIAENERGYGROUP",  13858},
{"CERNER",  13859},
{"LFG",  13860},
{"ASN-NETAL",  13861},
{"RECOM-SYS",  13862},
{"ALVAKA",  13863},
{"UNIONPARTNERS",  13864},
{"HLPUSD-NET",  13865},
{"CCOUNTRY",  13866},
{"MYSIMON-CORPORATE",  13867},
{"PEAK",  13868},
{"IXC-TELECOM",  13869},
{"MINDFRAME",  13870},
{"TELEBYTE-NW",  13871},
{"TAMARACK",  13872},
{"KAPLAN",  13873},
{"OPENLINK",  13874},
{"PGEX",  13875},
{"DIGITALMATRIX",  13876},
{"WENDYS-DUBLIN",  13877},
{"DIGINET",  13878},
{"SITA-EQUANT-MPLSNET",  13879},
{"ACI-AS",  13880},
{"PARADOX",  13881},
{"HLIC",  13882},
{"BB-FAX-SERVER",  13883},
{"ASN-THEPLANET",  13884},
{"DUNDEE",  13885},
{"C-GATE2000",  13886},
{"CALLWAVE",  13887},
{"BEARCREEK-AS",  13888},
{"INTEX-SOLUTIONS",  13889},
{"SITESTREAM-01",  13890},
{"INTLINE-COM-INC",  13891},
{"BIPERFORMANCE-ASN",  13892},
{"ERAC-CORP",  13893},
{"SECUREWEBS",  13894},
{"WMG",  13895},
{"COBALTNETWORKS-AS",  13896},
{"CDC1",  13897},
{"LIBERTYENTERPRISES",  13898},
{"KRICKET",  13899},
{"WWW-SCIENCES",  13900},
{"WIZNET-ASN",  13901},
{"DKGINTERNET",  13902},
{"KCINET",  13903},
{"COSLINK",  13904},
{"MAJIQ",  13905},
{"AVTC",  13906},
{"JTC-SOUTH-AMERICA",  13907},
{"BLOOMBERG-700",  13908},
{"MESSAGEMEDIA-BLK1",  13909},
{"REGISTER",  13910},
{"TERA-BYTE",  13911},
{"COMMTOUCH-INC",  13912},
{"GIFTCERTIFICATES",  13913},
{"ASN-CDLBH-BR",  13914},
{"INNOLOG-ATC",  13915},
{"COSUSA-AS1",  13916},
{"NETMAGIC",  13917},
{"CITYOFTUCSON",  13918},
{"ALLDATA-NET01",  13919},
{"ASN-TGNT",  13920},
{"I-T-E",  13921},
{"CHIPSHOT",  13922},
{"CONVERGENCE",  13923},
{"IDS-UCI01",  13924},
{"CHEMICALDESK",  13925},
{"EMPIREONE",  13926},
{"ISI-IMT-E-TROOP",  13927},
{"DIGITALMATRIX2",  13928},
{"TECHNISYS",  13929},
{"UGO-NOC-ARIN",  13930},
{"CONVERGENT-2",  13931},
{"FIX-NET",  13932},
{"SHAWPITTMAN",  13933},
{"APUNET",  13934},
{"AMCHAMNET-BR",  13935},
{"SINTESOFT",  13936},
{"PACCOAST",  13937},
{"SSNC-AS",  13938},
{"IPEXPRESS",  13939},
{"SJCOE",  13940},
{"VISP",  13941},
{"CREDITCARDS",  13942},
{"YK-COMMUNICATIONS",  13943},
{"ASN-ENTERZONE",  13944},
{"TTSG",  13945},
{"WOLSI",  13946},
{"SILVERLINK-NET1",  13947},
{"PIXELON",  13948},
{"GAMESPY",  13949},
{"FSINET-AS",  13950},
{"CENTER-SEVEN",  13951},
{"BD-08-99",  13952},
{"NASDSL-AS",  13953},
{"CORPORATEEXPRESS",  13954},
{"VANKAMPEN",  13955},
{"FUTUREDONTICS",  13956},
{"ASN-NETSET",  13957},
{"LONGABERGER",  13958},
{"NETSCORP",  13959},
{"AOTECH",  13960},
{"ELI-COLO",  13961},
{"AS-HISPEED-1",  13962},
{"VALLEYNET-ISP",  13963},
{"SBCIS-TPKAKS",  13964},
{"SBCIS-FYTVAR",  13965},
{"RAZORFISH-NEW-YORK",  13966},
{"YESMAIL-ASN",  13967},
{"CAISO-NET-BLK",  13968},
{"NTOWN",  13969},
{"INSATEL-LATAM",  13970},
{"INDIVIDUALINVESTOR",  13971},
{"WADSWORTH-CENTER",  13972},
{"ASN-REACTION97",  13973},
{"R2KLLC",  13974},
{"HAVENSSTEEL",  13975},
{"STARCD",  13976},
{"SMARTHOMEBUY",  13977},
{"ITOOLCOM",  13978},
{"ATT-IPFR",  13979},
{"MAINECOAST",  13980},
{"MPIAS-COM",  13981},
{"INSYNQ-NET",  13982},
{"EPRIME",  13983},
{"BIT-NET",  13984},
{"SINEWAVE1",  13985},
{"ECSIS-HST",  13986},
{"IVANET-LONDON",  13987},
{"IVANET-FRANKFURT",  13988},
{"IES",  13989},
{"COUNTYOFORANGE",  13990},
{"CURINFO",  13991},
{"AMHEART",  13992},
{"MOTIVE-COMM",  13993},
{"OMU-1",  13994},
{"MBCC",  13995},
{"ECHOSTAR",  13996},
{"FLASHLINE",  13997},
{"SWMED",  13998},
{"MEGACABLE",  13999},
{"AXTELNET",  14000},
{"VISION-NET",  14001},
{"RAILINC",  14002},
{"SMS800-PRODUCTION-STL",  14003},
{"FORCE3",  14004},
{"Y2K-ICC",  14005},
{"BRANTHYDRO",  14006},
{"SOHOSKYWAY1",  14007},
{"OPTIKAINC-ORG",  14008},
{"INTERACTIONCOMM",  14009},
{"JACKHENRY",  14010},
{"DESIGNDATA",  14011},
{"PSGHS",  14012},
{"HEALTHAXIS-ASN",  14013},
{"CNRAIL-AS",  14014},
{"RWBECK-AS",  14015},
{"FAX2NET",  14016},
{"BNSF-AS",  14017},
{"EZLINK",  14018},
{"MORTICEKERNSYSTEMSINC",  14019},
{"FICOMNETWORK",  14020},
{"PSECU",  14021},
{"BBCOM",  14022},
{"AICS-NET",  14023},
{"DDCI",  14024},
{"EZL-DOT-COM",  14025},
{"DIALDATA",  14026},
{"ICS-INC",  14027},
{"FULBRIGHT-JAWORSKI",  14028},
{"DC-ECONET-ZW",  14029},
{"FINEP-AS",  14030},
{"SCXY",  14031},
{"IMATION",  14032},
{"LYNK",  14033},
{"MLMEDIA-AS",  14034},
{"BRADYSOLUTIONS-ASN",  14035},
{"AMERISERVE",  14036},
{"NESCROW",  14037},
{"SAVANTNET",  14038},
{"V-SPAN",  14039},
{"NEXTLINK-ASN1",  14040},
{"FRGP",  14041},
{"UNIVERSAL-INTERNET",  14042},
{"SCANSOURCE",  14043},
{"LEGION-WI",  14044},
{"ENVOY",  14045},
{"KCOL",  14046},
{"AMERIMARKETTECH1",  14047},
{"MEMPHIS-EDU",  14048},
{"GOLDEN-GATE-UNIV",  14049},
{"EVENSTREET",  14050},
{"RCSIS",  14051},
{"SPACEAGE",  14052},
{"DORSEYWRIGHT-ONE",  14053},
{"CYBERSTATION",  14054},
{"GRS-SAU",  14055},
{"SEI",  14056},
{"CODSL-ASN",  14057},
{"TROPITONE",  14058},
{"WEBLICATIONS",  14059},
{"NNCGATEWAY",  14060},
{"LIQUID-AUDIO",  14061},
{"MIDAMERICA-NET",  14062},
{"PAYNET-NETWORK",  14063},
{"IISG",  14064},
{"GSCOM",  14065},
{"DISPATCH",  14066},
{"1800DAYTRADE",  14067},
{"PLAYBOY-BLK-1",  14068},
{"TCSA",  14069},
{"PTN2",  14070},
{"COMMUNIQUE",  14071},
{"WASH-DC-CITY-GOVT",  14072},
{"CLICK-INTERCONNECT",  14073},
{"COLGATE",  14074},
{"VCRT",  14075},
{"REDHERRING",  14076},
{"ARSC",  14077},
{"CANNECT",  14078},
{"EZGOV",  14079},
{"FIRSTCOM-COLOMBIA",  14080},
{"COOLSAVINGS-2",  14081},
{"GLOBAL-ONLINE",  14082},
{"CITRIX-AS",  14083},
{"MULTIPHONE-NET1",  14084},
{"WIRED-ENTERPRISES",  14085},
{"LENDERS-SERVICE",  14086},
{"LOL",  14087},
{"WIU7",  14088},
{"CANNET",  14089},
{"NDTELCO",  14090},
{"DSM",  14091},
{"NJACCESS",  14092},
{"ITRIBE",  14093},
{"MASTERFINANCIAL",  14094},
{"WEBEXGC",  14095},
{"INDEXSTOCK",  14096},
{"TELUSA-AS",  14097},
{"L-I-T",  14098},
{"LIPSTREAM-ASN-001",  14099},
{"UCIX",  14100},
{"NTON-NGI",  14101},
{"JONCTION",  14102},
{"ACDNET-ASN1",  14103},
{"THENET-I2",  14104},
{"PEARLNET",  14105},
{"RAREMEDIUM1",  14106},
{"PCIWEST-PN001",  14107},
{"MAMAMEDIA",  14108},
{"SIAL",  14109},
{"GENESYS-ASN",  14110},
{"SALTEL",  14111},
{"NET-SECURENET-MTL",  14112},
{"EXPRESS-TECHNOLOGIES",  14113},
{"EMAGINATION",  14114},
{"AMALGAMATED-BSA",  14115},
{"BLUE-GENESIS",  14116},
{"TELSUR",  14117},
{"INTERTAINER",  14118},
{"UTMCK",  14119},
{"FINGERHUT",  14120},
{"CIBC-WORLD-MARKETS",  14121},
{"ASN-VECTOR",  14122},
{"SFSNET",  14123},
{"IPCC",  14124},
{"VIRTUALSELLERS",  14125},
{"WITNET",  14126},
{"ILAND",  14127},
{"BEDFORDNET",  14128},
{"NMIA",  14129},
{"ASN-SOUTHNET-AL",  14130},
{"DONET",  14131},
{"INTERNETGATEWAY",  14132},
{"ELIXISCORP",  14133},
{"NAVISITE-WEST-2",  14134},
{"NAVISITE-EAST-2",  14135},
{"PCCC",  14136},
{"MIDMICH",  14137},
{"REES",  14138},
{"PANDESIC-ONLINE",  14139},
{"INTERCHANGE",  14140},
{"AMX",  14141},
{"KEWILL-US",  14142},
{"GERALDSTEVENSINC",  14143},
{"ASN-CI",  14144},
{"SPECTRUM",  14145},
{"LEVENGER",  14146},
{"CNCI-NET1",  14147},
{"ENDINFOSYS",  14148},
{"ICONFITNESS-MAIN",  14149},
{"AMERICANISP",  14150},
{"ASN-ICI-ORG",  14151},
{"INTTEL-ASN",  14152},
{"SYNCOMMASN01",  14153},
{"HUDSONET",  14154},
{"RURAL-TELEPHONE-SVCCO",  14155},
{"SAN-MARCOS-INTERNET",  14156},
{"INTUIT-CANADA-EAST",  14157},
{"MBUSA-LTINET",  14158},
{"ROCKRIVERINTERNET",  14159},
{"WINFIRE",  14160},
{"LANDOLAKES",  14161},
{"PCENERGY",  14162},
{"SHEARMAN",  14163},
{"THEBIGLOAN",  14164},
{"COSMOZASN",  14165},
{"SOFTCOMCA",  14166},
{"MULTI-AD",  14167},
{"POTOMACNET-ASN",  14168},
{"MEAD",  14169},
{"CANONCITYSCHOOLS",  14170},
{"REEDTECH-GW01",  14171},
{"ADVANCED-PROJECTS",  14172},
{"ENTREVISION",  14173},
{"NCKCN",  14174},
{"HAWORTH",  14175},
{"SEACOVE",  14176},
{"PACKETXPRESS-NORTEL",  14177},
{"MCM-TELECOM-MEX",  14178},
{"ITSS-1",  14179},
{"INTERNETPRO-GAD",  14180},
{"MAUIGATEWAY",  14181},
{"EDATA",  14182},
{"UALR-ASN",  14183},
{"DATAGLYPHICS",  14184},
{"GC3",  14185},
{"NETCOM-S-A",  14186},
{"COMSATCOL",  14187},
{"ASHLANDFIBERNETWORK",  14188},
{"FIREDROP-SJ",  14189},
{"FUTURESHOP",  14190},
{"HSL",  14191},
{"RPII2122086500",  14192},
{"MCC-SYSTEMS",  14193},
{"VISTRANET11600SUNRISE",  14194},
{"LOFTNET",  14195},
{"CARDCOM-AS",  14196},
{"BEAR-COM",  14197},
{"ASN-NEVIS",  14198},
{"HARCOURT-SD",  14199},
{"AKOO",  14200},
{"TELETECH",  14201},
{"GEONET-MDE",  14202},
{"JUNIPER-NETWORKS",  14203},
{"TKSTELE",  14204},
{"WANC",  14205},
{"DPTI",  14206},
{"REDBACK",  14207},
{"KPCORP",  14208},
{"UT-CHATTANOOGA",  14209},
{"WNCLINK",  14210},
{"HUBSERV",  14211},
{"SANTA-CRUZ-EDNET",  14212},
{"MONTEREY-BAY-K12",  14213},
{"VALINUX",  14214},
{"REFLEX",  14215},
{"ISHIP",  14216},
{"DATAFRAMELO",  14217},
{"ASN-ECIS",  14218},
{"TRIBUTEINTL",  14219},
{"NWAISP",  14220},
{"ICSS",  14221},
{"MAVER",  14222},
{"NYSDOH",  14223},
{"PYGMY",  14224},
{"DELAWARE-ONLINE",  14225},
{"TWP-TAILWIND",  14226},
{"FORBIN-COM",  14227},
{"CVM-TROY",  14228},
{"WMS-CHICAGO",  14229},
{"CSW",  14230},
{"BDV-AS",  14231},
{"TELPINET",  14232},
{"ANCESTRY-INC",  14233},
{"ZFM-ANTEL-PANAMSAT",  14234},
{"STATE-NM-US",  14235},
{"NETPLIANCE",  14236},
{"PROPOINT",  14237},
{"ASR-ISP-01",  14238},
{"WIRELESSKNOWLEDGE",  14239},
{"PMC-AS-1",  14240},
{"NUTEL",  14241},
{"LOGICALSOLUTIONS",  14242},
{"SIGHTPATH",  14243},
{"T-ONE-INTERNET",  14244},
{"SEGAOADC",  14245},
{"CHEMDEX-AS",  14246},
{"SBIS-WACOTX",  14247},
{"PANJA-01",  14248},
{"MPSNET",  14249},
{"DATASYS",  14250},
{"MLSLI",  14251},
{"SCHOOLSPECIALTY",  14252},
{"TSSL",  14253},
{"AUNET-US",  14254},
{"CINNETIC",  14255},
{"GO-EASY-ACCESS",  14256},
{"EZ-NET",  14257},
{"ANYLOAN-CORP",  14258},
{"CAPITULOISP",  14259},
{"USROYALINS",  14260},
{"USNETWORK-ASN",  14261},
{"P-MAN",  14262},
{"DAKOTA-DIGITAL",  14263},
{"CONCOURSE-C",  14264},
{"US-TELEPACIFIC",  14265},
{"ECCINTERNATIONAL",  14266},
{"PTC",  14267},
{"BROOKMAYSMUSIC",  14268},
{"VA-DMV",  14269},
{"RADIOWAVE-COM",  14270},
{"LAMC-NET",  14271},
{"ACSNET",  14272},
{"ONLINE-RESOURCES",  14273},
{"NETEASE",  14274},
{"WEATHERNET",  14275},
{"CONNEXT-SEATTLE-WA",  14276},
{"NOKIAIPNET",  14277},
{"NORSTAN",  14278},
{"WEBCOMBO",  14279},
{"NETNATION",  14280},
{"MISSIONCRITICALLINUX",  14281},
{"NET21",  14282},
{"INHERENT-COM",  14283},
{"ROCKHURST",  14284},
{"ASNBANCOMERCANTIL-1",  14285},
{"TECNET-SA",  14286},
{"USAESOLUTIONS",  14287},
{"DURO-MPINET",  14288},
{"1SOURCE-TECHNOLOGIES",  14289},
{"ORGANIZER-SYSTEMS-INC",  14290},
{"KIVA-ANTIETAM",  14291},
{"DISCNET",  14292},
{"WPGINVEST",  14293},
{"LIBERTYTEL",  14294},
{"CWIA",  14295},
{"NETALLIANCE",  14296},
{"S1-PROD-DATA-CENTER",  14297},
{"EPA-NET",  14298},
{"ADP1",  14299},
{"BALT-VOIP",  14300},
{"BOS-VOIP",  14301},
{"NNJ-BELLATLANTIC-VOIP",  14302},
{"NYC-BELLATLANTIC-VOIP",  14303},
{"PHIL-VOIP",  14304},
{"WASH-VOIP",  14305},
{"GLAXO-WELLCOME",  14306},
{"WEBTANK",  14307},
{"OAG-WORLDWIDE",  14308},
{"G2ANET",  14309},
{"WAMNET-AS",  14310},
{"NEXTLINK-ASN2",  14311},
{"1-800CONTACTS",  14312},
{"BOSTONNETWORKS",  14313},
{"GW-SUPERIORTECHNICAL",  14314},
{"HDMPEARSON",  14315},
{"TWINNEYVILLE",  14316},
{"ACCNETWORKS",  14317},
{"PSINET-CL-ASN",  14318},
{"BDXP",  14319},
{"GENEX",  14320},
{"SERVICIO-UNITELLER",  14321},
{"ARLINGTON-CG",  14322},
{"AXIENT",  14323},
{"TAFG",  14324},
{"OSHEAN",  14325},
{"CONCEPT-NET",  14326},
{"PGE-ONLINE",  14327},
{"RRD",  14328},
{"OPEN-ACCESS-TECH",  14329},
{"DIGITAL-INSIGHT",  14330},
{"TCM-NETWORKS-0098",  14331},
{"MIDDLE-NET",  14332},
{"ON-RAMP-INDIANA",  14333},
{"LEARNINGSTATION",  14334},
{"CONTERRA-COMM",  14335},
{"ESUHSD",  14336},
{"FWHT-FL1",  14337},
{"PROSOLUTIONS-ASNUM",  14338},
{"SADESA",  14339},
{"SALESFORCE",  14340},
{"MAILBITS",  14341},
{"ADN-INTERNET",  14342},
{"I2-TECHNOLOGIES",  14343},
{"MSDW-CLIENTSERV",  14344},
{"CRESCENT-TECH",  14345},
{"OESPNET",  14346},
{"POWER-NET",  14347},
{"URI-AS",  14348},
{"KCPLASN-1",  14349},
{"BLASTNET-ISP",  14350},
{"SOUTHWESTERN-EDU",  14351},
{"AS-ONEM-CORP",  14352},
{"IGO",  14353},
{"XPLAIN",  14354},
{"GETRELEVANT",  14355},
{"MAPICS-INC",  14356},
{"VETCENTRICASN1",  14357},
{"MACKENZIEFINANCIAL-AS",  14358},
{"ITS-USNET",  14359},
{"OBSIDIAN",  14360},
{"HOPONE-DCA1",  14361},
{"CCIS",  14362},
{"OUTFITTERS",  14363},
{"HARDING-LAWSON",  14364},
{"BIZNET-2",  14365},
{"MTNCABLE",  14366},
{"USLINK-PEQUOT",  14367},
{"INTERWEB-NETWORKS",  14368},
{"NMAX",  14369},
{"EUREKA-BROADBAND",  14370},
{"PBNET",  14371},
{"RPAWIRELESS",  14372},
{"UTMB",  14373},
{"AGRI-VALLEY",  14374},
{"ALTRA-ENERGY",  14375},
{"SIS-EAST",  14376},
{"PSI-PANAMA",  14377},
{"INTERLINK-1",  14378},
{"N-T-C",  14379},
{"OPUS-CREATIVE-GROUP",  14380},
{"CATERPILLAR-INC",  14381},
{"OIB",  14382},
{"OPTICNET-AS",  14383-14388},
{"COMPSOL-NET",  14389},
{"CORENET",  14390},
{"PROBIZ",  14391},
{"ABQ2-DOM",  14392},
{"SILVERBACKTECH",  14393},
{"KBCFP-NYC",  14394},
{"FHLBATL",  14395},
{"IVANET-BURLINGTON",  14396},
{"IDG-WEB",  14397},
{"AUTODESK",  14398},
{"FLASHNET-AS3",  14399},
{"IWIDGETSNETWORKS",  14400},
{"ROLLINS-LEASING-CORP",  14401},
{"VWPT-AS",  14402},
{"TUCKER-USA",  14403},
{"DIRECT-ALLIANCE",  14404},
{"NEXTLINK-ASN4",  14405},
{"NEXTLINK-ASN3",  14406},
{"NEXTLINK-ASN5",  14407},
{"AIAC",  14408},
{"TRIP-COM-AS",  14409},
{"DALTON",  14410},
{"WWCDLR-ASN",  14411},
{"VIRTUALBANK",  14412},
{"AVT-MEDIALINQ",  14413},
{"AMERICAN-MOBILE",  14414},
{"DOWNTOWN-XCEED",  14415},
{"BRAVO-NET",  14416},
{"LANDSTAR",  14417},
{"DTCC-AS1",  14418},
{"CREATIONSNET",  14419},
{"ANDINATEL-AS",  14420},
{"ADVANCED-MEDICINE",  14421},
{"SIMPLIX",  14422},
{"MEDIAPASSAGE",  14423},
{"ASN-ADERO",  14424},
{"MENDO-COMMUNITY-NET",  14425},
{"NET1-INC",  14426},
{"INFOTECSOLUTIONS",  14427},
{"EXTENDEDCARE",  14428},
{"SONOROUS-NETWORKS",  14429},
{"NCT-BACKBONE",  14430},
{"LOGICALCONSULTING",  14431},
{"CMEDIAINCNET",  14432},
{"SUNY-OSWEGO-ASN",  14433},
{"VITELCOM",  14434},
{"INTERNETWEBS3201",  14435},
{"INTUIT-MV",  14436},
{"FLEMING",  14437},
{"USA-CHOICE-OIL-CITY",  14438},
{"ROGERS-CORP",  14439},
{"CYTECH",  14440},
{"WEBHOSTING",  14441},
{"LIBERATE",  14442},
{"OTS-YOURACCOUNTS",  14443},
{"MAM207",  14444},
{"AOSYS-ABQ",  14445},
{"CNT-ASN",  14446},
{"IHIGH",  14447},
{"DERIVION-CORP",  14448},
{"IDIGI-NET",  14449},
{"GEICO01",  14450},
{"GEICO02",  14451},
{"IOS-ASN",  14452},
{"NETSURF",  14453},
{"CYBERGNOSTIC",  14454},
{"COMDISCO-1",  14455},
{"PUC-CA",  14456},
{"TELEMIGCELULAR-BR",  14457},
{"CCPC-ASN-1A",  14458},
{"TELECOMP",  14459},
{"RADISYS-HILLSBORO",  14460},
{"NTSL",  14461},
{"CYSHOP-COMMERCE",  14462},
{"TDKOM",  14463},
{"RINET",  14464},
{"BURLEE",  14465},
{"FREEMARKETS",  14466},
{"KUA-NET",  14467},
{"ACENETX",  14468},
{"DSLDESIGNS",  14469},
{"ATT-PWSS-2",  14470},
{"ENCODING",  14471},
{"ASN-FIBRETECH",  14472},
{"KNET",  14473},
{"CONCENTREX",  14474},
{"PREV-TRAV",  14475},
{"PANDANET",  14476},
{"SOLBRIGHTASN",  14477},
{"BAYTSP",  14478},
{"TBTOR155",  14479},
{"DBCUSA-AS1",  14480},
{"SERVICEMERCHANDISE",  14481},
{"BENECO",  14482},
{"INLAND",  14483},
{"EOS-AS",  14484},
{"KEWILLERP-JOBBOSS",  14485},
{"OXY-AS",  14486},
{"VIDEONETWORKS",  14487},
{"CAPITALTHINKING",  14488},
{"DENDRITE",  14489},
{"EXTRNET",  14490},
{"FGLIFE",  14491},
{"HI-SPEED",  14492},
{"INTERACTIVE-SEARCH",  14493},
{"EPINIONS",  14494},
{"NASDAQTRM",  14495},
{"AGILENT-AS",  14496},
{"EID-1",  14497},
{"EQUITY-PLUS-FINANCIAL",  14498},
{"HUSSMANN-CDC",  14499},
{"INTERDESIGNS",  14500},
{"CIHOST",  14501},
{"TRAVEL-NET",  14502},
{"HOOVERS",  14503},
{"EUREKA-BROADBAND-2",  14504},
{"ISLC",  14505},
{"JAFFCOMM-NET01",  14506},
{"ALTAIRE",  14507},
{"OPTICNET",  14509},
{"COREEXPRESS",  14510},
{"POLAR-COMMUNICATIONS",  14511},
{"EDDIEBAUER-1",  14512},
{"OPTICNET-2",  14513},
{"PHJW",  14514},
{"STATENET",  14515},
{"INVESTEC-2",  14516},
{"REACHONE",  14517},
{"FLEISHMAN-HILLARD",  14518},
{"EBONDTRADE",  14519},
{"NEWINET",  14520},
{"PACIFIC-LIFE",  14521},
{"SATNET-SA",  14522},
{"LEWISIG-ASN-R01",  14523},
{"ICELEBRATE",  14524},
{"EPIDEMIC",  14525},
{"AGILLION-ASN1",  14526},
{"CABELAS",  14527},
{"OPTICNET-ASN-BLOCK",  14528-14531},
{"CBOSS",  14532},
{"CSC-FSG",  14533},
{"CYBERAGENCY-FTL",  14534},
{"DIPER",  14535},
{"ASN-SOL",  14536},
{"MOHAWK-INTERNET-AS",  14537},
{"INTELLISWITCH-NY",  14538},
{"COTELLIGENT",  14539},
{"CERTICOM",  14540},
{"GE-AIRCRAFT-ENGINES",  14541},
{"HOLLYWOOD-INTERACTIVE",  14542},
{"SRT-ASN",  14543},
{"RETEK",  14544},
{"MACI",  14545},
{"MIDWESTINTER",  14546},
{"RPTK",  14547},
{"LISTEN-SF-1",  14548},
{"CYBRTOWN",  14549},
{"MIDDLEBURY-COLLEGE",  14550},
{"ALTERNET-SA-AS",  14551},
{"SKILLLEARNING",  14552},
{"PUC-RIO",  14553},
{"NY-INTERNET-CENTER",  14554},
{"KENDARA",  14555},
{"INBUILDING",  14556},
{"ACCESS-ORLANDO",  14557},
{"DANDY",  14558},
{"GLOBUSANDCOSMOS",  14559},
{"IHOLDING",  14560},
{"VIDEON-AS",  14562},
{"MICROCAST",  14563},
{"ELECTROLUX",  14564},
{"TEKNET",  14565},
{"ACS-INTERNET",  14566},
{"CLIPSCOM",  14567},
{"NAVL",  14568},
{"MP3-COM",  14569},
{"CYBERCONNECTICS",  14570},
{"IGB",  14571},
{"GLOBAL-ROUTE",  14572},
{"KEYSPANENERGY-NE1",  14573},
{"RTCCOM",  14574},
{"RIVALS-COM",  14575},
{"VIPIS-NET",  14576},
{"PTNC",  14577},
{"WMJBGABL99",  14578},
{"EDWARDJONES",  14579},
{"PTELCORP",  14580},
{"UAI",  14581},
{"BUSINESSONLINE",  14582},
{"COLONY1",  14583},
{"BAKER-AND-TAYLOR",  14584},
{"CIFNET",  14585},
{"FITCHIBCA-NEWYORK",  14586},
{"GIANT-CR",  14587},
{"COMSAT-INTERNATIONAL",  14588},
{"DIGITALWEST-NET1",  14589},
{"DESERTSCHOOLS-ASN-1",  14590},
{"SWPNET",  14591},
{"NORTHGATE-ASN",  14592},
{"BRAND-INSTITUTE",  14593},
{"INNET",  14594},
{"ECONEX",  14595},
{"COMPUTERCONCEPTS",  14596},
{"DETM10777",  14597},
{"FCS-AS",  14598},
{"DNC-INTERNET-SERVICES",  14599},
{"SNG-NET",  14600},
{"INTRACOMCORP",  14601},
{"GENEVACO-1",  14602},
{"INTERNET-PR",  14603},
{"NFRONT-ATL",  14604},
{"DETTER-DESIGN",  14605},
{"TRENDWEST",  14606},
{"OTA-LTD",  14607},
{"AFS-1",  14608},
{"EQUINIX-CORP-AS",  14609},
{"FUSAFS",  14610},
{"VANGUARD",  14611},
{"2656MAINSTREET",  14612},
{"TELECOMRG",  14613},
{"FUZION",  14614},
{"FUTURESTEP-CA",  14615},
{"IVANET-AMSTERDAM",  14616},
{"MICROTECH-TEL",  14617},
{"TSICABLENY",  14618},
{"RANGENET",  14619},
{"INTRACONNECT-1",  14620},
{"NPSNET",  14621},
{"CORP-BUYANDHOLD",  14622},
{"QUADNETCOMM",  14623},
{"PSINET-BRAZIL",  14624},
{"RISCO",  14625},
{"COLUMBIA-HCA",  14626},
{"PARKCITYNET",  14627},
{"SMUD-ELECTRIC",  14628},
{"SOLUCIAN",  14629},
{"AIM-MANAGEMENT",  14630},
{"CALIFORNIA-GOV-PR",  14631},
{"MAGSNOW",  14632},
{"TRANSTEL",  14633},
{"SPINNNET",  14634},
{"GASONICS",  14635},
{"INTERNAP-BLK4",  14636},
{"PRESTIGE-CABLE",  14637},
{"IMARK-COM",  14638},
{"ALLEGIANCE-AS1",  14639},
{"COMPGEEKS",  14640},
{"HANNAFORD",  14641},
{"WORLDSTREAM",  14642},
{"PULSITY",  14643},
{"IONCOMPUTER",  14644},
{"ACTIVEWEBSERVICES",  14645},
{"LOGANREC",  14646},
{"NETOS-ASN1",  14647},
{"RANDFINANCIAL",  14648},
{"NEBS",  14649},
{"VANT",  14650},
{"RSLCOMCA-1",  14651},
{"COSTARGROUPASN",  14652},
{"C1-INET",  14653},
{"WAYPORT",  14654},
{"INTERNET-WISCONSIN",  14655},
{"VIVIANCE",  14656},
{"WEBSERVEPRO",  14657},
{"SPACEY-NET",  14658},
{"LIVEPERSON",  14659},
{"INTERSURVEY-217691",  14660},
{"LAURENTIANU",  14661},
{"EPSONAR",  14662},
{"CLEARNET",  14663},
{"UNETE-ARGENTINA",  14664},
{"REWARDSPLUS",  14665},
{"MENDELSON-ASSOCIATES",  14666},
{"MYLINUXISP-01",  14667},
{"G-BONE-NET",  14668},
{"RINC-NET",  14669},
{"SMARTNET",  14670},
{"TACONIC",  14671},
{"CARROLL-NET",  14672},
{"SITESMITH",  14673},
{"DILHARD",  14674},
{"PARABLEGROUP",  14675},
{"DEVELOPMENTDIMENSIONS",  14676},
{"CLICK-NETWORK",  14677},
{"BROKERSYS",  14678},
{"WEBMASTER",  14679},
{"TELERA-AS",  14680},
{"ROOTSWEB",  14681},
{"GGS",  14682},
{"INTRAWARE-ORINDA",  14683},
{"LOUISVILLENOC",  14684},
{"COUNTRYWIDE-CREDIT1",  14685},
{"YISI",  14686},
{"NATIONALLIFE",  14687},
{"GVSI",  14688},
{"AGEDWARDS",  14689},
{"PEORIAUSD11",  14690},
{"AEACU-ROUTEDOMAIN",  14691},
{"PSINETSTI",  14692},
{"WESTCON-1",  14693},
{"LOGICTIER",  14694},
{"HOMESEEKERS",  14695},
{"E-ASSIST",  14696},
{"VDOTNET",  14697},
{"CLEARSOURCE",  14698},
{"BTCBCI",  14699},
{"GAZOOBA",  14700},
{"COLLECTIVETECH",  14701},
{"ARGONNE-WEST-AS",  14702},
{"MAQSNET",  14703},
{"COMSCAPE-TELECOM",  14704},
{"INTER-TAINMENT",  14705},
{"LB1",  14706},
{"AS-MADGEUS",  14707},
{"WEBHOST-ASN",  14708},
{"BELLSOUTHPANAMA",  14709},
{"COX-OMAHA",  14710},
{"NETWORK-TRAINING",  14711},
{"WHITNEY",  14712},
{"ICI-HSNP",  14713},
{"CONCERT-ASN",  14714},
{"NICORINC",  14715},
{"LIGHTHOUSE",  14716},
{"ECINET",  14717},
{"GSIT220E42",  14718},
{"BCENTRAL-AS",  14719},
{"WARPSPEED",  14720},
{"IPING",  14721},
{"WEBCONNECTRIXINC",  14722},
{"BMS-BR",  14723},
{"PROCARERX",  14724},
{"KEMPER-TECHSERVICES",  14725},
{"BLUE-MOUNTAIN-ARTS",  14726},
{"TECHLINE",  14727},
{"PCRDATACOM",  14728},
{"TIER1NET",  14729},
{"CAVTEL01",  14730},
{"NETWAY",  14731},
{"THESTREET-COM-AS2",  14732},
{"BARCAP-NORTH-AMERICA",  14733},
{"LASERLINK-NET",  14734},
{"CREATIVE-CHANGE",  14735},
{"VELOCITYENTERPRISES",  14736},
{"CCCOES",  14737},
{"DIGIKEY",  14738},
{"WCFU-UTAH",  14739},
{"ETBYTE-NET",  14740},
{"NETWORKS-WEB-HOSTING",  14741},
{"INTERNAP-BLOCK-4",  14742-14745},
{"SUMMIT-SOLUTIONS",  14746},
{"SHOPNOW",  14747},
{"DAYCO",  14748},
{"AVGO",  14749},
{"SIERRA-TEL-INTERNET",  14750},
{"CONVERSENT",  14751},
{"FREEDOM-NET",  14752},
{"SMARTMONEY",  14753},
{"TELGUA",  14754},
{"MHO",  14755},
{"PROGNOSTICS",  14756},
{"DSW-NET",  14757},
{"CAJUNNET-ASN",  14758},
{"EICISA",  14759},
{"CCMCOMPUTER",  14760},
{"MOCC",  14761},
{"AMGEN",  14762},
{"CJI",  14763},
{"SUNGARD",  14764},
{"TECHE",  14765},
{"ABCIMAGING",  14766},
{"THEAIMSGROUP",  14767},
{"STOCKSCOPE-AS1",  14768},
{"I-SOLUTIO",  14769},
{"APPLIEDCARD",  14770},
{"STONEAGE",  14771},
{"SOURCEALLIANCE",  14772},
{"ZAPME-30",  14773},
{"CCMNET",  14774},
{"C-COR",  14775},
{"INKTOMI-LAWSON",  14776-14781},
{"EVELOCITY-NETWORK",  14782},
{"SCANSOFT",  14783},
{"CPR",  14784},
{"POGO",  14785},
{"NETCHIEF-NET",  14786},
{"ASN1GUARD23ATTWINSTAR",  14787},
{"LALLY-MCFARLAND",  14788},
{"DONORNETWORK",  14789},
{"CENTRILNET-CMI",  14790},
{"ASN-CENTRAMEDIA-ISP",  14791},
{"DST-ASN",  14792},
{"INTEGRITYONLINE12",  14793},
{"AIRLIANCE",  14794},
{"BCI",  14795},
{"CVC-INTERNET",  14796},
{"OUTPURCHASE",  14797},
{"WESTARTECH",  14798},
{"EXP-EC2000",  14799},
{"METRATECH",  14800},
{"HPU",  14801},
{"AVEO-INC",  14802},
{"SEGACOM",  14803},
{"DYNAMEX",  14804},
{"WAVO-CORP",  14805},
{"BUY-COM",  14806},
{"TRADING-EDGE",  14807},
{"PONCACITY-NET",  14808},
{"CCI-INTERNET",  14809},
{"ADCOM",  14810},
{"HELLMANN-US",  14811},
{"CIBOLAES",  14812},
{"GRAYBARON",  14813},
{"TRVNET",  14814},
{"MYCFO-ASN",  14815},
{"AMDAHL-CORP",  14816},
{"SCL-SHAW",  14817},
{"CYBERMESA-ASN",  14818},
{"AMER-COLLEGE-OF-CARD",  14819},
{"IPIX",  14820},
{"SOFTBOOK",  14821},
{"MSKCC",  14822},
{"FLARE",  14823},
{"NEWSOUTH",  14824},
{"CONSONUS",  14825},
{"AVANA-ASN1",  14826},
{"WSDOT-ASN",  14827},
{"HBCI-1999TA",  14828},
{"ASN-IWON",  14829},
{"NOTXWEBSERINC",  14830},
{"ANSRTHINK",  14831},
{"VAIX-NET",  14832},
{"AUTOVIA",  14833},
{"PAIRODOXX",  14834},
{"RENTECH",  14835},
{"CITY-OF-TORONTO",  14836},
{"ART-LA-1",  14837},
{"ELDORADOBGP4-1",  14838},
{"SARCOM",  14839},
{"CONEX-BR",  14840},
{"ANDALE-COM",  14841},
{"ZCOM-LA",  14842},
{"SCREENHOUSE",  14843},
{"I-100",  14844},
{"UNS-RED-TCP-IP",  14845},
{"NBCI",  14846},
{"RCG-INFO-TECH",  14847},
{"INTERVU-NET",  14848},
{"CLEARWORKS",  14849},
{"KLEINTECH-INTERNET-AS",  14850},
{"SYSTEM-INTEGRATORS",  14851},
{"DCX",  14852},
{"AOL-MTC3",  14853},
{"AOL-MTC2",  14854},
{"AOL-MTC1",  14855},
{"PINKDOT-AS1",  14856},
{"MOTOROLA-ICSD",  14857},
{"HISNET",  14858},
{"CLASSIC",  14859},
{"SC2000AS",  14860},
{"ISC-GROUP",  14861},
{"OCEANEERING",  14862},
{"VISITALK",  14863},
{"GREENWICH",  14864},
{"LIBERTY-ENTERPRISES",  14865},
{"TELIC",  14866},
{"DIVEO-COLOMBIA",  14867},
{"COPEL",  14868},
{"ADAM-COM",  14869},
{"INTRAWARE-SC4",  14870},
{"YOUNG-AMERICA",  14871},
{"PROCURE-NET",  14872},
{"C3-COMMUNICATIONS",  14873},
{"OSBORNGROUP-HQ01",  14874},
{"COMPFIRSTONLINE",  14875},
{"QUOKKASPORTS-CORP",  14876},
{"VIRTUALINC",  14877},
{"FLINTHILLS",  14878},
{"SWBT",  14879},
{"HOOKUP-JOPLIN",  14880},
{"MICROJURIS",  14881},
{"QUAD-GRAPHICS",  14882},
{"TRACI",  14883},
{"ADVANCEDACCESS",  14884},
{"SATSOP",  14885},
{"ORIGINBR",  14886},
{"RETAIL-TECHNOLOGIES",  14887},
{"FNBOMAHA-AS",  14888},
{"DNRG-DAL1",  14889},
{"HAYBOONET",  14890},
{"EACOM",  14891},
{"STOCKPOINTSF",  14892},
{"BOTTOMLINE-TECH",  14893},
{"BANK-UNITED",  14894},
{"LAWSON-SOFTWARE",  14895},
{"CSNOC",  14896},
{"E-ACCESS",  14897},
{"ODINTERNET",  14898},
{"SYLLOGISTICS-REDMOND",  14899},
{"USLEC-CORP-1",  14900},
{"TAOSNET-NEWMEX",  14901},
{"VISTAVDI",  14902},
{"BLCLINKS-FLINT-MI-POP",  14903},
{"IBMUSF-RTP",  14904},
{"CAMPUSPIPELINE",  14905},
{"NETSITE",  14906},
{"HONESTY",  14907},
{"TNT-NM",  14908},
{"PNG-TELECOM",  14909},
{"CAREERPATH",  14910},
{"MOMENTUM-ONLINE",  14911},
{"IBMUSF-SBY",  14912},
{"MEDIA-NEWS-GROUP",  14913},
{"CONNECTSOUTH",  14914},
{"HYPERION-SOLUTIONS-SV",  14915},
{"JUNROO",  14916},
{"FBS-NET",  14917},
{"IMAGINET-ASN",  14918},
{"NETLEDGER",  14919},
{"BPOP",  14920},
{"CATALYST-CAPITAL-COM",  14921},
{"NOWDOCS",  14922},
{"CM-TEL",  14923},
{"NAP-PAIX-VA1",  14924},
{"DELTA",  14925},
{"IBMUSF-BLD",  14926},
{"CREATIVELABS",  14927},
{"GEOSERVE",  14928},
{"CECOMET",  14929},
{"EMSPHONE",  14930},
{"STPAUL-W-AS",  14931},
{"CELERA-GENOMICS",  14932},
{"LONDONCONNECT",  14933},
{"VSTECHNOLOGY",  14934},
{"MONTICELLO",  14935},
{"SVG",  14936},
{"DOCUMENT-SYSTEMS",  14937},
{"BET-AS",  14938},
{"NAVINET-CANADA",  14939},
{"OPTICNET-3",  14940-14949},
{"NFOR",  14950},
{"REL-625",  14951},
{"AC-CHISO",  14952},
{"SWS-AS",  14953},
{"FHCRC",  14954},
{"N-V-C",  14955},
{"BROADVISION-ASN",  14956},
{"HOALE",  14957},
{"NATIONS-KS",  14958},
{"MODISPRO",  14959},
{"DATA-PRO-ACCT-SOFTWAR",  14960},
{"RBMG",  14961},
{"NCR-252",  14962},
{"TMCS",  14963},
{"GOINVEST",  14964},
{"FBR",  14965},
{"LARRAIN-VIAL",  14966},
{"IOS-INT-SOL",  14967},
{"LESEA-01",  14968},
{"IOL1263",  14969},
{"NAP-COLOMBIA",  14970},
{"RAF",  14971},
{"AWWWSOME-NET-SERVICES",  14972},
{"SUMMIT-COMPUTERS",  14973},
{"VIRTUAL-INC",  14974},
{"ABN-AMRO-NA",  14975},
{"AZLINK",  14976},
{"CORNERSTONE-ALLIANCE",  14977},
{"COMPUTER-CLEARING",  14978},
{"SSA",  14979},
{"RTCOL",  14980},
{"KIRKLAND-ELLIS",  14981},
{"TURBOWAVE-ASN",  14982},
{"XUMA",  14983},
{"GLGT",  14984},
{"COMMONWEALTH",  14985},
{"WPEDUC",  14986},
{"NII",  14987},
{"BTC-GATE1",  14988},
{"BROADVIEWNET",  14989},
{"AVNET-NA",  14990},
{"ELKNET",  14991},
{"CRYSTALTECH",  14992},
{"BRICKROAD",  14993},
{"I3INC-ASN",  14994},
{"BROADBAND-OFFICE",  14995},
{"NYSEG-AS",  14996},
{"NORTHPOINT-COMM",  14997-14998},
{"SKYNETWORKSAS01",  14999},
{"TERABEAM",  15000},
{"ALLEGRIX",  15001},
{"DRUGSTORE",  15002},
{"TEGRIS-CORP-ASN2",  15003},
{"ROWECOMNA1",  15004},
{"NATIONAL-CITY-CORP",  15005},
{"IBMUSF-STL",  15006},
{"NPC-REGIONS-4-MW-5-SE",  15007-15008},
{"UNISYS-OUTSOURCING",  15009},
{"IT-DIMENSIONS",  15010},
{"DESKMEDIA-1",  15011},
{"IINC",  15012},
{"LINMOR-TECH-INC",  15013},
{"EDPWW-EXECOMM",  15014},
{"GLOBALINK",  15015},
{"NORANDEX-REYNOLDS",  15016},
{"CONTACT-EAST",  15017},
{"DATAPEX-ASN",  15018},
{"TVTAXI",  15019},
{"WSOL",  15020},
{"NOOSH",  15021},
{"ADEPT-ZA",  15022},
{"QUIK-US",  15023},
{"PACKET-WORKS",  15024},
{"CTF",  15025},
{"ACXIOM",  15026},
{"ACTEL-COMM-MOBL",  15027},
{"QVTECH",  15028},
{"GEORGE-COM",  15029},
{"CORREIONET",  15030},
{"VELOCET",  15031},
{"AAAIS",  15032},
{"GENERATION-21",  15033},
{"TIBA-SA",  15034},
{"SILICON-VALLEY-N",  15035},
{"AXISTEL",  15036},
{"KEMET-ELECTRONICS",  15037},
{"CAMBINC-1",  15038},
{"MSCDIRECT-1",  15039},
{"CYBERSURFERS",  15040},
{"BILLPOINT-AS",  15041},
{"WHAC",  15042},
{"GWIS",  15043},
{"NCG-THECONNECTION",  15044},
{"KITTELSON",  15045},
{"DVIC",  15046},
{"NONSTOP",  15047},
{"METLIFE-ASN",  15048},
{"NETSECURITYTECH",  15049},
{"VPNET",  15050},
{"DVIN",  15051},
{"NETPLUS-ASN",  15052},
{"NETBYTEL",  15053},
{"TELNEXT-UK",  15054},
{"TELNEXT-NA",  15055},
{"NEXTLINK-ASN9",  15056},
{"NEXTLINK-ASN6",  15057},
{"NEXTLINK-ASN8",  15058},
{"BLOODSTOCK-RESEARCH",  15059},
{"NEXTLINK-ASN7",  15060},
{"ICBC-INET",  15061},
{"LOSCH",  15062},
{"PWEH-ASN",  15063},
{"INTERNET-ARGENTINA-1",  15064},
{"SLIC-COM-INTERNET",  15065},
{"SKYNET-COLOMBIA-1999",  15066},
{"BURR-BROWN",  15067},
{"CLICKSHIPDIRECT",  15068},
{"SBA",  15069},
{"HNV-AS",  15070},
{"BAX-BGP",  15071},
{"DYNAMICS",  15072},
{"APPNETNYC",  15073},
{"VIEWSONIC",  15074},
{"WIRELESSCOMMPAN",  15075},
{"MAE-DULLES",  15076},
{"MAG-TEK",  15077},
{"ASN-TELELATINA-AR",  15078},
{"CARCLUB-COM",  15079},
{"EDESTINY",  15080},
{"ASN-CROS-1",  15081},
{"PRIMEINTER",  15082},
{"INFOLINK-MIA-US",  15083},
{"CONVERGYS",  15084},
{"REALITY-ONLINE-NOR",  15085},
{"QVC",  15086},
{"MEAGTELECOM",  15087},
{"FNG-NET",  15088},
{"MASSMUTUAL",  15089},
{"STARKINVESTMENTS",  15090},
{"XPEDE",  15091},
{"NETQUICK",  15092},
{"SYNIMAX",  15093},
{"CPWM",  15094},
{"COAIR2000",  15095},
{"SONN",  15096},
{"WALLSTREETACCESS",  15097},
{"VML-COM",  15098},
{"ELCOM",  15099},
{"BEVCOMM-AS1",  15100},
{"RRM-COM",  15101},
{"ASN-WIBAND-1",  15102},
{"NEWAGECITIES",  15103},
{"MBNA-NET-AS1",  15104},
{"NETWORKTELEPHONE",  15105},
{"SIU-BACKBONE",  15106},
{"GFB-BANCOMER",  15107},
{"932411002351",  15108},
{"ALTER-EGO-NET",  15109},
{"BLUEMOUNTAINARTS",  15110},
{"HERMANMILLER",  15111},
{"GATX-CORP",  15112},
{"DATASOFT-DEVELOPMENT",  15113},
{"HOSTDEPOT-ASN",  15114},
{"MEDIABASE",  15115},
{"WEBKORNER",  15116},
{"ANHEUSER-BUSCH",  15117},
{"SIU-BB-2",  15118-15120},
{"CALTEL-COM",  15121},
{"KVN",  15122},
{"LATINNODE",  15123},
{"CHICAGONET-NET",  15124},
{"COMSAT-PERU",  15125},
{"LATINFUSION",  15126},
{"REALITY-ONLINE-2NOR",  15127},
{"PETOPIA",  15128},
{"TRICOM-IL",  15129},
{"USDOJ-GOV",  15130},
{"MEGNET-SPOKANE-NETWRK",  15131},
{"CITYNATIONALBANK",  15132},
{"NEXUS-ISP-NJFL-LASZLO",  15133},
{"IMPRESSE-COM",  15134},
{"IBUYLINE",  15135},
{"AS-GNC2000",  15136},
{"VECTRIX-DALLAS",  15137},
{"GLOBALTRON",  15138},
{"PANASONIC",  15139},
{"AZURIX",  15140},
{"ASN-BAUSCH-LOMB",  15141},
{"ADSNET-COM",  15142},
{"HYPERBANNER",  15143},
{"TEKINTERACTIVE",  15144},
{"GLOBALSCAPE",  15145},
{"CABLEBAHAMAS",  15146},
{"E-VEND",  15147},
{"BLACKBAUD-ASN",  15148},
{"EZZI-101-BGP",  15149},
{"BELLTECH-AS",  15150},
{"CIGB",  15151},
{"SPEEDFACTORY",  15152},
{"INTERSTARCOMM",  15153},
{"SBBSNET",  15154},
{"INTELLIMARK",  15155},
{"CARGOLARGO-1",  15156},
{"NORWORLD",  15157},
{"TOTAL-INFO-SERVICES",  15158},
{"PEER-POINT",  15159},
{"BMO-SCARB",  15160},
{"STRADLEY",  15161},
{"CRICKETCOMM",  15162},
{"MTD",  15163},
{"REPLYNET",  15164},
{"HELLONETWORK",  15165},
{"TCNJ",  15166},
{"SECTORBASE-COM",  15167},
{"LOANTRADERINC",  15168},
{"GOOGLE",  15169},
{"MATCHNET",  15170},
{"BLUEGRAVITY",  15171},
{"NETDOTCOM",  15172},
{"WAHOOCOMMUNICATIONS",  15173},
{"NETSALES",  15174},
{"ACC-1",  15175},
{"AS-INOC",  15176},
{"ENVISIONET-US1",  15177},
{"ATG",  15178},
{"ALLOUTDOORS",  15179},
{"DIVEO-BRASIL",  15180},
{"ECHOWEB-LLC",  15181},
{"ALCATELIND",  15182},
{"POWERWAVETECH",  15183},
{"NRTC-ISP",  15184},
{"HIBBERT-EAST",  15185},
{"SUPERUSER",  15186},
{"OHIOHILLS-COM",  15187},
{"DIALI-INTERNETWORK-01",  15188},
{"LSFI-INTERNET-AS",  15189},
{"GATXCAP",  15190},
{"WAN-TECHNOLOGIES",  15191},
{"TELENISUS-0001",  15192},
{"APPLIX-WAN-ROUTER",  15193},
{"CONSORTIO",  15194},
{"BANK-2UNITED",  15195},
{"TJMC",  15196},
{"RAETEK-NET",  15197},
{"EAZNET",  15198},
{"IMSURENETWORK",  15199},
{"FOODTRADER",  15200},
{"UOL-BR",  15201},
{"APDI-151-200-110-0",  15202},
{"INTERNET-COLORADO",  15203},
{"MIMECOM",  15204},
{"OVEN",  15205},
{"MDSG-PACWEST",  15206},
{"TBC",  15207},
{"S-D-I-I",  15208},
{"LEAPNET",  15209},
{"NNEX-ASN",  15210},
{"COMMSCAN",  15211},
{"BSIS",  15212},
{"THIGNET",  15213},
{"MERCURY-INTERACTIVE",  15214},
{"FARMERS-NETWORK",  15215},
{"HOSTWAY",  15216},
{"LOUDCLOUD00",  15217},
{"COX-OKC",  15218},
{"TELTRUST-TELESERVICES",  15219},
{"BLINK",  15220},
{"VANION",  15221},
{"ITCA",  15222},
{"TXWES",  15223},
{"MYCOMPUTER",  15224},
{"PERSECO",  15225},
{"SV-BLK-1",  15226},
{"WVFIBERNET",  15227},
{"NEVADAHOSTING",  15228},
{"JPC",  15229},
{"HOMESTEAD",  15230},
{"VIEWNETHQ",  15231},
{"EBASEONE",  15232},
{"WEBSITEPROS",  15233},
{"BERTMEDIASYS",  15234},
{"TIME-CUSTOMER-SERVICE",  15235},
{"UNIV-DE-COLIMA-MX",  15236},
{"ISTARTVENTURES",  15237},
{"GATESFOUNDATION",  15238},
{"KOZMO",  15239},
{"PARTICIPATE-COM",  15240},
{"UNETEPANAMA",  15241},
{"ICAST-IBEAM-NET",  15242},
{"WIDENER",  15243},
{"JAJONES",  15244},
{"HHI",  15245},
{"TELESATSA",  15246},
{"RADIANT-VANCOUVER",  15247},
{"K2NET",  15248},
{"P-S-B",  15249},
{"CONCEPT-SHOPPING",  15250},
{"GRAND-CENTRAL-STATION",  15251},
{"ESCAPE-AR",  15252},
{"CIERRASOL",  15253},
{"CCP-ASN1",  15254},
{"BISK",  15255},
{"BANESTADO",  15256},
{"CERIOUS",  15257},
{"PALM-NET1",  15258},
{"ATT-ITSNCS-1",  15259},
{"BVIG",  15260},
{"CENTRA",  15261},
{"HELLER-FINANCIAL",  15262},
{"GALLUP1",  15263},
{"DAEDALUS-TECHNOLOGY",  15264},
{"ISPOT-SC",  15265},
{"CSGI",  15266},
{"702COM",  15267},
{"MDARCHIVES",  15268},
{"PAI-AS",  15269},
{"AS-PAETEC-NET",  15270},
{"FHS-INC-ENT-NET",  15271},
{"ONLYLINK",  15272},
{"WEBSCOPE",  15273},
{"HOUSE-INTERNET",  15274},
{"GREENFIELDNET-WLT-CT",  15275},
{"MAX-LV",  15276},
{"I-NET",  15277},
{"SAVVY-NET",  15278},
{"CENDANT-08054",  15279},
{"EPICCENTRAL-DALLAS",  15280},
{"OFFICE-COM",  15281},
{"SAKON-NET",  15282},
{"VIAGENIE-IPV6",  15283},
{"THGNET",  15284},
{"IIS-ADMGR1",  15285},
{"IIS-AUTOBENE1",  15286},
{"O-H-C",  15287},
{"ALCATEL-NA",  15288},
{"VNI",  15289},
{"ATTCA-IES-AS",  15290},
{"POLAROID",  15291},
{"FORINDIA-NET-SERVICES",  15292},
{"ASN-ISS-ATL",  15293},
{"JATO",  15294},
{"AS-BROADBASE",  15295},
{"NETERA",  15296},
{"EPLUS-ASN",  15297},
{"INDIAINFO-NJ-01",  15298},
{"COLUMBIA-MANAGEMENT",  15299},
{"4IMPRINT",  15300},
{"STREAMSEARCH",  15301},
{"WRQ-NET",  15302},
{"NIKE-SECURITIES",  15303},
{"EXTERNET-WORLD",  15304},
{"LINKTEL-NETWORKS",  15305},
{"SELLS",  15306},
{"CHILDRENS-SEATTLE",  15307},
{"B-A-C-S",  15308},
{"SUBMITORDER-COM",  15309},
{"PHARMASMARKET-COM",  15310},
{"TIE",  15311},
{"CYBERNETENTERTAINMENT",  15312},
{"PACKETEER",  15313},
{"JENZABAR-ASN1",  15314},
{"IVANET-CAMBRIDGE-1",  15315},
{"IVANET-VANCOUVER",  15316},
{"ENCRYPTIX",  15317},
{"WINE-AS",  15318},
{"BSWD1",  15319},
{"PRIMELINK",  15320},
{"CPSHIPS-AS",  15321},
{"FIRSTCOMINC",  15322},
{"MDLI",  15323},
{"ECIRCLES",  15324},
{"TPK-NET",  15325},
{"NETTHEORY",  15326},
{"PRINTCAFE",  15327},
{"QROUTE",  15328},
{"CUSTOMEDGE",  15329},
{"CORPORATE-INTERLAND",  15330},
{"JTEL",  15331},
{"IPB",  15332},
{"TRWASP",  15333},
{"RESPONSYS",  15334},
{"KAPLAN-TELEPHONE",  15335},
{"SAMEDAY-COM",  15336},
{"WRHARPER",  15337},
{"BOSTON",  15338},
{"3HT",  15339},
{"CVI-BORDER-1",  15340},
{"ALLEGHENYINTEL",  15341},
{"DDPMI-1",  15342},
{"AM-EX",  15343},
{"BRANDERS",  15344},
{"NET-BALL",  15345},
{"TELESPECTRUM",  15347},
{"TUCOWS",  15348},
{"SPEEDUS",  15349},
{"WHN",  15350},
{"KADCAPNET",  15351},
{"GNAC-PA",  15353},
{"LIBERTY-MUTUAL",  15354},
{"BNP-COOPERNEFF",  15355},
{"THEBANCORP",  15356},
{"AISMEDIA",  15357},
{"JONESINTERACTIVE",  15358},
{"AS-ARTISANNETWORK-ATL",  15359},
{"NET-PORT",  16384},
{"BNYESI-AND-CO",  16385},
{"OPTICNET-4",  16386-16389},
{"FT-ASN",  16390},
{"CELITO-1",  16391},
{"PIONEER-STANDARD",  16392},
{"HOLT",  16393},
{"KPENY-AS",  16394},
{"GLOBALMUSIC",  16395},
{"AETHER-SYSTEMS",  16396},
{"COMDOMINIO",  16397},
{"EPSON-AMERICA",  16398},
{"NETWORKGCI",  16399},
{"INTERFOLD",  16400},
{"NETASN-SAINTVS",  16401},
{"UNIVERSAL-TELECOM",  16402},
{"BOISE-CASCADE",  16403},
{"ALBRIGHT-COLLEGE",  16404},
{"MNC",  16405},
{"AS-INTERMEDIA",  16406},
{"NOTARA-AS-1",  16407},
{"ACLIN-BCR",  16408},
{"AMERICANSTERLING",  16409},
{"REYREY",  16410},
{"EMCOR-GROUP",  16411},
{"NETWORK-SERVICES",  16412},
{"TELEBERMUDA",  16413},
{"RIPNET",  16414},
{"PRCNET-DOM",  16415},
{"MYCOMAX",  16416},
{"E247",  16417},
{"NOANET",  16418},
{"FIDELITYLEASING",  16419},
{"IDEAMAX-CORPORATION",  16420},
{"HARDNOC",  16421},
{"NEWSKIES-NETWORKS",  16422},
{"NETTOGO-BLK",  16423},
{"MVN-NET",  16424},
{"QUESTCOMP-AS",  16425},
{"CYBEAR",  16426},
{"PALM-HQ",  16427},
{"CNI-AREA-1",  16428},
{"CATAPULSE",  16429},
{"USM",  16430},
{"CLARK-CONSTRUCTION",  16431},
{"EZ-PRINTS",  16432},
{"ATROAD",  16433},
{"ACSSPORTS-01",  16434},
{"FLUKE-ELECTRONICS",  16435},
{"NANC1",  16436},
{"ONESECURE",  16437},
{"MILINX",  16438},
{"AMTRAK-IB",  16439},
{"ISPACE",  16440-16460},
{"ASN-UTEP",  16461},
{"SAFEHARBOR",  16462},
{"DPSINET",  16463},
{"CT-CORPORATION-SYSTEM",  16464},
{"CENTEX-TECH",  16465},
{"LYNXUS",  16466},
{"ASN-NEXTWEB",  16467},
{"EMERON-00",  16468},
{"BANKOFAMERICAGCIB",  16469},
{"WINGNET-AS1",  16470},
{"ADEXUS-IDC-CL-1",  16471},
{"WEBEXQWST",  16472},
{"TNII",  16473},
{"RESPONSYS-1",  16474},
{"AVV",  16475},
{"MKG",  16476},
{"ACNIELSEN-AS",  16477},
{"COLLEGECLUB",  16478},
{"MERITANORDBANKEN",  16479},
{"AMERICANHORIZON",  16480},
{"BABSON-GNET",  16481},
{"XODIAX",  16482},
{"KOLA",  16483},
{"ELINK-COMMUNICATIONS",  16484},
{"NEW-CHANNEL-TECH",  16485},
{"AUTHORIZE-NET",  16486},
{"FREEPORT",  16487},
{"RJTHOMPSON-SECURITIES",  16488},
{"WEBSTER",  16489},
{"KEYFIN",  16490},
{"ACCESSPORT",  16491},
{"DECHERT",  16492},
{"ABERCROMBIE-FITCH",  16493},
{"EQUALFOOTING",  16494},
{"MAXCESS",  16495},
{"PCONLINE",  16496},
{"TIMBERLINE-SOFTWARE",  16497},
{"LASALLE",  16498},
{"ZEPHYRTELE",  16499},
{"APCI",  16500},
{"EVANTAGES",  16501},
{"PHXGOV",  16502},
{"N-W-TELEPHONE",  16503},
{"AS-LABORREADY",  16504},
{"INTERCOMM-RENO-ASN",  16505},
{"AYAYAI",  16506},
{"DELWEBBCORP",  16507},
{"AIRPOWER-NET",  16508},
{"AMAZON-02",  16509},
{"IHSENERGY-FIELDDIRECT",  16510},
{"NSICORE",  16511},
{"VISITUS",  16512},
{"COXNEWS",  16513},
{"TRIPOS-INC",  16514},
{"ALTAVISTA",  16515},
{"FTLINFO",  16516},
{"MULTICASTTECH",  16517},
{"FIBERCLOUD-BHAM",  16518},
{"CUDENVER",  16519},
{"SBS-CAN",  16520},
{"SHELTON",  16521},
{"CHELLO",  16522},
{"CONNECT-COMM",  16523},
{"METTEL",  16524},
{"NATIONALSYSTEM",  16525},
{"BIRCH-TELECOM",  16526},
{"GVTCINTERNET",  16527},
{"IMPSAT-COLOMBIA",  16528},
{"CYBERBURY",  16529},
{"POWERSHIFT",  16530},
{"PROTEL",  16531},
{"CIDCMTL",  16532},
{"LIVETRADE",  16533},
{"SEPHORA-COM",  16534},
{"CEBRA",  16535},
{"JPMORGAN",  16536},
{"MIDAS",  16537},
{"PDC",  16538},
{"ENVISION-DEVELOPMENT",  16539},
{"TELCOPOINT",  16540},
{"PHOTOPOINT",  16541},
{"MGIC",  16542},
{"GATEWEST-AS",  16543},
{"CHANNING-BETE",  16544},
{"CFTECHNOLOGYSERVICES",  16545},
{"VNU-USA",  16546},
{"CONSYS",  16547},
{"MERCURY-COMPUTER-SYS",  16548},
{"AMI1",  16549},
{"KONNECTIONS",  16550},
{"LIQUIDPRINT",  16551},
{"FLEET-SECURITIES",  16552},
{"VBNET",  16553},
{"ANP",  16554},
{"MEDSHOPPE-KAS1",  16555},
{"IKI",  16556},
{"RE-STAFFORD",  16557},
{"TOWERGROUP",  16558},
{"REALCONNECT-01",  16559},
{"LIB-NET",  16560},
{"ARIBANETWORK",  16561},
{"RESPOND-COM",  16562},
{"BBDO-SOUTH",  16563},
{"ADAMS-WELLS-INTERNET",  16564},
{"ZIGGY-KY-01",  16565},
{"DESERTSKY",  16566},
{"OSINET",  16567},
{"ANYTIMEACCESS",  16568},
{"NELSONCOMM",  16569},
{"EXECUSTAY",  16570},
{"COSAWEB",  16571},
{"CELLULARONE-INTERNET",  16572},
{"THEBEAST",  16573},
{"QVTRADING",  16574},
{"EDGIX",  16575},
{"YORK-COUNTY",  16576},
{"TELSEON-AS",  16577},
{"EAA-AS",  16578},
{"REUTERS",  16579},
{"WOODCO",  16580},
{"TITAN",  16581},
{"NEXTLEVELINTERNET",  16582},
{"HEADHUNTER",  16583},
{"MARKETINGCONCEPTS",  16584},
{"STREAMAUDIO",  16585},
{"NETSERV-ASN-1",  16586},
{"GLOBALS",  16587},
{"SPIDER",  16588},
{"E-QUILL-SJ-ABOVE-001",  16589},
{"CCSI-ASN",  16590},
{"POP-COM",  16591},
{"CYBERNET-SV",  16592},
{"ADFORCE-CU",  16593},
{"COMPUGRAF",  16594},
{"TORO",  16595},
{"UABC-AS",  16596},
{"SPC",  16597},
{"DIGIDYNE",  16598},
{"BENTLEY-SYSTEMS",  16599},
{"UTHEALTHCENTER-TYLER",  16600},
{"GNEWSASN1",  16601},
{"EBANK-COM",  16602},
{"BELLAMIA",  16603},
{"HUNTEL-NET",  16604},
{"ABWC",  16605},
{"IB2B",  16606},
{"UNE-AS",  16607},
{"KENTEC",  16608},
{"AIS-1",  16609},
{"EYAK-BOS01",  16610},
{"KISCOMPUTERS-NET",  16611},
{"DEXMANET",  16612},
{"SPECIALIZEDSOFTWARE",  16613},
{"WESTFIELD-AMERICA",  16614},
{"HOMEGROCER-COM",  16615},
{"MEDPOOL",  16616},
{"COMMUNITYISP",  16617},
{"CAVION",  16618},
{"BITMO",  16619},
{"BREAKWATER",  16620},
{"OWDS-GP",  16621},
{"COMPUBASIX",  16622},
{"CLICKTHINGS",  16623},
{"HYDRO-QUEBEC",  16624},
{"SPEEDERA",  16625},
{"DV2-NET",  16626},
{"TRITONPCS",  16627},
{"WATTERS",  16628},
{"TELEFONICA-EMPRESAS",  16629},
{"ACCGRP",  16630},
{"COGENT-ASN",  16631},
{"ARPRO-01",  16632},
{"I-3",  16633},
{"GOAMERICA",  16634},
{"OTHERWORLDNET",  16635},
{"KANA-COMM",  16636},
{"JOHNNIC-E-VENTURES",  16637},
{"CORNINGINC01",  16638},
{"COMMERX",  16639},
{"SILICON-VALLEY-BANK",  16640},
{"E-OFFERING-SF",  16641},
{"OGILVYGROUP",  16642},
{"VCU-ASN1",  16643},
{"SUNGARDBI-TECH",  16644},
{"EPIQSYSTEMS",  16645},
{"DIGISTAR",  16646},
{"IMAGINE-AS",  16647},
{"PCSIA-NET",  16648},
{"ARISTASOFT",  16649},
{"WEBANGO",  16650},
{"MARZ",  16651},
{"CELPAGE-NET",  16652},
{"INETMAX",  16653},
{"QUACK-COM",  16654},
{"CENTERPOINT",  16655},
{"IVANET-HAWAII",  16656},
{"CYRSH-TECH",  16657},
{"TALK2-ASN",  16658},
{"CROWN-AS-1",  16659},
{"APPTUS-DC",  16660},
{"ELARKIN",  16661},
{"AZUS01",  16662},
{"UOLCOLOMBIA",  16663},
{"CC-COMMUNICATIONS",  16664},
{"PLANET-ID",  16665},
{"LSAC-ASN",  16666},
{"MIRAGERESORTS",  16667},
{"GBPSW-AS",  16668},
{"APPLIED-MATERIALS",  16669},
{"AERO-VISION",  16670},
{"ESCROW",  16671},
{"INTERCERVE",  16672},
{"BAYER-US-ASN",  16673},
{"COMPASS-GROUP-NAD",  16674},
{"WINMILL",  16675},
{"BARCHARTCOM",  16676},
{"AZO",  16677},
{"NANO-AS",  16678},
{"JBOXFORD-ASN1",  16679},
{"EULER2000",  16680},
{"ETS",  16681},
{"EPIGRAPHX-AS",  16682},
{"CFI",  16683},
{"PORTONE",  16684},
{"AS-OPTIGLOBE",  16685},
{"IDIAL-DALLAS",  16686},
{"KTC-INET",  16687},
{"PEOPLENET-COMM-AS",  16688},
{"AZTECANETMX",  16689},
{"ANADARKO",  16690},
{"KFORCE",  16691},
{"HHMI",  16692},
{"HOCH-247",  16693},
{"ICSI",  16694},
{"ECX",  16695},
{"NONSTOPNET-AS",  16696},
{"RIEDEL-ENT",  16697},
{"BRIGHTNET",  16698},
{"ENTER-ASN",  16699},
{"ROSENET-1",  16700},
{"AFIP-ASN",  16701},
{"SPECTRUM-HOUSTON",  16702},
{"ASN-CHUBBCORP",  16703},
{"DATAEX-CAM1",  16704},
{"STORAGEAPPS",  16705},
{"COMPUNLTD",  16706},
{"UNIFI-INC",  16707},
{"THOMSONFINANCIAL",  16708},
{"IPOP",  16709},
{"PBS",  16710},
{"ANC",  16711},
{"I2SOFT",  16712},
{"NOANET-WA",  16713},
{"SPACEWORKS-INC",  16714},
{"ARISTOTLE-ASN",  16715},
{"ZIONSBANK",  16716},
{"CRAWKANINTERNET",  16717},
{"BROWNWOODLAW",  16718},
{"NASD",  16719},
{"OPTICNET-5",  16720-16722},
{"QUIOSNET",  16723},
{"APERIAN",  16724},
{"ONLINERETAILPARTNERS",  16725},
{"ROCHE-NUTLEY",  16726},
{"PRIVATE-CABLE",  16727},
{"MATTEL",  16728},
{"ROYALBANKFINGROUP",  16729},
{"ROYALBANKGROUP-2",  16730},
{"ROYALBANKGROUP-3",  16731},
{"VELOCOM-AR",  16732},
{"AXENTTECH",  16733},
{"SMARTBASKET",  16734},
{"CTBC-TELECOM",  16735},
{"JAVALI-01",  16736},
{"GO2CALL-1",  16737},
{"LMI",  16738},
{"HOMEPAGECORP",  16739},
{"ASN-DYNAMIC",  16740},
{"ISATPLATFORM",  16741},
{"UCV-CHILE",  16742},
{"EYT-ASP",  16743},
{"WORLDWIDEONLINE",  16744},
{"STERLINGTESTING",  16745},
{"RELIANTENERGY",  16746},
{"REAL-TIME",  16747},
{"ONE-SOURCE",  16748},
{"AUTOLIVASP1",  16749},
{"ECPI",  16750},
{"OPEN-TEXT-1",  16751},
{"BBOX-NET",  16752},
{"BELO",  16753},
{"HOTCITYNETWORKING",  16754},
{"TOPICA",  16755},
{"ABC-VIRTUAL",  16756},
{"CPI-CORP",  16757},
{"IKON",  16758},
{"SWA-MKT-INET",  16759},
{"CBOE",  16760},
{"FEDMOG-ASN-01",  16761},
{"GRUPO-BIMBO",  16762},
{"TIDEWORKS",  16763},
{"TASC",  16764},
{"ENRONCORP",  16765},
{"SPRINGBOARD",  16766},
{"TOL",  16767},
{"NETWHISTLE",  16768},
{"SOTHEBYS-INC",  16769},
{"BROADSLATE-AS",  16770},
{"KPCB",  16771},
{"TDU01",  16772},
{"IPH99SCH",  16773},
{"MERCURYINS",  16774},
{"EXOTROPE",  16775},
{"HOMESTORE-IBS",  16776},
{"NET-PROVPHP",  16777},
{"ACT01-ASN",  16778},
{"TELSTRA-USA",  16779},
{"BSANTANDERCL",  16780},
{"POCKETSCRIPT-1",  16781},
{"CORELAB-AS",  16782},
{"DAVNETINC",  16783},
{"INETZ",  16784},
{"USANA-INC",  16785},
{"MESSAGEBAY-NET",  16786},
{"HSACORPORATION",  16787},
{"PURCHASEPRO",  16788},
{"RENTGROW",  16789},
{"DSNYCGW01",  16790},
{"DIGITAL-AGENT",  16791},
{"JETTIS",  16792},
{"DATA-TRONICS",  16793},
{"INT-SOL-PR",  16794},
{"COMP-COMF",  16795},
{"REALTYIQ-COM",  16796},
{"2C2-ASN-1",  16797},
{"WORLDXCHANGE",  16798},
{"PAYMASTER",  16799},
{"NBS90",  16800},
{"ENRONCORP2",  16801},
{"IMO",  16802},
{"COMPVDC",  16803},
{"SEI-ISS",  16804},
{"DIGITAL",  16805},
{"FUTURESIGHTS",  16806},
{"IBM-EI",  16807},
{"FRESHWATER",  16808},
{"DOLLARBANK",  16809},
{"NET2000",  16810},
{"SPACENET-GTH",  16811},
{"SPACENET-ENT",  16812},
{"AMNH",  16813},
{"IPLAN-NETWORKS",  16814},
{"EXPERTCITY",  16815},
{"AVENUEA",  16816},
{"ASPRE",  16817},
{"CORESYS",  16818},
{"HAWAII-DENTAL",  16819},
{"FREEBORN",  16820},
{"DUQUESNELIGHT",  16821},
{"CREATIVE-EXODUS",  16822},
{"NORTEXNET",  16823},
{"INTERNETSEER",  16824},
{"LIVELINE",  16825},
{"JCCC",  16826},
{"MULTIPHONE-LA",  16827},
{"ASYMMERTICAL",  16828},
{"TESSCO-MD",  16829},
{"PORTERASYSTEMS",  16830},
{"FUJITSU",  16831},
{"CLICVU",  16832},
{"PREBONYAMANEUSA",  16833},
{"WEBSTER-BANK",  16834},
{"MADISONRIVER",  16835},
{"UDATA",  16836},
{"MILLSCORP",  16837},
{"VERISIGN-CORP",  16838},
{"ENKIDO-NET",  16839},
{"I-ESCROW",  16840},
{"ATOMCORP",  16841},
{"CHRISTAL-GROUP",  16842},
{"NORTHEAST-COMNET",  16843},
{"FIRMBUY",  16844},
{"PF",  16845},
{"FASTPOINT",  16846},
{"ELMERCURIO",  16847},
{"TELECOM-EDNA",  16848},
{"SOUTHERNPLANET",  16849},
{"ITI",  16850},
{"HOSTTECH-NET",  16851},
{"FOCAL-CHICAGO",  16852},
{"GALAXY-PORT",  16853},
{"GENLABS",  16854},
{"CHORDIANT",  16855},
{"ONENETWORK",  16856},
{"CENTEX",  16857},
{"WEBVAN",  16858},
{"WYATT-SD",  16859},
{"ACCELENET",  16860},
{"REVELEX",  16861},
{"MEDITECH",  16862},
{"NET-EXCHANGE-INC",  16863},
{"E-FATO",  16864},
{"PERSONTEL",  16865},
{"HUT-WHL-DIT",  16866},
{"DCT-CA-ASN",  16867},
{"PRAXAIR-INC",  16868},
{"MIRAPOINT-RDOM",  16869},
{"ZOHO",  16870},
{"MCDONAGHBROTHERS",  16871},
{"COMCASTOAKRIDGE",  16872},
{"ACR",  16873},
{"SONDA",  16874},
{"AON-BGP",  16875},
{"IASNET",  16876},
{"VITAL",  16877},
{"ISERVE",  16878},
{"SUSQ-CTALK",  16879},
{"ALPHARMAUSPD",  16880},
{"BADPUPPY",  16881},
{"INTERWISE",  16882},
{"CIBERLYNX-ORL",  16883},
{"MJI",  16884},
{"GLOBALTELECOM",  16885},
{"LVMH-SDG",  16886},
{"INFOSERVE",  16887},
{"ECYBERCONST",  16888},
{"STEVENS-TECH",  16889},
{"KGNS",  16890},
{"SMC-BR",  16891},
{"UCS-NETWORKS",  16892},
{"WILD-NET",  16893},
{"ECGLOBAL-COM",  16894},
{"IREADYWORLD-CLT2",  16895},
{"XENERGYENT",  16896},
{"REDUNDANT-NET",  16897},
{"LOG-NET",  16898},
{"F-SECURE",  16899},
{"SEDGWICK-CMS",  16900},
{"MUTUAL",  16901},
{"TXU2",  16902},
{"WACSEC",  16903},
{"ARVIG",  16904},
{"ALL-GIGAPOP",  16905},
{"SALNET",  16906},
{"ISPKENYA",  16907},
{"KOTA-ASN-1",  16908},
{"ROIDIRECTW01",  16909},
{"FARM-CREDIT",  16910},
{"TCO",  16911},
{"4-LESS-NETWORK",  16912},
{"SFTI",  16913},
{"UNAMAX",  16914},
{"EESIS",  16915},
{"SUPERTRACKS",  16916},
{"FTCI-COM",  16917},
{"TECNICO-DBNLINK",  16918},
{"CBNY",  16919},
{"A1COM-NET",  16920},
{"PNV-FL-ASN-01",  16921},
{"IVMG",  16922},
{"PRECISION",  16923},
{"IISIDC",  16924},
{"BROADDAYLIGHT",  16925},
{"INTERSTATE-BRANDS",  16926},
{"USCO",  16927},
{"UTCNET",  16928},
{"MINDSYNC",  16929},
{"UPSHOT",  16930},
{"NDCECOMMERCE",  16931},
{"LEVEL4",  16932},
{"BROADBAND-AVE",  16933},
{"LEACO-INTERNET",  16934},
{"KSC-NETWORKS",  16935},
{"LOGICSTREAM-PA",  16936},
{"MASTERFILES",  16937},
{"COMPETITRACK",  16938},
{"TRX-DALLAS",  16939},
{"VOXEO",  16940},
{"ROUNDHEAVEN",  16941},
{"CITIZENS",  16942},
{"SOURCE",  16943},
{"XYSTOS-PROD",  16944},
{"NOVACON-LLC",  16945},
{"SASSC",  16946},
{"QUIXI-INC",  16947},
{"STRATUSWAVE",  16948},
{"EDAP",  16949},
{"COLUMBIA",  16950},
{"IVANET-LIMA",  16951},
{"LIGHTSPEED",  16952},
{"LIGHTNET",  16953},
{"DODOTS",  16954},
{"XPRESSNET",  16955},
{"TREASURY",  16956},
{"IDACORP-NETWORK",  16957},
{"LUCRE",  16958},
{"SBIS-AMRLTX",  16959},
{"VISION-RED",  16960},
{"SBIS-ODMDTX",  16961},
{"SBIS-LNGVTX",  16962},
{"SBIS-WCFLTX",  16963},
{"SBIS-HRLNTX",  16964},
{"SBIS-SPFDMO",  16965},
{"SBCIDC-LSAN03",  16966},
{"SBCIDC-DLLSTX",  16967},
{"ISTRATEGY",  16968},
{"CGLD",  16969},
{"CHATPER2-IDC-SA",  16970},
{"VIACCESS",  16971},
{"AANDMTECH01",  16972},
{"HOSTARICA",  16973},
{"SHOCKWAVE",  16974},
{"ALTOCITY",  16975},
{"FIVEK",  16976},
{"SUNFIRE",  16977},
{"WEBPG",  16978},
{"VCV",  16979},
{"UNITEDGUARANTY",  16980},
{"EMMIS-1",  16981},
{"UNION-SQUARE",  16982},
{"ACSEAST",  16983},
{"CFHOSTINGATL",  16984},
{"LTYR-NET",  16985},
{"INSTALL",  16986},
{"POPMAIL",  16987},
{"IPAPER",  16988},
{"UTMEM",  16989},
{"TRANSBANK",  16990},
{"ACHEX-INC",  16991},
{"DOL",  16992},
{"XCEED-ATL",  16993},
{"EDGECONN",  16994},
{"ASPONE",  16995},
{"VCITIES",  16996},
{"PROPHET21",  16997},
{"ISG",  16998},
{"WFSCORP",  16999},
{"12OAKSWC",  17000},
{"ATMOSPHERE",  17001},
{"JESTER",  17002},
{"AHP",  17003},
{"NVSMEDIA",  17004},
{"OUTBOUND",  17005},
{"STRATEGIC",  17006},
{"ORBITAL-GRTN",  17007},
{"CARPENTER",  17008},
{"CAYENTA",  17009},
{"IMANDI-01",  17010},
{"PPG-INDUSTRIES",  17011},
{"X-COM",  17012},
{"INFOAGE",  17013},
{"NAIILLC",  17014},
{"NMTINET",  17015},
{"ASCOLTA",  17016},
{"CRISP",  17017},
{"WAVVE",  17018},
{"JTAN",  17019},
{"COMP-SCIENCE",  17020},
{"UNXCOM1",  17021},
{"PRENET",  17022},
{"MASSHYSTERIA",  17023},
{"VISTAIT",  17024},
{"MFNX-CUSTOMER",  17025},
{"ARBELLA",  17026},
{"PEAK10JAX",  17027},
{"PRIZ",  17028},
{"EMAILCHANNEL",  17029},
{"PRIMERICA",  17030},
{"PREDICTIVE-NET",  17031},
{"QUALCOMM-QWBS-SD",  17032},
{"AVENTISBEHRING",  17033},
{"SOLIDTECHCTR",  17034},
{"OXYGEN",  17035},
{"AURIGIN-SYS",  17036},
{"GOINET",  17037},
{"EFORCE",  17038},
{"SUPPLYPRO",  17039},
{"SEATTLE-TIMES",  17040},
{"PALUCH",  17041},
{"AS-NICHEWW",  17042},
{"AERIS-SJC-BGPNET",  17043},
{"TRUENORTHCOMM",  17044},
{"SCAIS-ASN-RMG-01",  17045},
{"ACTION-COMM",  17046},
{"CENTURYTELECOMM",  17047},
{"MIMEO",  17048},
{"MBO-NET",  17049},
{"PMB1",  17050},
{"PURDUEPHARMA",  17051},
{"TARGET",  17052},
{"TRADING",  17053},
{"SLC-EXPEDIENT",  17054},
{"UTAH",  17055},
{"ABILIZER",  17056},
{"CASPIAN",  17057},
{"TEMS-1",  17058},
{"VIAIRNET",  17059},
{"E-NETWORKS",  17060},
{"MARITIMEDIRECTNY",  17061},
{"INTERNAP-052600",  17062-17063},
{"TISD-VIC",  17064},
{"REALMED-PROD",  17065},
{"SFPC-CYBERPLEX",  17066},
{"IP-CLEARING",  17067},
{"NOBELL",  17068},
{"COTEL",  17069},
{"UBSW-CHICAGO",  17070},
{"UBSW-STAMFORD",  17071},
{"GRUPO-IUS",  17072},
{"ALLEGISGROUP7312",  17073},
{"WAKUL",  17074},
{"GILSBAR",  17075},
{"PIXELPUSHERS",  17076},
{"NETSTEP",  17077},
{"ALLENCO",  17078},
{"TELEMOVIL",  17079},
{"MORE-COM",  17080},
{"NETEGRITY",  17081},
{"MOORE-CORP",  17082},
{"SKYAUCTION",  17083},
{"LCCAS-RACK01",  17084},
{"APOGEENETWORKS",  17085},
{"AMERICATEL-CA",  17086},
{"NYSA",  17087},
{"CURRENEX",  17088},
{"CINCCHILDRENS",  17089},
{"ONLINE-NET",  17090},
{"HOLLCORP",  17091},
{"E-GREETINGS",  17092},
{"FAIRPOINT",  17093},
{"MUTOMAHA-I",  17094},
{"BELENOSINC",  17095},
{"SUMMITRACING",  17096},
{"PRICEINTER",  17097},
{"NBIBX1",  17098},
{"THEGTX",  17099},
{"ISDI",  17100},
{"CENTRECOM",  17101},
{"BARTERTRUST",  17102},
{"CAMPSIX",  17103},
{"PGE-NEG",  17104},
{"MEDIAPLAN-HQ",  17105},
{"MIDWESTWIRELESS",  17106},
{"HALEANDDORR",  17107},
{"TELENOVA",  17108},
{"WEBINESS",  17109},
{"YAHOO-US2",  17110},
{"PICKLE-TECH",  17111},
{"BBDO-NY",  17112},
{"COMMRAIL",  17113},
{"BANKLINK",  17114},
{"THEWIREINT",  17115},
{"BHPHOTO",  17116},
{"NEXTERANYO1",  17117},
{"VIMS",  17118},
{"KAMPUNG",  17119},
{"NBDOE",  17120},
{"WORLDMULT1",  17121},
{"JUILLIARD",  17122},
{"REELPLAYINCSM",  17123},
{"ATLANTIS",  17124},
{"SOFTBANKINT",  17125},
{"E-MONEY",  17126},
{"ALLIANCE-INFO-SYSTEMS",  17127},
{"IBIZ",  17128},
{"FIDALGO-NET-1",  17129},
{"JONESDAY",  17130},
{"HOBBICO",  17131},
{"MPOOLJXN1",  17132},
{"NEXTEL-DEV",  17133},
{"WESTLAKEGROUP-1",  17134},
{"OHIOU",  17135},
{"GULFNET-DESTIN",  17136},
{"EZ-GAME-CR",  17137},
{"EBG",  17138},
{"PANGEA-TECH",  17139},
{"PAYMAP",  17140},
{"ACCESSINGNET-MIA",  17141},
{"WIRELESS-FIR",  17142},
{"DRIVEWAY",  17143},
{"P18004BVOCAL",  17144},
{"TEAJAX",  17145},
{"CILLNET",  17146},
{"GOBIERNOCHILE",  17147},
{"FIRST-NATIONAL",  17148},
{"JAVELINSOLUTIONS",  17149},
{"AFCU",  17150},
{"VARTEK",  17151},
{"BATES",  17152},
{"ALLGOOD",  17153},
{"BOAW-AS",  17154},
{"THE-SUPPLY",  17155},
{"ZIXI",  17156},
{"CLEAR-CHANNEL",  17157},
{"ABDINSURANCE-HQ",  17158},
{"SPEEDTRAK",  17159},
{"YELLOWSHIRT",  17160},
{"MARSH",  17161},
{"DONALDSON",  17162},
{"INTRANOLOGY",  17163},
{"CALDWELL",  17164},
{"ACCESS-SYSTEMS",  17165},
{"TRAVELERSPCAS",  17166},
{"HBAFRAG",  17167},
{"TFO-BOSTON",  17168},
{"TJBA",  17169},
{"DOWNEY-SAVINGS",  17170},
{"SEAGULL",  17171},
{"VANTAGEPOINT",  17172},
{"NETLINK-SERV",  17173},
{"LIPSTREAM-002",  17174},
{"NSS-UK",  17175},
{"NETAPPSERV",  17176},
{"TIDEPOINT",  17177},
{"MOTIONINDUSTRIES",  17178},
{"INTESNET",  17179},
{"ACCELICA27",  17180},
{"EVARE",  17181},
{"PROVEED",  17182},
{"VIDEOTECHNOLOGIES",  17183},
{"ATL-CBEYOND",  17184},
{"EXATT-1",  17185},
{"DOTTV",  17186},
{"LEGATO",  17187},
{"TEETIMES",  17188},
{"DIGITALINGENUITY",  17189},
{"GISNET-ISP-000001",  17190},
{"JOPLIN-209",  17191},
{"LEK",  17192},
{"NETLINC-SERVICES",  17193},
{"ALGOR",  17194},
{"JAMES-TOWER",  17195},
{"COD-GE-IL",  17196},
{"DAEDELUS",  17197},
{"INNOVATIONSLAB",  17198},
{"SWAGELOK",  17199},
{"SEATTLECOLL",  17200},
{"ZANG-NET",  17201},
{"HOTELWORKS",  17202},
{"FUNDSXPRESS",  17203},
{"NOMINUM-GLOBAL",  17204},
{"CORPBANCA-VEN",  17205},
{"MOUNTAIN-AMERICA",  17206},
{"COLOR-COLL",  17207},
{"PROJESOM",  17208},
{"BIGFOOTINTER",  17209},
{"RLM-SOFT",  17210},
{"GTEC-ORG-ARIN",  17211},
{"UHC1700",  17212},
{"NDB-COM",  17213},
{"IEEE-COMSOC",  17214},
{"EMCONSULTING",  17215},
{"VERITECT-EAST",  17216},
{"ADMWORLD",  17217},
{"VIACOREHQ",  17218},
{"GEACCESS",  17219},
{"GDS-LOAN00",  17220},
{"GRAUBARD",  17221},
{"MUNDIVOX",  17222},
{"SAPE01",  17223},
{"ATT-CERFNET-BLOCK",  17224-17233},
{"DEERFIELD-COM",  17234},
{"COMTIME",  17235},
{"TULSAL-74103",  17236},
{"CHICAGOREADER",  17237},
{"MSPNI",  17238},
{"GENESIS2NET",  17239},
{"CLASSMATES-1",  17240},
{"JKGROUP",  17241},
{"UNIPAC",  17242},
{"STAX-NET",  17243},
{"SYSTEMSFUSION",  17244},
{"QUIXI-1",  17245},
{"QUIXI-2",  17246},
{"QUIXI-3",  17247},
{"AVT-MEDIALINQ-2",  17248},
{"CENTRO-BURSATIL",  17249},
{"ADETEL",  17250},
{"TMPW-MKE",  17251},
{"VDI",  17252},
{"COMMUNIGROUP",  17253},
{"WEB2YOUFLA",  17254},
{"DIVEO-URUG",  17255},
{"GLOBAL-MESSA",  17256},
{"COLLECT",  17257},
{"DOBSON-COMM",  17258},
{"EAGLE-GLOB",  17259},
{"ARMSCOR",  17260},
{"KEELING",  17261},
{"CIC-CSOC",  17262},
{"ZIANET",  17263},
{"CERNER-COM",  17264},
{"VISIONCOM",  17265},
{"CAVENET",  17266},
{"AAAINET",  17267},
{"COSMOCOM",  17268},
{"SBF",  17269},
{"DCDIRECTOR",  17270},
{"NETCENTREX",  17271},
{"CLARION-GLOB",  17272},
{"CTX-MORTGAGE",  17273},
{"RWBAIRD",  17274},
{"FMAC-I-BILLING",  17275},
{"SEIC-CORP-1",  17276},
{"SEREN",  17277},
{"OAKASN",  17278},
{"WOLFGROUP",  17279},
{"FAMILYCONNECT",  17280},
{"DOVEBID",  17281},
{"HSNI-LLC",  17282},
{"MARKET-FACTS",  17283},
{"NSF",  17284},
{"PREMIO",  17285},
{"CYBER-001",  17286},
{"VZ-UC",  17287},
{"SENTIRE",  17288},
{"EMBARCADERO",  17289},
{"BLUE-MOUNTAIN",  17290},
{"MMA599320",  17291},
{"BROOKSOFT",  17292},
{"VALTEL",  17293},
{"CARL",  17294},
{"EHI-CALLCENTER",  17295},
{"PENTAWAVE",  17296},
{"INDIGO",  17297},
{"VERTAFORM",  17298},
{"SYNTELEOS",  17299},
{"PROCARD",  17300},
{"FASTENAL",  17301},
{"HARTE-HANKS",  17302},
{"GLS3C-SYSTEMS",  17303},
{"STERLING-GRP",  17304},
{"WORLDPOST-AS-01",  17305},
{"NETCONX",  17306},
{"VIRTELA-1",  17307},
{"I2I-ASN",  17308},
{"TECNET-INC",  17309},
{"BVUB",  17310},
{"TERABEAM-NET",  17311},
{"TERNETCONNEC",  17312},
{"GATEWAY-NET",  17313},
{"NOCPULSE",  17314},
{"E0PS-4-C0NCUR",  17315},
{"PRG",  17316},
{"XSNET",  17317},
{"FUTURELINK-SNA-1",  17318},
{"HIGHSPEED-WA",  17319},
{"SCOUR",  17320},
{"OMNISKY",  17321},
{"CHARTERONE",  17322},
{"ARA-SWD",  17323},
{"ALNET",  17324},
{"CLEARWAY",  17325},
{"PRIMEMED",  17326},
{"TSTC-AS",  17327},
{"MANULIFE",  17328},
{"ELOGICA",  17329},
{"NEXTELPARTNERS",  17330},
{"ENTER-PART",  17331},
{"SCIENTECH",  17332},
{"C2CELECOM",  17333},
{"SMC-DIST01",  17334},
{"TWN",  17335},
{"VECTRIS",  17336},
{"WA-CENTURASOFT",  17337},
{"NIS",  17338},
{"SAFELITE",  17339},
{"SSTAR",  17340},
{"MONTEREYBAY",  17341},
{"COMTEXNEWS",  17342},
{"SFWMD",  17343},
{"AMPLESPACE",  17344},
{"XCERT",  17345},
{"SENDOUTMAIL",  17346},
{"PEPCO",  17347},
{"CAA",  17348},
{"SUNGARD-AMS-DOM",  17349},
{"KMV-LLC",  17350},
{"GC-NJ-EQUX",  17351},
{"GC-NJ-CARL",  17352},
{"CODEXA-CORP",  17353},
{"GCI-NET",  17354},
{"WAYZATA-ISD-284",  17355},
{"VERMONT-TELE",  17356},
{"GUIDANCE",  17357},
{"ETOLL1",  17358},
{"TELEGIS",  17359},
{"GLOHO",  17360},
{"BRASS",  17361},
{"NESTEGG",  17362},
{"BEAR-HUNTER",  17363},
{"AUTO-SOFT-COM",  17364},
{"CITY-OF-FRESNO",  17365},
{"ARINCASN",  17366},
{"MARKTECH-GRO",  17367},
{"FANTASTIC",  17368},
{"CHAPNET",  17369},
{"MCAFEE-COM",  17370},
{"BMO-TOR1",  17371},
{"BMO-TOR2",  17372},
{"MCI-COV",  17373},
{"WALMART",  17374},
{"ESC-TPA-CW-AP",  17375},
{"LFC-NET",  17376},
{"PWI-DFW",  17377},
{"DBSINTL1",  17378},
{"INTELIG-TEL",  17379},
{"PROJ-MUT-TEL",  17380},
{"ELOCAL",  17381},
{"4SURE-COM",  17382},
{"INTERNET-UNLIM",  17383},
{"USBX-COM",  17384},
{"ALPHANETSOL",  17385},
{"GRAINGER",  17386},
{"EXPRESSACT",  17387},
{"KEEN-US1",  17388},
{"IHS-GROUP",  17389},
{"EXPERTPRACTICE",  17390},
{"KS-2520",  17391},
{"STOCKGROUP",  17392},
{"TRIPNET-HOU",  17393},
{"NETAPP-AS",  17394},
{"SAGHILL007",  17395},
{"TL5-1",  17396},
{"SFCOMMERCE",  17397},
{"IPASS-COM",  17398},
{"COMSATVEN-VE",  17399},
{"EBONET",  17400},
{"MILLICOM-AR",  17401},
{"BYEBYENOW",  17402},
{"BJT-NET",  17403},
{"AIRLINK",  17404},
{"NDB-GROUP",  17405},
{"EPSCU",  17406},
{"SENECA-COMM",  17407},
{"NORTHPOINTCORP",  18432},
{"BLUEBAND-NET",  18433},
{"METAVANTE",  18434},
{"THEJUNCTION",  18435},
{"SERVON",  18436},
{"PVI",  18437},
{"BROWNB",  18438},
{"SALINAS-GROUP",  18439},
{"NCCI",  18440},
{"INFOCURE",  18441},
{"JFKASN",  18442},
{"DAX",  18443},
{"MCGETTIGAN",  18444},
{"LUXLOOK",  18445},
{"NETRASPECT",  18446},
{"AFFINITY-INTER",  18447},
{"GIANTEAGLE",  18448},
{"MVS-TELECOM-MEX",  18449},
{"VISHAYNA",  18450},
{"ROCKETBGP",  18451},
{"ALORICA",  18452},
{"ENGIN-ANIM",  18453},
{"AUGSBURG",  18454},
{"NETDATA",  18455},
{"SIGNALCORP",  18456},
{"BOURNS",  18457},
{"VIRT-STOCK",  18458},
{"IMAGEMASTER-HQ",  18459},
{"OSAGEDIGITAL",  18460},
{"BELL-ATL",  18461},
{"TILTED",  18462},
{"RULESPACE",  18463},
{"BBIS-COMM",  18464},
{"SHORTCYCLES",  18465},
{"GEMINICOM",  18466},
{"PACIBELWIRE",  18467},
{"POOR-DOUGLAS",  18468},
{"LOGIKA",  18469},
{"FUTURE-NET",  18470},
{"GIMNET",  18471},
{"WEBEMP-1",  18472},
{"NBGISP-ARIN",  18473},
{"AENEAS-CWUS",  18474},
{"M-I5",  18475},
{"QUISIC",  18476},
{"ESATEL",  18477},
{"NATAL-MED",  18478},
{"PLUGIN-VANET",  18479},
{"ATS-SERVICES",  18480},
{"MP-DC-1",  18481},
{"SIERRACITIES",  18482},
{"INNUITY",  18483},
{"VTLA",  18484-18491},
{"ALPAR",  18492},
{"RRD-FIN-LANCASTER",  18493},
{"CATTECH",  18494},
{"FORT-BEND",  18495},
{"GLOBAL-NET-AR",  18496},
{"UTSI-AS",  18497},
{"INTEGRATED",  18498},
{"SJCASN",  18499},
{"PACCAR",  18500},
{"MB-ASN",  18501},
{"WESTCORP",  18502},
{"LOGICSOUTH",  18503},
{"BLUEBARNINT",  18504},
{"B2PORT",  18505},
{"NETSWORK",  18506},
{"DICARTA",  18507},
{"FORCE10-NET",  18508},
{"CORILLIAN",  18509},
{"COR-THERAPEUTICS",  18510},
{"FOCAL-SANFR",  18511},
{"IKANO-OHIO",  18512},
{"KNOWX",  18513},
{"INSURE2000",  18514},
{"UTARLINGTON",  18515},
{"MOLALLACOM",  18516},
{"CASCONET",  18517},
{"ZEBUINC",  18518},
{"DSLWISCONSIN",  18519},
{"ESCALATE",  18520},
{"IMX",  18521},
{"TITAN-HOST",  18522},
{"CHEP-AS1",  18523},
{"MICRONEIL",  18524},
{"THRU",  18525},
{"GOTO-AS",  18526},
{"PARTSBASE",  18527},
{"DOMINION",  18528},
{"PLEXUSSYSTEMS",  18529},
{"ISOMEDIA-1",  18530},
{"JWT-NY",  18531},
{"SECRETA",  18532},
{"SYMBOLTECH",  18533},
{"ARBINET",  18534},
{"ROCHEDIAG",  18535},
{"BLUESPRING",  18536},
{"PERKS",  18537},
{"CTBS",  18538},
{"WCN",  18539},
{"FFEDERAL",  18540},
{"EDIRECT",  18541},
{"EJASENT",  18542},
{"LIQUID-THINKING",  18543},
{"CYBERPUNK",  18544},
{"OSMNET",  18545},
{"CINCINNATI",  18546},
{"TELNET-BR",  18547},
{"18VO",  18548},
{"01004-3962253177",  18549},
{"INSERV-E-CUST",  18550},
{"ROTHINC",  18551},
{"SPATACOMM",  18552},
{"OPTICNET-RIS",  18553},
{"SOFTCOIN",  18554},
{"THE-ART-INST",  18555},
{"SCIF",  18556},
{"HAWKCOMM",  18557},
{"NETBLK-RCOEK",  18558},
{"WORLDCHAIN",  18559},
{"CYBERSHORE",  18560},
{"ONTIMEONLINE",  18561},
{"EMERGING-SYSTEM-1",  18562},
{"CGINET-01",  18563},
{"SYSCOMDUALROUTE",  18564},
{"FORTIX-01",  18565},
{"COVAD",  18566},
{"EARNWARE",  18567},
{"ZEKES",  18568},
{"CANBOX",  18569},
{"LOCKWOOD",  18570},
{"INTELESIS",  18571},
{"PCGLOBAL-PROM",  18572},
{"WCOM-TSENGR-AS",  18573},
{"EECAD",  18574},
{"BITSTREAM-NET",  18575},
{"EDUCAR",  18576},
{"IDSAS001",  18577},
{"ONCALDERA",  18578},
{"DALINCO",  18579},
{"GREEN-BRIDGE",  18580},
{"ALLIANZLIFE",  18581},
{"CONSUMERINFO",  18582},
{"IBSI-KCMO-NET",  18583},
{"ABC-CNLX",  18584},
{"COMMERCEHUB",  18585},
{"TEXRAMP",  18586},
{"AGUTL",  18587},
{"VANTRA-GROUP",  18588},
{"OZCAP-NYC",  18589},
{"BENEFITPOINT",  18590},
{"OPNIX",  18591},
{"RED-CUDI",  18592},
{"HTC",  18593},
{"VOM",  18594},
{"PGA-INC",  18595},
{"MADISONTELCO",  18596},
{"LISTEN-SF-2",  18597},
{"APERIAN-ATLANTA",  18598},
{"APERIAN-DALLAS",  18599},
{"WPIA-NET",  18600},
{"B2EMARKETS",  18601},
{"PWRWG",  18602},
{"CMSPPLC",  18603},
{"INCOR",  18604},
{"DIGIBLAZE",  18605},
{"WHERETOLIVE",  18606},
{"WEBUSENET",  18607},
{"SIERRA",  18608},
{"SOLUNET",  18609},
{"WALKERINFO",  18610},
{"ATRION",  18611},
{"PALL-CORP",  18612},
{"TODAYLINK",  18613},
{"SOFAST",  18614},
{"UNITEDMESSAGING",  18615},
{"AS-2103",  18616},
{"ONPLAN",  18617},
{"WCENTRALN",  18618},
{"BRIT-NUMBER-1",  18619},
{"IBDINCASN",  18620},
{"CONESTOGA-COL",  18621},
{"IVANET-YTO",  18622},
{"TWC-MISP-1",  18623},
{"BB2W-BOS",  18624},
{"SCIONASP",  18625},
{"NET-IDEO",  18626},
{"IBILL",  18627},
{"ENYMEX",  18628},
{"LTF-001",  18629},
{"DCSS",  18630},
{"MARSNYC",  18631},
{"VOLCANO-NET",  18632},
{"GIANTWEB",  18633},
{"RENTWAY",  18634},
{"EXPEDI",  18635},
{"AGEX",  18636},
{"VDS",  18637},
{"ZOOLINK-COM",  18638},
{"DIGITAL-COMM",  18639},
{"IDEALAB",  18640},
{"KENNETH-COLE",  18641},
{"SPACENET-ENT2",  18642},
{"SMARTCITY",  18643},
{"IDC-DIVEO-BR",  18644},
{"MITEC",  18645},
{"SENTAI",  18646},
{"NEXTJET",  18647},
{"BROADCASTAMER",  18648},
{"M5-NETWORKS",  18649},
{"KORAX",  18650},
{"EJASENT2",  18651},
{"BREKAWAY2",  18652-18654},
{"THOUGHTWARE",  18655},
{"FIRST-FRANKLIN",  18656},
{"LEAD-TECH",  18657},
{"CLBN",  18658},
{"HORMELFOODS",  18659},
{"AMERICANIC",  18660},
{"ASERA-CUSTOMER-NET",  18661},
{"AFLAC",  18662},
{"UOP-AS",  18663},
{"EMPIRE-HEAL",  18664},
{"CKC-HM-92100-3215-1",  18665},
{"NOKIA-AMER",  18666},
{"WEB2MIL",  18667},
{"MFM",  18668},
{"EZ2GET",  18669},
{"MESAINTERNET",  18670},
{"FLASHCOM",  18671},
{"TSTAR-NET",  18672},
{"CFP-ASN",  18673},
{"FROST-NAT-BANK",  18674},
{"CADENCENETWORK",  18675},
{"AVAYA",  18676},
{"HISYNERGY",  18677},
{"ISA-INTERNEXA",  18678},
{"WORKNET",  18679},
{"DATALINK",  18680},
{"CPS-ASN",  18681},
{"TRILUTIONS",  18682},
{"OPTIVO",  18683},
{"UBTANET",  18684},
{"TECKMAN",  18685},
{"MAD-MACS",  18686},
{"MGCI001",  18687},
{"TGIX",  18688},
{"GENESISINTER",  18689},
{"MEDIDATA",  18690},
{"LUMINET",  18691},
{"EAGLEDIRECT-COM",  18692},
{"GOLDPOCKET",  18693},
{"SDWARREN",  18694},
{"BANDX-US-1",  18695},
{"AXIOM-NET-PTP-01",  18696},
{"NISHANSYSTEMS",  18697},
{"TSNC",  18698},
{"SMIG-001",  18699},
{"PRG-ASN01",  18700},
{"PPCO-US",  18701},
{"SEALED-MED",  18702},
{"IBMCCH-ASH",  18703},
{"DEBISIT-NA",  18704},
{"RIMBLACKBERRY",  18705},
{"LISTEN-SF-3",  18706},
{"PREMIERLINK",  18707},
{"RLUSA-ATLANTA1",  18708},
{"SANWABANK",  18709},
{"GKG-NET",  18710},
{"RICHARD-STOCK",  18711},
{"UTILICORP2",  18712},
{"IBMCCH-SJO",  18713},
{"IP-COMMUNICATIONS",  18714},
{"ANNUNCIO",  18715},
{"BUZZSAW",  18716},
{"ASDELRAYTECH",  18717},
{"MARVELL",  18718},
{"TSRSOLUTIONS",  18719},
{"PACSUN",  18720},
{"DENNIS-PUBLISHING",  18721},
{"SUPERVALU",  18722},
{"SEAGATE-USA-MN-1",  18723},
{"TEK-GYCB",  18724},
{"ICOTECH",  18725},
{"DEFENDNET-RI",  18726},
{"DNPS",  18727},
{"ISINJ",  18728},
{"SHAWMUT",  18729},
{"CYBERSOURCE-SC4",  18730},
{"NAINO",  18731},
{"QOSNETWORKS",  18732},
{"XYMED",  18733},
{"BESTEL",  18734},
{"M4FINANCIAL",  18735},
{"XAP-CORP",  18736},
{"NYC-ZENTROPY",  18737},
{"MPOWER",  18738},
{"AGENCIA-MOD",  18739},
{"YELLOWBRIX",  18740},
{"PROMISANT",  18741},
{"PPOP",  18742},
{"MMA-ONLINE",  18743},
{"LAKESNET",  18744},
{"HTCOMP",  18745},
{"BUILDPOINT-PRODA",  18746},
{"IFX-NW",  18747},
{"AT-WAN",  18748},
{"PREMINC-INTER",  18749},
{"LEXICOM",  18750},
{"EDGECONN-BOS",  18751},
{"NETENGINES-INC",  18752},
{"SKYDESK",  18753},
{"LOOKSMART",  18754},
{"VOXEO-SERVICE",  18755},
{"PATEAM",  18756},
{"ADT-SECURADT",  18757},
{"SUNGARD-PHASE3",  18758},
{"VIRAGE",  18759},
{"RANCHO-CUCA",  18760},
{"BLM-WAN",  18761},
{"DOMDOMINICK",  18762},
{"PHJW-LLP",  18763-18770},
{"ACDI",  18771},
{"MARCUSABGP4",  18772},
{"DISAPPEARING-INC",  18773},
{"TIMESPUBLISHING",  18774},
{"ENGEN-PET",  18775},
{"VALASSIS",  18776},
{"CTN-MAIN",  18777},
{"GOULSTON",  18778},
{"TEAMGURU",  18779},
{"ME-NET",  18780},
{"BITSHOP",  18781},
{"UNINCOR",  18782},
{"BIG-VALLEY",  18783},
{"MCD-US-ASN",  18784},
{"MIDWAVE",  18785},
{"GEMNETS",  18786},
{"DANAHER",  18787},
{"TLCINC-AS-01",  18788},
{"SOLNTECNA",  18789},
{"ALPHANET",  18790},
{"TCU",  18791},
{"EXTANT",  18792},
{"BIZFINITY",  18793},
{"RAMAPO-COLLEGE",  18794},
{"ULV-AS",  18795},
{"HOME-INTER",  18796},
{"1-800-DATA",  18797},
{"IPTEL",  18798},
{"1INCUBATOR",  18799},
{"ASPRING",  18800},
{"ZDTV",  18801},
{"MUT-AMER",  18802},
{"MUNIS-ASP",  18803},
{"EASTLINK-SYDNEY",  18804},
{"FOCAL-PENNSYLVANIA",  18805},
{"ENSYNCH",  18806},
{"OCTOPUS",  18807},
{"BEANNET-INT",  18808},
{"CABLE-ONDA",  18809},
{"EHI-PRODUCTION",  18810},
{"ESILICON",  18811},
{"NWMLS",  18812},
{"DEERFIELD",  18813},
{"TELSOUTH",  18814},
{"VULCANSYS",  18815},
{"ANDREWCORP-AOP",  18816},
{"AMERICOM",  18817},
{"LSUHSCS-NET2",  18818},
{"ENTERGY-CORP-US",  18819},
{"PFS-ASN-001",  18820},
{"AVISTA-2",  18821},
{"MANQUEHUE-CL",  18822},
{"MEDICALERT",  18823},
{"WWW-THESEAM",  18824},
{"INFOPOWER",  18825},
{"CITADEL",  18826},
{"SPECTRUM-RETAIL",  18827},
{"VIANT",  18828},
{"VERIDIAN",  18829},
{"ERNST-YOUNG",  18830},
{"XPRESSWEB",  18831},
{"INFLOW",  18832},
{"ASHP-NETWORK",  18833},
{"NETWORKIP",  18834},
{"FIDUCIAL",  18835},
{"PROCEDA",  18836},
{"INFOLINE-LA",  18837},
{"ECTONE",  18838},
{"2000FISHERISSS",  18839},
{"EQUIPOS",  18840},
{"SCHEDUL-DOT",  18841},
{"VERTICAL-SCR",  18842},
{"CROSSMARK",  18843},
{"SHERWIN-AS",  18844},
{"NAVAHONETWORKS",  18845},
{"PEMEX",  18846},
{"NETFIRE",  18847},
{"ALTEC-IND-DOM",  18848},
{"VEHIX",  18849},
{"TOOLWIRE",  18850},
{"VAYUSPHERE",  18851},
{"ATP",  18852},
{"WDUQ-FM",  18853},
{"NETCOMPUTING-COM",  18854},
{"SACASN",  18855},
{"SCCA",  18856},
{"AMERICO",  18857},
{"ISVS-216169032000-19",  18858},
{"GVEC-NET",  18859},
{"ITNNETMEDIA",  18860},
{"IVANET-BUE",  18861},
{"NCS-HEALTHCARE",  18862},
{"BROADRIVER",  18863},
{"STARTEC",  18864},
{"IMARK101",  18865},
{"ATJEU",  18866},
{"VERIZONWIRELESS-MSG",  18867},
{"1STUP",  18868},
{"MANI-VIRTUAL",  18869},
{"CLICKCOM",  18870},
{"YOURINTERNET",  18871},
{"VERITAS",  18872},
{"REDROCK-COMM",  18873},
{"EWI-ASN-1",  18874},
{"ANGSTROM-INTERNET",  18875},
{"ARRIVAL-COMM",  18876},
{"CGTC-Q1",  18877},
{"HDVEST001",  18878},
{"MUSKOGEENET",  18879},
{"LAMRC",  18880},
{"GVT-NET",  18881},
{"SLRASN1",  18882},
{"SEMTRIBE-NET",  18883},
{"RCLS",  18884},
{"WAVE2WAVE",  18885},
{"INLINE-NET",  18886},
{"ROAMTEST",  18887},
{"CONNECTDELSOL",  18888},
{"MERCANTIL",  18889},
{"LUCY-COM",  18890},
{"CONFLUENCE",  18891},
{"RESTAURANTTRADE",  18892},
{"DYCOM-NET",  18893},
{"NEXTPAGE",  18894},
{"NUSTREAM",  18895},
{"RSVL-ONLINE",  18896},
{"FEDERALNET",  18897},
{"TETRATECH",  18898},
{"ITSOLUTIONS-INC",  18899},
{"CQG-INC",  18900},
{"PERCEPTIONTECH",  18901},
{"MOTORCARGO",  18902},
{"LENDINGTREE",  18903},
{"EBALANCE",  18904},
{"LECSTAR-GA-1",  18905},
{"MOBILELOGIC",  18906},
{"BITSTREAM",  18907},
{"FACTORY23",  18908},
{"TELEIAS",  18909},
{"YORK-INTL-CORP",  18910},
{"CHANNEL-OF-CHOICE",  18911},
{"INNOMEDIA-LA",  18912},
{"ROFNET",  18913},
{"PARAGONSOL",  18914},
{"ICCINET-US",  18915},
{"PSFT-ECENTER",  18916},
{"KSLAW-001",  18917},
{"FIRSTVIRTUAL",  18918},
{"FEEDROOM",  18919},
{"HEI",  18920},
{"PLURIS",  18921},
{"AFRICA-ZIMBABWE",  18922},
{"SPEEDERA-2",  18923},
{"RPTK2",  18924},
{"APERIAN-PHOENIX",  18925},
{"MEALS-SEA",  18926},
{"CHIPDATA",  18927},
{"LINEO-INC",  18928},
{"ELLIANCE-COM",  18929},
{"DOWCORNING151-163",  18930},
{"SAINTERNET1",  18931},
{"CCHA-BGP",  18932},
{"IPEER-NETWORKS",  18933},
{"BROOKTINC250",  18934},
{"ROIDIRECT-SFHQ",  18935},
{"GLENCOM",  18936},
{"IPIN-SJ",  18937},
{"PRESSGANEY",  18938},
{"DBC-SALT-LAKE",  18939},
{"SHPS-INC",  18940},
{"EL-MERCURIO",  18941},
{"3WCORP",  18942},
{"YELCOT",  18943},
{"LPB-2000",  18944},
{"BUILDINGCOLO",  18945},
{"FANNIEMAE-2",  18946},
{"LMA",  18947},
{"NYMC2000-ARIN",  18948},
{"IMNISP",  18949},
{"SYLVAN-LEARN",  18950},
{"WEBHELP",  18951},
{"ILUMIN",  18952},
{"ETOYS",  18953},
{"LITTLEFEET",  18954},
{"YZK1",  18955},
{"NYK",  18956},
{"TRIRIGA",  18957},
{"CRRESEARCH",  18958},
{"NETSTREAM-COMM",  18959},
{"CISGI",  18960},
{"MCLANECO",  18961},
{"MEDITECH-1",  18962},
{"OFDA",  18963},
{"AHSSSCI",  18964},
{"STRATASOURCE",  18965},
{"MEDIACENTERSINC",  18966},
{"USAWPG",  18967},
{"QUADRANT",  18968},
{"EYADA",  18969},
{"XNPD",  18970},
{"JUNIPER-FIN",  18971},
{"PROMENET",  18972},
{"TAG-ONLINE",  18973},
{"EDOCS",  18974},
{"EVITE-COM",  18975},
{"FREIGHTQUOTE",  18976},
{"GEOTEC-NOC",  18977},
{"CJDS1999",  18978},
{"UPBNA-BGP4AS",  18979},
{"PEACEHEALTH",  18980},
{"WCANMILLER",  18981},
{"VIRTUAL-ESI",  18982},
{"SATOTRAVEL",  18983},
{"FOCAL-NEWJERSEY",  18984},
{"GAPINC-NET",  18985},
{"PACIFICONLINE",  18986},
{"EDIAL",  18987},
{"MONARCH-CABLELTD",  18988},
{"GABRIELCOMM",  18989},
{"AIRBAND-COMM",  18990},
{"PWCG-COM",  18991},
{"GCTR-ANAHEIM",  18992},
{"GCTR-BOSTON",  18993},
{"GCTR-CHICAGO",  18994},
{"GCTR-NEWYORK",  18995},
{"GCTR-HERNDON",  18996},
{"GCTR-SUNNYVALE",  18997},
{"CREDOMATIC",  18998},
{"POPLAR-BLUFF",  18999},
{"TECHREPUBLIC",  19000},
{"POWERNET-INC",  19001},
{"FDBS-AS",  19002},
{"IHSENERGY-CALGARY",  19003},
{"SCHWABPLAN",  19004},
{"7-ELEVEN",  19005},
{"CLICK1",  19006},
{"QUESTIA",  19007},
{"PSCI",  19008},
{"NOTLTD",  19009},
{"ENSERA-PROD-01",  19010},
{"ODETICS",  19011},
{"AIG",  19012},
{"PERF-FOOD",  19013},
{"EPSILON-HHONORS1",  19014},
{"HCSTNET",  19015},
{"WCG-AS",  19016},
{"QUALCOMM-QWBS-LV",  19017},
{"NETIFICE",  19018},
{"IPREVOLUTION-NET-1",  19019},
{"SOLTECH",  19020},
{"ECONIUM-TOTOWA",  19021},
{"TIAI",  19022},
{"SERVICEMASTER",  19023},
{"INTERNAP-BLK5",  19024},
{"NEXTLINK-ASN12",  19025},
{"NEXTLINK-ASN14",  19026},
{"NEXTLINK-ASN11",  19027},
{"NEXTLINK-ASN10",  19028},
{"NEWEDGENETS",  19029},
{"HARCOURT-ENT",  19030},
{"WESCO",  19031},
{"GESI-KCBSC",  19032},
{"WTFE",  19033},
{"NORCOMNETWORKS-CORP",  19034},
{"HIX",  19035},
{"INTELLICOM-1",  19036},
{"CTI",  19037},
{"GF-INVERLAT",  19038},
{"PROMPTU",  19039},
{"FIRSTMERIT",  19040},
{"ATOMZ",  19041},
{"VISUALNY-01",  19042},
{"SHOCKING",  19043},
{"INNER",  19044},
{"OLLIANCE",  19045},
{"NEWFOCUS",  19046},
{"LUNDWALL-1",  19047},
{"CORIO",  19048},
{"REDENVELOPE-US-1",  19049},
{"AKC",  19050},
{"CADRE-FINANC",  19051},
{"CYRAS1",  19052},
{"NUPNA",  19053},
{"PENFORD-CORP",  19054},
{"CAC-EAST",  19055},
{"IETF-49",  19056},
{"IBMCCH-CHI",  19057},
{"ACSTORONTO",  19058},
{"ERASJV",  19059},
{"PINNACLE-COM",  19060},
{"WEBLINK-WIR",  19061},
{"W3MEDIA",  19062},
{"JOHN-HEALTH",  19063},
{"NET-EXPRESS",  19064},
{"KORKSOFT",  19065},
{"NAMETREE",  19066},
{"VAILSYS",  19067},
{"INYC1",  19068},
{"THE-ISLAND",  19069},
{"TRANSCORE",  19070},
{"LFG-CT",  19071},
{"OFFICEMAX",  19072},
{"DIGITRADE",  19073},
{"EDGECONN-NYC",  19074},
{"MONARCH-CANMORE",  19075},
{"IT-DEVELOPMENT",  19076},
{"CYBERCENTER-NAP",  19077},
{"S8",  19078},
{"LOCL-NET",  19079},
{"MITRUST",  19080},
{"GFSI-INC",  19081},
{"EVERESTBROADBAND",  19082},
{"FLEETSECURITIES",  19083},
{"COURTLINK-MAIN",  19084},
{"INVADO-BLK1",  19085},
{"COGNICASE",  19086},
{"MAILBOXES-ECT",  19087},
{"ECG",  19088},
{"DEDALUS-BR",  19089},
{"CANBRASNET",  19090},
{"WORLD-VPN-NET",  19091},
{"TA-DAY1",  19092},
{"IBMUSF-SCH",  19093},
{"STRUCTUS",  19094},
{"OPTICNET-ARC",  19095-19097},
{"CHI-SOLTEC-AS-ACCT",  19098},
{"RAMBUS",  19099},
{"ASSETTRADE-COM",  19100},
{"HOSTIT",  19101},
{"DENTISTRY",  19102},
{"NEPCO",  19103},
{"NEXTMDCLINITEC",  19104},
{"FIRST-DATA-CORP",  19105},
{"ANDREWS",  19106},
{"CENTERPOST-CORP",  19107},
{"RUSTON",  19108},
{"NETBLK-CETELEM",  19109},
{"CARIBBEAN-ONLINE",  19110},
{"NATURES-BOUN",  19111},
{"JIVENETWORK",  19112},
{"DUKE-ENERGY",  19113},
{"CYBERWEB",  19114},
{"CHARTER-LEBANON",  19115},
{"AIRBAND-COMM1",  19116},
{"ALLCONNECT-CORP",  19117},
{"AS-SIT",  19118},
{"ULTRAK",  19119},
{"ARGIA",  19120},
{"KAVI",  19121},
{"VVL-ASSOCIAT",  19122},
{"USW-INTERACT27",  19123},
{"USW-INTERACT26",  19124},
{"ROCK-NET",  19125},
{"RAIL-EUROPE-GROUP",  19126},
{"SEI-MER",  19127},
{"UTTCORP",  19128},
{"PLAINS-NET",  19129},
{"DOCKNET",  19130},
{"EOHIONET",  19131},
{"BAIRES-NET-ASN",  19132},
{"CAL-ASSOC",  19133},
{"FTBONLINE",  19134},
{"PLEXIS-1",  19135},
{"NNET",  19136},
{"STREAMPIPE",  19137},
{"SWEET-BRIAR-COLLEGE",  19138},
{"MARINERSYSTEMS",  19139},
{"MENTOR-TECHNOLOGIES",  19140},
{"CSC-ENYU",  19141},
{"AAFES",  19142},
{"FWS-NET",  19143},
{"DEALTIME",  19144},
{"NEUTRON",  19145},
{"MAEDULLES",  19146},
{"JALSYS",  19147},
{"OPTICNET-1",  19148},
{"MOTLABS",  19149},
{"GFORCE",  19150},
{"WEBUSENET-1",  19151},
{"IBMCCH-TOR",  19152},
{"UTMARTIN",  19153},
{"SOLUTIONARY",  19154},
{"JAXNFCU",  19155},
{"SIEMENS-SEA",  19156},
{"CHARTER-TN",  19157},
{"USCARRIER",  19158},
{"STING",  19159},
{"REDWOODPARTNERS",  19160},
{"INNOCOM-TELECOM",  19161},
{"SUPERIORBROADBAND",  19162},
{"FRONTCOM-SD-01",  19163},
{"OPTICNET-BLK",  19164-19168},
{"TELCONET-MIAMI",  19169},
{"MISN",  19170},
{"STARGATE-VAN",  19171},
{"XROADS-NET",  19172},
{"ASAP-INC",  19173},
{"SEARCH-GROUP",  19174},
{"NETSTAR-ASN",  19175},
{"PAISP",  19176},
{"GO-NET-NETWORK",  19177},
{"ESPEED-LONDON",  19178},
{"BUYMEDIA",  19179},
{"DIVEOPERU-ISP-1",  19180},
{"CWIE",  19181},
{"AJATO",  19182},
{"CDI-CORPORATION",  19183},
{"UWECNET",  19184},
{"TRACENT-TECH",  19185},
{"CEUTAS",  19186},
{"IFOXNETLE",  19187},
{"EMSINC",  19188},
{"NORTHSHOREMKTG",  19189},
{"FASTWIRE-COM",  19190},
{"SPRINGNET1-EOS",  19191},
{"UCV",  19192},
{"MEDI-COM",  19193},
{"JOVITA",  19194},
{"ASCHWEBHOSTING1104",  19195},
{"BELLSOUTH-CHILE",  19196},
{"NATIONAL-TECH",  19197},
{"GREENLYNK-NET",  19198},
{"PANAMSAT-ATL",  19199},
{"UFDRGDS",  19200},
{"ETC",  19201},
{"TX3",  19202},
{"IPINETBGP01",  19203},
{"CMSONG",  19204},
{"MONEYLINE2",  19205},
{"FCS-001",  19206},
{"ACOMSOLUTIONS",  19207},
{"ENETIS",  19208},
{"GMO-BOSTON",  19209},
{"SYNCHRONOSS",  19210},
{"BACKROADS-LAURENS",  19211},
{"BACKROADS-NEWBERRY",  19212},
{"SABRE-DFW",  19213},
{"ADX-COM",  19214},
{"SCHWABCANADA00",  19215},
{"ACKERMAN-MCQUEEN",  19216},
{"IVYTECHSC",  19217},
{"VIZIONAL-LA01",  19218},
{"VIZIONAL-LA02",  19219},
{"SORRENTO-NETWORKS",  19220},
{"1AZTECH",  19221},
{"SCALESERVERS-1",  19222},
{"TAYLORGIFTS",  19223},
{"SUNAMERICA",  19224},
{"COMM102500",  19225},
{"AURA-SOUTH",  19226},
{"TERRAWORLD-316",  19227},
{"NAP-ENTEL",  19228},
{"I-STRUCTURE",  19229},
{"UPROMISE",  19230},
{"ASPEHQ",  19231},
{"MONASH-ZA",  19232},
{"PRIORITY",  19233},
{"CCB",  19234},
{"MACATAWA",  19235},
{"STEELCASEINET",  19236},
{"OMNIS",  19237},
{"ALLAIRE01",  19238},
{"KLA-TENCOR",  19239},
{"SPORTSTICKER",  19240},
{"LOCAL-ISP-NJ-2000",  19241},
{"CRANK-TECHNOLOGIES",  19242},
{"SEVENSPACE",  19243},
{"ATT-LATIN-AMERICA",  19244},
{"MONEYLINE",  19245},
{"ACT2000",  19246},
{"AAOMS-NATIONAL",  19247},
{"ACSC1000",  19248},
{"COREEXPRESS-STLCORP",  19249},
{"WILEYNET",  19250},
{"DIVEO-DE-PANAMA",  19251},
{"KITE-NET",  19252},
{"SBAINC-AS",  19253},
{"KOCH-INDUSTRIES",  19254},
{"TRILOGYWIRELESS",  19255},
{"SITECONNECT",  19256},
{"GLTG",  19257},
{"DEVRY-INC",  19258},
{"TODITO",  19259},
{"INETACON",  19260},
{"ASPSTATION",  19261},
{"VZGNI-TRANSIT",  19262},
{"NETIGY",  19263},
{"NETIGY-CORP",  19264},
{"FOCAL-WASHINGTON-DC",  19265},
{"CLEARFUSION-ASN01",  19266},
{"FUSIONSTORM-COM",  19267},
{"POWERADZ",  19268},
{"AERZONE",  19269},
{"PAYMENTECH-INC",  19270},
{"PEAKCLT",  19271},
{"CENTERBEAM",  19272},
{"LGEENERGY",  19273},
{"LIVETECHNOLOGY",  19274},
{"INTERVAL",  19275},
{"CTI-EARTH",  19276},
{"RELERA",  19277},
{"ALO-MEX",  19278},
{"VISTAAR",  19279},
{"AKER-MARITIME",  19280},
{"FOXINTERNET",  19281},
{"DIGI-NET",  19282},
{"PHOENIXNET",  19283},
{"AIRBAND-COMMU1",  19284},
{"WRH64",  19285},
{"ALPHASTAR",  19286},
{"INFLOW1",  19287},
{"INFLOW2",  19288},
{"INFLOW3",  19289},
{"INFLOW4",  19290},
{"INFLOW5",  19291},
{"INFLOW6",  19292},
{"INFLOW7",  19293},
{"INFLOW8",  19294},
{"INFLOW9",  19295},
{"INFLOW10",  19296},
{"BIOPOP",  19297},
{"NET-NETPOINT",  19298},
{"IMAGEDATA-TRUEID",  19299},
{"PC-PLUS-ONLINE",  19300},
{"CERIDIAN-TAX",  19301},
{"WEBSITEBILLING1",  19302},
{"CRAWFORD123-COMPANY45",  19303},
{"GEORGETOWN-COLLEGE",  19304},
{"USWIRELESSDATA",  19305},
{"CNI-HMB-001",  19306},
{"WORLDQUEST",  19307},
{"INTEL-ONLINE-SERV",  19308},
{"INTEL-ONLINE-SERV1",  19309},
{"INTEL-ONLINE-SERV2",  19310},
{"STEWART-1",  19311},
{"ASIP-VISTAIT-COM",  19312},
{"DATACOR",  19313},
{"ESYLVAN",  19314},
{"BANELCO",  19315},
{"SPECTRUMACCESS",  19316},
{"TARANET",  19317},
{"ALBINT-AS1",  19318},
{"CCN-DMZ",  19319},
{"NETINFRASTRUCTURE",  19320},
{"WEDBUSHMORGAN",  19321},
{"GCIJOBS",  19322},
{"HGE-NET",  19323},
{"KENNEDYKRIEGER",  19324},
{"DVI-MISHAWAKA",  19325},
{"INTERNET",  19326},
{"WEBUSENE-CORP",  19327},
{"SOFTREKWEB2",  19328},
{"MCNET",  19329},
{"JONES1-WEB",  19330},
{"BIMCORP",  19331},
{"MARCATEL-MEX",  19332},
{"ACML-2",  19333},
{"SPORTLINE-DBC",  19334},
{"APRIA-HEALTHCARE",  19335},
{"UNIQUEVACATIONS",  19336},
{"COSERV-COMM-10001",  19337},
{"ATTLACHILE-PIT",  19338},
{"DIDATA-NE",  19339},
{"ECSASN",  19340},
{"ZOIDIAL",  19341},
{"NETLEVER",  19342},
{"WNYCS",  19343},
{"MULTI-HOMED",  19344},
{"SERVICEREPS-MTL",  19345},
{"NCTIMES-NET",  19346},
{"INDYMACBANK",  19347},
{"CARD-EXPRESS",  19348},
{"OLTRONICS",  19349},
{"CENTENNIALCOLLEGE",  19350},
{"MODELN",  19351},
{"SINTAKS-COMPANY",  19352},
{"WEB-ELITE",  19353},
{"FOCAL-SEATTLE",  19354},
{"SMRN-NET",  19355},
{"TOUA-NOC",  19356},
{"RESOURCING",  19357},
{"NVT-LANTHANUM",  19358},
{"SYMMETRY-COMM",  19359},
{"XOUTDOORS",  19360},
{"ATRIUMTELECOM",  19361},
{"RDA-CUSTOMSOFTWARE",  19362},
{"ASIMOV",  19363},
{"ECHOPASS-UT1",  19364},
{"NETWURX-01",  19365},
{"MNS",  19366},
{"DAKOTA",  19367},
{"SANRISE",  19368},
{"DISCOUNTLABELS",  19369},
{"WRENCHEADAS01",  19370},
{"MI8-CORP-63-240-6",  19371},
{"NCOGROUP-FTW",  19372},
{"TRIARA",  19373},
{"NEXISCO-COM",  19374},
{"NUMERICINVESTORS",  19375},
{"JUSTNET",  19376},
{"CONNECTIVA",  19377},
{"TRANSAMERICA-COMM",  19378},
{"IFOXNETNX",  19379},
{"CHROBINSON",  19380},
{"BROADBAND-LAB",  19381},
{"FAULTLESS-STARCH",  19382},
{"WORLD-WEB-USA",  19383},
{"GRAMTEL001",  19384},
{"SG-DR-SNTC",  19385},
{"HEXAGONNET",  19386},
{"DANTIS-AS",  19387},
{"IPASS-COMM",  19388},
{"GOLUB",  19389},
{"MICROSERV-JACKSON",  19390},
{"MICRO-VIS",  19391},
{"JCOM",  19392},
{"REON-BROADBAND-01",  19393},
{"CSO",  19394},
{"RESCLUB",  19395},
{"C-GROUP",  19396},
{"CLICKARRAY",  19397},
{"INDENET",  19398},
{"SLLNET",  19399},
{"SPX-CORP-AS",  19400},
{"SENECACAPITAL",  19401},
{"CACTUS",  19402},
{"TECHALLIANCEGROUP",  19403},
{"QUEST",  19404},
{"WORLDWITHOUTWIRE",  19405},
{"TOWERSTREAM",  19406},
{"FUNTODO",  19407},
{"PANTELLOS",  19408},
{"VWCREDIT-COM",  19409},
{"BENTONREA2",  19410},
{"NAP-CHILE",  19411},
{"CLARITASPRODUCTS",  19412},
{"LUMBERMENS-COM",  19413},
{"MMCWEB",  19414},
{"SIAC-CAP",  19415},
{"IDACORPENERGY",  19416},
{"DEVISE-COM",  19417},
{"WPPUSA",  19418},
{"PSMG",  19419},
{"THINCNET",  19420},
{"1GLOBALCITY-PEER1",  19421},
{"MOVINET",  19422},
{"LCC-AB-CA",  19423},
{"MIGHTYNET",  19424},
{"CITYSCAPE-COMM",  19425},
{"BANDWIDTHCENTER",  19426},
{"BREMER-FINANCIAL",  19427},
{"TOSCO",  19428},
{"007MUNDO",  19429},
{"ACXIOM-CORP",  19430},
{"INTELLICLAIM",  19431},
{"HOMERELAY",  19432},
{"MAPPCOR",  19433},
{"FUTURE-DESIGNS",  19434},
{"WBEB-WEB",  19435},
{"RELERA-1",  19436},
{"RELERA-2",  19437},
{"PRIME-BROKERAGE",  19438},
{"NEBOSBOY",  19439},
{"AICENT-NET",  19440},
{"NCUBE",  19441},
{"NELSONJOBS",  19442},
{"STAPLES",  19443},
{"CHARTER-STL",  19444},
{"HEWM",  19445},
{"E3C-INTERBUILD",  19446},
{"ALFANUMERIC",  19447},
{"TVINTERACTIVE",  19448},
{"CONCURRENT",  19449},
{"INVESTIN",  19450},
{"CANINVEST",  19451},
{"OAKTREECAP-COM",  19452},
{"INFINT",  19453},
{"PRAIRIESYSTEMSINC",  19454},
{"SYNERTECH-SYSTEMS",  19455},
{"WATERS-CORPORATION",  19456},
{"RUDIN",  19457},
{"NETZEE-BIRMY",  19458},
{"DADE-BEHRING-01",  19459},
{"SUTH",  19460},
{"QSI",  19461},
{"UNITED-STAT",  19462},
{"SOPS-NET",  19463},
{"WASHINGTON-AND-LEE",  19464},
{"THINKCENTRIC-PYRAMID",  19465},
{"INFOCHI",  19466},
{"NEXTERABOS1",  19467},
{"CONOCONET",  19468},
{"CENTERLYNX1",  19469},
{"PAGOOCORP",  19470},
{"ITGSI",  19471},
{"CAROLLO-ENGINEERS",  19472},
{"ISOT-001",  19473},
{"MFTI",  19474},
{"CREDITRISK",  19475},
{"ITOL",  19476},
{"FLYINGJ",  19477},
{"ICMARC",  19478},
{"CERVALIS",  19479},
{"ATFS",  19480},
{"PANAX",  19481},
{"SCOUTCOM-1",  19482},
{"SBCASI-AKRON-OH",  19483-19498},
{"OPTICNET-BLK1",  19499-19502},
{"MEDIBUY",  19503},
{"WTCC",  19504},
{"RESCON",  19505},
{"LOCKSTREAM",  19506},
{"NYC-TRANSIT",  19507},
{"DEL-VAL-FINANCIAL-SRV",  19508},
{"OLLUSA",  19509},
{"HUMANAASN1",  19510},
{"ELECTROLUX-NA",  19511},
{"LYONDELL",  19512},
{"IBTCO",  19513},
{"USCENTRAL",  19514},
{"ORICOM-QUEBEC1",  19515},
{"SMITH",  19516},
{"VISUAL-LINK-INOC",  19517},
{"ROCKISLAND",  19518},
{"ACRON",  19519},
{"FDINET",  19520},
{"AKIBIA",  19521},
{"XYLO",  19522},
{"AZTECSYSTEMS",  19523},
{"COMERICA-INC",  19524},
{"3E-COMPANY",  19525},
{"SUMNER",  19526},
{"PETROCOSM-CORP",  19527},
{"GEORGE-CONS",  19528},
{"E-HUB-NETWORKS",  19529},
{"NDIN-STATE",  19530},
{"VDL2-MONTREAL",  19531},
{"VISILINX-DAL-1",  19532},
{"WEARGUARD",  19533},
{"MLXML",  19534},
{"JETBLUE-AIRWAYS-01",  19535},
{"DIRECTV-DENVER",  19536},
{"EMPLANET",  19537},
{"ADVANTAGECOM",  19538},
{"IPONLY-US-AS",  19539},
{"CINGULAR-WIRELESS",  19540},
{"COMARK",  19541},
{"CERIDIAN-PERF",  19542},
{"OAKSWINT",  19543},
{"CNATRUST",  19544},
{"BANG",  19545},
{"NOWIRE",  19546},
{"DMCSTRATEX",  19547},
{"ABS",  19548},
{"IDIGLOBAL",  19549},
{"SIHOPE-AS",  19550},
{"COCSD-1",  19551},
{"BLS",  19552},
{"PSINET-AR",  19553},
{"RELERA4",  19554},
{"RELERA5",  19555},
{"RELERA6",  19556},
{"RELERA7",  19557},
{"RELERA8",  19558},
{"WWC-CLEC",  19559},
{"GWHA",  19560},
{"BIGPIPE",  19561},
{"FAMILYNETINC",  19562},
{"IDX-SYSTEMS-CORP",  19563},
{"LATECH",  19564},
{"WATKINSIT",  19565},
{"INDIGOB2B-EWR",  19566},
{"NEOVI-NET-SYS",  19567},
{"ISUPPLI",  19568},
{"PHOENIX-TEC",  19569},
{"MAPLETRONICSCOMP",  19570},
{"HAX-IRVING",  19571},
{"BEACON-TW-COLO",  19572},
{"PACIFIC-NATIONAL",  19573},
{"COOLCALL-COM",  19574},
{"2001-NEWCENTURY-CORP",  19575},
{"OTEC-COM",  19576},
{"DATABURST",  19577},
{"TRUENET-INC",  19578},
{"MANAGEDSTORAGE",  19579},
{"CSTN",  19580},
{"DALLAS-COUNTY",  19581},
{"BRAVCO",  19582},
{"IMPSAT-CL",  19583},
{"ADVANCED-NET",  19584},
{"BCSLLC",  19585},
{"CREATIVE-DATA-PNS",  19586},
{"ACTS-TESTING",  19587},
{"AEA5-K12-IA-US",  19588},
{"TELENISUS-DOWN",  19589},
{"TELENISUS-ASH",  19590},
{"FOCAL-SAN-JOSE",  19591},
{"THEBROADCASTTEAM",  19592},
{"NCISP",  19593},
{"KEY3",  19594},
{"NETMORF-CORP",  19595},
{"CCNY",  19596},
{"SENETS",  19597},
{"AIRFONE-001",  19598},
{"BLUEMARK",  19599},
{"MUSICVISION",  19600},
{"FOOTHOLDTECHNOLOGY",  19601},
{"ESPEED-NY",  19602},
{"IBMCCH-STV",  19603},
{"IBMCCH-GPV",  19604},
{"RELERA9",  19605},
{"RELERA10",  19606},
{"CHIARO-NETWORKS",  19607},
{"WVMCCD",  19608},
{"MANDA-VEEDIX-NET",  19609},
{"AURORA-CENTRETECH",  19610},
{"UNISINOS-BR",  19611},
{"VASTERA",  19612},
{"MICRO-GENERAL",  19613},
{"EXARIO-1",  19614},
{"FSCV-AS",  19615},
{"ACCESS-OHIO",  19616},
{"SAA",  19617},
{"GLOBEOP-2000",  19618},
{"8498500",  19619},
{"STATCAN",  19620},
{"VIRTUAL-GIANT",  19621},
{"4ANYTHING",  19622},
{"KCI-EPAY",  19623},
{"HAMPSHIRE",  19624},
{"KEYSTONE-CONNECT-1",  19625},
{"EVC-AS",  19626},
{"SOCANTEL-001",  19627},
{"WOODARDCURRAN",  19628},
{"ZAFFIRE",  19629},
{"SOUNDADVANTAGE",  19630},
{"WORLDSPAN-LP",  19631},
{"MTROPOLIS-INTER",  19632},
{"DIGITAL-MED-CAMP",  19633},
{"ARENET",  19634},
{"MARK-ASSET",  19635},
{"EHEALTHDIRECT",  19636},
{"AGERESYSTEMS",  19637},
{"GEOUTILITIES",  19638},
{"LOGICAL2",  19639},
{"OUT-TI",  19640},
{"DRAPERS",  19641},
{"TAPNET",  19642},
{"NETSYN",  19643},
{"MAGNIFI-1",  19644},
{"MAGNIFI-2",  19645},
{"MAGNIFI-HQ",  19646},
{"HPOD20001",  19647},
{"LDSCHURCH1",  19648},
{"NEW-WORLD-APPS",  19649},
{"BUNZLUSA",  19650},
{"BLUEMARTINI",  19651},
{"MARCUSCORP",  19652},
{"CTSTELECOM",  19653},
{"HOSTING-NETWORK",  19654},
{"FOCAL-LOS-ANGELES",  19655},
{"ICGCOMMERCE-COM",  19656},
{"JP-MORGAN",  19657},
{"BROWARD-HOSPTL",  19658},
{"METSTREAM",  19659},
{"NASSAU-LIB",  19660},
{"SUSQ-BALA",  19661},
{"UNISERVE-ONLINE",  19662},
{"CASS-STL",  19663},
{"VITALCHEK",  19664},
{"RAMPANT",  19665},
{"DIGITALLIGHTHOUSE",  19666},
{"LEETECH-ATLANTA",  19667},
{"KPMG-ADMI",  19668},
{"NAPSTER",  19669},
{"CYCHILDS",  19670},
{"EVERESTBROADBAND1",  19671-19672},
{"SUPPLYSTREAM",  19673},
{"NAVPOINT",  19674},
{"EMINDBIZ",  19675},
{"SWIFT-GLOBAL",  19676},
{"NJTRANSIT",  19677},
{"UOP",  19678},
{"EFFECTNET",  19679},
{"MONDERA",  19680},
{"CSI-TTA",  19681},
{"ADVANTICOM-AS01",  19682},
{"DOVER-CORP",  19683},
{"MHMB",  19684},
{"HCIS-1",  19685},
{"PACAMTEL-COM",  19686},
{"FIBERSTREET",  19687},
{"SANTANDER-MEXICANO",  19688},
{"BPI",  19689},
{"HYATT-INTERNET1",  19690},
{"SG-DR-STNG",  19691},
{"BLUELIGHT",  19692},
{"SYNERGYX",  19693},
{"TERABEAM12",  19694},
{"SUNTRAVELSYSTEMS",  19695},
{"NUCACHE",  19696},
{"BELZBERG",  19697},


  {(char*)0L,  0},
};
